// Cross-section is: 102945895390.9186096191 +/-    160327187.1873955727)

 // Contribution from parton sub-processes:
//        GG     |109319055143.99402  106.19%
//        GQ     | -3099595772.63752   -3.01%
//        GQB    | -1520091079.87864   -1.48%
//        QG     | -3080314889.62163   -2.99%
//        QBG    | -1523626685.31300   -1.48%
//        QQ     |           0.00000    0.00%
//        QBQB   |           0.00000    0.00%
//        QQB    |  1564119120.25326    1.52%
//        QBQ    |  1536557660.02499    1.49%

 // Run corresponds to this input file)

 // [Flags to specify the mode in which MCFM is run] )
//                  -1            [nevtrequested]  
//                   F            [creatent]  
//                   F            [skipnt]  
//                   F            [dswhisto]  
//                   F            [creategrid]  
//                   F            [writetop]  
//                   F            [writedat]  
//                   F            [writegnu]  
//                   T            [writeroot]  
//                   F            [writepwg]  

 // [General options to specify the process and execution] )
//                 158            [nproc]  
//                1581            [exptid]  
//                tota            [part]  
//LHCbFC                          [runstring]  
//           7000.0000            [sqrts]  
//                   1            [ih1]  
//                   1            [ih2]  
//            125.0000            [hmass]  
//              1.0000            [scale]  
//              1.0000            [facscale]  
//ET3                             [dynamicscale]  
//                   F            [zerowidth]  
//                   F            [removebr]  
//                   4            [itmx1]  
//               20000            [ncall1]  
//                  10            [itmx2]  
//               40000            [ncall2]  
//                9876            [ij]  
//                   F            [dryrun]  
//                   T            [Qflag]  
//                   T            [Gflag]  

 // [Heavy quark masses] )
//            173.5000            [top mass]  
//              4.7500            [bottom mass]  
//              0.0000            [charm mass]  

 // [Pdf selection] )
//             CT18NNL            [pdlabel]  
//                   4            [NGROUP]  
//                  46            [NSET]  
//CT18NNLO.LHpdf                  [LHAPDF group]  
//                   0            [LHAPDF set]  

 // [Jet definition and event cuts] )
//              0.0000            [m34min]  
//           7000.0000            [m34max]  
//              0.0000            [m56min]  
//           7000.0000            [m56max]  
//                   T            [inclusive]  
//                none            [algorithm]  
//              0.0000            [ptjetmin]  
//              2.0000            [etajetmin]  
//              4.5000            [etajetmax]  
//              0.0000            [Rcut]  
//                   T            [makecuts]  
//              0.0000            [leptpt]  
//             99.0000            [leptrap]  
//   0.000,   0.000                [leptveto]  
//              0.0000            [misspt]  
//              0.0000            [leptpt2]  
//             99.0000            [leptrap2]  
//   0.000,   0.000                [leptveto2]  
//              0.0000            [mtrans34cut]  
//              0.0000            [Rjlmin]  
//              0.0000            [Rllmin]  
//              0.0000            [delyjjmin]  
//                   F            [jetsopphem]  
//                   0            [lbjscheme]  
//              0.0000            [ptbjetmin]  
//              4.5000            [etabjetmax]  

 // [Settings for photon processes] )
//                   F            [frag]  
//            GdRG__LO            [fragset]  
//             12.4067            [frag_scale]  
//             20.0000            [gammpt]  
//              2.5000            [gammrap]  
//             20.0000            [gammpt2]  
//             20.0000            [gammpt3]  
//              0.0000            [Rgalmin]  
//              0.4000            [Rgagamin]  
//              0.4000            [Rgajetmin]  
//              0.4000            [cone_ang]  
//              0.5000            [epsilon_h]  

 // [Anomalous couplings of the W and Z] )
//              0.0000            [delg1_z]  
//              0.0000            [delk_z]  
//              0.0000            [delk_g]  
//              0.0000            [lambda_z]  
//              0.0000            [lambda_g]  
//              0.0000            [h1Z]  
//              0.0000            [h1gam]  
//              0.0000            [h2Z]  
//              0.0000            [h2gam]  
//              0.0000            [h3Z]  
//              0.0000            [h3gam]  
//              0.0000            [h4Z]  
//              0.0000            [h4gam]  
//              2.0000            [tevscale]  
//              1.0000            [cttH]  
//              1.0000            [cWWH]  
//              1.0000            [Gamma_H/Gamma_H(SM)]  

 // [How to resume/save a run] )
//                   F            [readin]  
//                   F            [writeout]  
//dvegas_real.grid                [ingridfile]  
//dvegas_real.grid                [outgridfile]  

 // [Technical parameters that should not normally be changed]
//                   F            [debug]  
//                   T            [verbose]  
//                   F            [new_pspace]  
//                   F            [virtonly]  
//                   F            [realonly]  
//                   T            [spira]  
//                   F            [noglue]  
//                   F            [ggonly]  
//                   F            [gqonly]  
//                   F            [omitgg]  
//                   F            [vanillafiles]  
//                   1            [nmin]  
//                   2            [nmax]  
//                   T            [clustering]  
//                   F            [realwt]  
//                   0            [colourchoice]  
//              0.0100            [rtsmin]  
//              0.0012            [cutoff]  
//              0.1000            [aii]  
//              0.1000            [aif]  
//              0.1000            [afi]  
//              1.0000            [aff]  
//              1.0000            [bfi]  
//              1.0000            [bff]  


  {
  mcfmhisto = new TFile("LHCbBX/bb_tot_tota_CT18NNL_1___1___LHCbFC.root", "recreate");
  mcfmhisto -> cd();
  histos = new TObjArray(0);

double pt3[]={0.0,0.5,1.0,1.5,2.0,2.5,3.0,3.5,4.0,4.5,5.0,5.5,6.0,6.5,7.0,7.5,8.0,8.5,9.0,9.5,10.0,10.5,11.5,12.5,14.0,16.5,23.5,40.0};
  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id1", "pTb", 27,    pt3);

  id1 -> GetXaxis() -> SetTitle("pTb");
  id1 -> GetYaxis() -> SetTitle(" d#sigma/dpTb [fb]");

  id1 -> GetYaxis() -> SetTitleOffset(1.2);
  id1 -> SetStats(false);
   int xbin = id1->FindBin(  0.25000000000000000      );
  id1 -> SetBinContent( xbin,    978336537.16238809      );
  id1 -> SetBinError( xbin,    133776481.01179992      );
   int xbin = id1->FindBin(  0.75000000000000000      );
  id1 -> SetBinContent( xbin,    2790809910.0291595      );
  id1 -> SetBinError( xbin,    198928012.88759363      );
   int xbin = id1->FindBin(   1.2500000000000000      );
  id1 -> SetBinContent( xbin,    3976926299.3651729      );
  id1 -> SetBinError( xbin,    231066736.81088614      );
   int xbin = id1->FindBin(   1.7500000000000000      );
  id1 -> SetBinContent( xbin,    5118674349.8049994      );
  id1 -> SetBinError( xbin,    273305498.17701858      );
   int xbin = id1->FindBin(   2.2500000000000000      );
  id1 -> SetBinContent( xbin,    5618265830.8081713      );
  id1 -> SetBinError( xbin,    314587775.63198465      );
   int xbin = id1->FindBin(   2.7500000000000000      );
  id1 -> SetBinContent( xbin,    5450930702.4670420      );
  id1 -> SetBinError( xbin,    295619590.46849620      );
   int xbin = id1->FindBin(   3.2500000000000000      );
  id1 -> SetBinContent( xbin,    5169223136.7429018      );
  id1 -> SetBinError( xbin,    287903611.82705808      );
   int xbin = id1->FindBin(   3.7500000000000000      );
  id1 -> SetBinContent( xbin,    5811662248.2126503      );
  id1 -> SetBinError( xbin,    301726021.65183210      );
   int xbin = id1->FindBin(   4.2500000000000000      );
  id1 -> SetBinContent( xbin,    4405864215.5284719      );
  id1 -> SetBinError( xbin,    281199936.99718928      );
   int xbin = id1->FindBin(   4.7500000000000000      );
  id1 -> SetBinContent( xbin,    4245859878.3116074      );
  id1 -> SetBinError( xbin,    247144859.43313783      );
   int xbin = id1->FindBin(   5.2500000000000000      );
  id1 -> SetBinContent( xbin,    3659511195.4205875      );
  id1 -> SetBinError( xbin,    266084223.88753444      );
   int xbin = id1->FindBin(   5.7500000000000000      );
  id1 -> SetBinContent( xbin,    3245708220.4578109      );
  id1 -> SetBinError( xbin,    252229948.59636346      );
   int xbin = id1->FindBin(   6.2500000000000000      );
  id1 -> SetBinContent( xbin,    2492698362.1221595      );
  id1 -> SetBinError( xbin,    177429044.32658806      );
   int xbin = id1->FindBin(   6.7500000000000000      );
  id1 -> SetBinContent( xbin,    2323241913.7759008      );
  id1 -> SetBinError( xbin,    137110051.34476471      );
   int xbin = id1->FindBin(   7.2500000000000000      );
  id1 -> SetBinContent( xbin,    2019371876.3535626      );
  id1 -> SetBinError( xbin,    131364935.48062184      );
   int xbin = id1->FindBin(   7.7500000000000000      );
  id1 -> SetBinContent( xbin,    1614642348.5638325      );
  id1 -> SetBinError( xbin,    121709780.06901385      );
   int xbin = id1->FindBin(   8.2500000000000000      );
  id1 -> SetBinContent( xbin,    1196897297.6810744      );
  id1 -> SetBinError( xbin,    132178040.43092297      );
   int xbin = id1->FindBin(   8.7500000000000000      );
  id1 -> SetBinContent( xbin,    1260641264.1266887      );
  id1 -> SetBinError( xbin,    127078984.26844753      );
   int xbin = id1->FindBin(   9.2500000000000000      );
  id1 -> SetBinContent( xbin,    1052961525.7233702      );
  id1 -> SetBinError( xbin,    97689463.589047372      );
   int xbin = id1->FindBin(   9.7500000000000000      );
  id1 -> SetBinContent( xbin,    790496565.21870935      );
  id1 -> SetBinError( xbin,    88445915.020003065      );
   int xbin = id1->FindBin(   10.250000000000000      );
  id1 -> SetBinContent( xbin,    725256744.35376072      );
  id1 -> SetBinError( xbin,    51493916.541075990      );
   int xbin = id1->FindBin(   11.000000000000000      );
  id1 -> SetBinContent( xbin,    604372171.24504507      );
  id1 -> SetBinError( xbin,    26068559.827285364      );
   int xbin = id1->FindBin(   12.000000000000000      );
  id1 -> SetBinContent( xbin,    393149871.73128492      );
  id1 -> SetBinError( xbin,    20989044.181284405      );
   int xbin = id1->FindBin(   13.250000000000000      );
  id1 -> SetBinContent( xbin,    295822216.42836446      );
  id1 -> SetBinError( xbin,    10625464.343853347      );
   int xbin = id1->FindBin(   15.250000000000000      );
  id1 -> SetBinContent( xbin,    161202182.96878028      );
  id1 -> SetBinError( xbin,    5399568.3299820730      );
   int xbin = id1->FindBin(   20.000000000000000      );
  id1 -> SetBinContent( xbin,    56023299.513788640      );
  id1 -> SetBinError( xbin,    1908357.7109721061      );
   int xbin = id1->FindBin(   31.750000000000000      );
  id1 -> SetBinContent( xbin,    7773968.5663348064      );
  id1 -> SetBinError( xbin,    492713.19050961302      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id2", "yb", 10,    0.00000,    5.00000);

  id2 -> GetXaxis() -> SetTitle("yb");
  id2 -> GetYaxis() -> SetTitle(" d#sigma/dyb [fb]");

  id2 -> GetYaxis() -> SetTitleOffset(1.2);
  id2 -> SetStats(false);
   int xbin = id2->FindBin(  0.25000000000000000      );
  id2 -> SetBinContent( xbin,    6431193662.1741304      );
  id2 -> SetBinError( xbin,    130264407.12564394      );
   int xbin = id2->FindBin(  0.75000000000000000      );
  id2 -> SetBinContent( xbin,    6977592384.2463446      );
  id2 -> SetBinError( xbin,    130314260.15040438      );
   int xbin = id2->FindBin(   1.2500000000000000      );
  id2 -> SetBinContent( xbin,    7818812763.8627033      );
  id2 -> SetBinError( xbin,    139855093.40250817      );
   int xbin = id2->FindBin(   1.7500000000000000      );
  id2 -> SetBinContent( xbin,    8287014331.1154213      );
  id2 -> SetBinError( xbin,    141513280.13366827      );
   int xbin = id2->FindBin(   2.2500000000000000      );
  id2 -> SetBinContent( xbin,    20419545314.626461      );
  id2 -> SetBinError( xbin,    220726605.65367836      );
   int xbin = id2->FindBin(   2.7500000000000000      );
  id2 -> SetBinContent( xbin,    17665056139.415848      );
  id2 -> SetBinError( xbin,    199454965.23034868      );
   int xbin = id2->FindBin(   3.2500000000000000      );
  id2 -> SetBinContent( xbin,    13682270433.342598      );
  id2 -> SetBinError( xbin,    164402047.26404020      );
   int xbin = id2->FindBin(   3.7500000000000000      );
  id2 -> SetBinContent( xbin,    10132792307.540956      );
  id2 -> SetBinError( xbin,    151863823.95664394      );
   int xbin = id2->FindBin(   4.2500000000000000      );
  id2 -> SetBinContent( xbin,    6777705033.2690716      );
  id2 -> SetBinError( xbin,    126323636.53112826      );
   int xbin = id2->FindBin(   4.7500000000000000      );
  id2 -> SetBinContent( xbin,    2779519262.6950779      );
  id2 -> SetBinError( xbin,    84794597.065425396      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id3", "pTby", 27,    pt3);

  id3 -> GetXaxis() -> SetTitle("pTby");
  id3 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id3 -> GetYaxis() -> SetTitleOffset(1.2);
  id3 -> SetStats(false);
   int xbin = id3->FindBin(  0.25000000000000000      );
  id3 -> SetBinContent( xbin,    252296996.62166259      );
  id3 -> SetBinError( xbin,    37673249.060578384      );
   int xbin = id3->FindBin(  0.75000000000000000      );
  id3 -> SetBinContent( xbin,    873866369.44876695      );
  id3 -> SetBinError( xbin,    81870297.271197185      );
   int xbin = id3->FindBin(   1.2500000000000000      );
  id3 -> SetBinContent( xbin,    1156484307.9783380      );
  id3 -> SetBinError( xbin,    137658721.12325671      );
   int xbin = id3->FindBin(   1.7500000000000000      );
  id3 -> SetBinContent( xbin,    1344824879.5591004      );
  id3 -> SetBinError( xbin,    186913619.31942794      );
   int xbin = id3->FindBin(   2.2500000000000000      );
  id3 -> SetBinContent( xbin,    1737119247.3826990      );
  id3 -> SetBinError( xbin,    190658563.90944454      );
   int xbin = id3->FindBin(   2.7500000000000000      );
  id3 -> SetBinContent( xbin,    1290180699.5979385      );
  id3 -> SetBinError( xbin,    163822000.26457912      );
   int xbin = id3->FindBin(   3.2500000000000000      );
  id3 -> SetBinContent( xbin,    1535591249.2885180      );
  id3 -> SetBinError( xbin,    163264165.71594205      );
   int xbin = id3->FindBin(   3.7500000000000000      );
  id3 -> SetBinContent( xbin,    1783747658.9771481      );
  id3 -> SetBinError( xbin,    164051231.05198830      );
   int xbin = id3->FindBin(   4.2500000000000000      );
  id3 -> SetBinContent( xbin,    1260013252.9043634      );
  id3 -> SetBinError( xbin,    154045098.38429785      );
   int xbin = id3->FindBin(   4.7500000000000000      );
  id3 -> SetBinContent( xbin,    1239067523.7756040      );
  id3 -> SetBinError( xbin,    154391125.35487232      );
   int xbin = id3->FindBin(   5.2500000000000000      );
  id3 -> SetBinContent( xbin,    1039240035.2269871      );
  id3 -> SetBinError( xbin,    119076619.28745595      );
   int xbin = id3->FindBin(   5.7500000000000000      );
  id3 -> SetBinContent( xbin,    921642859.78691566      );
  id3 -> SetBinError( xbin,    98540460.287553802      );
   int xbin = id3->FindBin(   6.2500000000000000      );
  id3 -> SetBinContent( xbin,    710869621.82225788      );
  id3 -> SetBinError( xbin,    81492555.089656755      );
   int xbin = id3->FindBin(   6.7500000000000000      );
  id3 -> SetBinContent( xbin,    727634463.68100691      );
  id3 -> SetBinError( xbin,    72449129.738370329      );
   int xbin = id3->FindBin(   7.2500000000000000      );
  id3 -> SetBinContent( xbin,    671994743.32613266      );
  id3 -> SetBinError( xbin,    64675988.691878274      );
   int xbin = id3->FindBin(   7.7500000000000000      );
  id3 -> SetBinContent( xbin,    539910452.05940378      );
  id3 -> SetBinError( xbin,    57716941.119916297      );
   int xbin = id3->FindBin(   8.2500000000000000      );
  id3 -> SetBinContent( xbin,    281435412.71643072      );
  id3 -> SetBinError( xbin,    104226294.25511162      );
   int xbin = id3->FindBin(   8.7500000000000000      );
  id3 -> SetBinContent( xbin,    499108491.57892537      );
  id3 -> SetBinError( xbin,    99463341.955357626      );
   int xbin = id3->FindBin(   9.2500000000000000      );
  id3 -> SetBinContent( xbin,    347183590.87219101      );
  id3 -> SetBinError( xbin,    37593287.894248344      );
   int xbin = id3->FindBin(   9.7500000000000000      );
  id3 -> SetBinContent( xbin,    271116715.66211009      );
  id3 -> SetBinError( xbin,    31471856.844325408      );
   int xbin = id3->FindBin(   10.250000000000000      );
  id3 -> SetBinContent( xbin,    187046358.52707431      );
  id3 -> SetBinError( xbin,    29561430.079889875      );
   int xbin = id3->FindBin(   11.000000000000000      );
  id3 -> SetBinContent( xbin,    215871484.74808612      );
  id3 -> SetBinError( xbin,    15473806.275209794      );
   int xbin = id3->FindBin(   12.000000000000000      );
  id3 -> SetBinContent( xbin,    144290073.86224416      );
  id3 -> SetBinError( xbin,    11684649.648877075      );
   int xbin = id3->FindBin(   13.250000000000000      );
  id3 -> SetBinContent( xbin,    110386000.15580983      );
  id3 -> SetBinError( xbin,    6803177.0051670708      );
   int xbin = id3->FindBin(   15.250000000000000      );
  id3 -> SetBinContent( xbin,    59020229.770253710      );
  id3 -> SetBinError( xbin,    3224383.9471596088      );
   int xbin = id3->FindBin(   20.000000000000000      );
  id3 -> SetBinContent( xbin,    21339498.913962349      );
  id3 -> SetBinError( xbin,    1240073.0340632314      );
   int xbin = id3->FindBin(   31.750000000000000      );
  id3 -> SetBinContent( xbin,    3146519.1665888391      );
  id3 -> SetBinError( xbin,    347512.11992356792      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id4", "pTby", 27,    pt3);

  id4 -> GetXaxis() -> SetTitle("pTby");
  id4 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id4 -> GetYaxis() -> SetTitleOffset(1.2);
  id4 -> SetStats(false);
   int xbin = id4->FindBin(  0.25000000000000000      );
  id4 -> SetBinContent( xbin,    339026360.65409446      );
  id4 -> SetBinError( xbin,    112417022.48030466      );
   int xbin = id4->FindBin(  0.75000000000000000      );
  id4 -> SetBinContent( xbin,    519978442.35223514      );
  id4 -> SetBinError( xbin,    125477746.38027933      );
   int xbin = id4->FindBin(   1.2500000000000000      );
  id4 -> SetBinContent( xbin,    1045405770.3419180      );
  id4 -> SetBinError( xbin,    107094108.66794766      );
   int xbin = id4->FindBin(   1.7500000000000000      );
  id4 -> SetBinContent( xbin,    1238242886.2840855      );
  id4 -> SetBinError( xbin,    122180950.96109515      );
   int xbin = id4->FindBin(   2.2500000000000000      );
  id4 -> SetBinContent( xbin,    1251065702.4101868      );
  id4 -> SetBinError( xbin,    108149156.74806164      );
   int xbin = id4->FindBin(   2.7500000000000000      );
  id4 -> SetBinContent( xbin,    1643294930.3756156      );
  id4 -> SetBinError( xbin,    116959464.43565302      );
   int xbin = id4->FindBin(   3.2500000000000000      );
  id4 -> SetBinContent( xbin,    1303580920.3694632      );
  id4 -> SetBinError( xbin,    142381924.88439530      );
   int xbin = id4->FindBin(   3.7500000000000000      );
  id4 -> SetBinContent( xbin,    1438456683.6163034      );
  id4 -> SetBinError( xbin,    167876854.13658607      );
   int xbin = id4->FindBin(   4.2500000000000000      );
  id4 -> SetBinContent( xbin,    983794084.52663541      );
  id4 -> SetBinError( xbin,    143624078.67727271      );
   int xbin = id4->FindBin(   4.7500000000000000      );
  id4 -> SetBinContent( xbin,    1151224101.7304797      );
  id4 -> SetBinError( xbin,    139624826.49491814      );
   int xbin = id4->FindBin(   5.2500000000000000      );
  id4 -> SetBinContent( xbin,    972485236.75179732      );
  id4 -> SetBinError( xbin,    113400357.48101059      );
   int xbin = id4->FindBin(   5.7500000000000000      );
  id4 -> SetBinContent( xbin,    1015207152.6837111      );
  id4 -> SetBinError( xbin,    112462945.18087158      );
   int xbin = id4->FindBin(   6.2500000000000000      );
  id4 -> SetBinContent( xbin,    491568739.78719026      );
  id4 -> SetBinError( xbin,    115362333.07653557      );
   int xbin = id4->FindBin(   6.7500000000000000      );
  id4 -> SetBinContent( xbin,    633292252.57088149      );
  id4 -> SetBinError( xbin,    80954839.262256548      );
   int xbin = id4->FindBin(   7.2500000000000000      );
  id4 -> SetBinContent( xbin,    483906307.75827104      );
  id4 -> SetBinError( xbin,    59040996.052737102      );
   int xbin = id4->FindBin(   7.7500000000000000      );
  id4 -> SetBinContent( xbin,    499883505.51658231      );
  id4 -> SetBinError( xbin,    54694559.158669189      );
   int xbin = id4->FindBin(   8.2500000000000000      );
  id4 -> SetBinContent( xbin,    330970116.84659988      );
  id4 -> SetBinError( xbin,    53244976.686261408      );
   int xbin = id4->FindBin(   8.7500000000000000      );
  id4 -> SetBinContent( xbin,    371978919.83315253      );
  id4 -> SetBinError( xbin,    43785799.973071858      );
   int xbin = id4->FindBin(   9.2500000000000000      );
  id4 -> SetBinContent( xbin,    210209217.10655653      );
  id4 -> SetBinError( xbin,    35690470.546889953      );
   int xbin = id4->FindBin(   9.7500000000000000      );
  id4 -> SetBinContent( xbin,    211746157.25019419      );
  id4 -> SetBinError( xbin,    32951980.779124562      );
   int xbin = id4->FindBin(   10.250000000000000      );
  id4 -> SetBinContent( xbin,    222613951.13837892      );
  id4 -> SetBinError( xbin,    26416142.235583261      );
   int xbin = id4->FindBin(   11.000000000000000      );
  id4 -> SetBinContent( xbin,    155731741.64448091      );
  id4 -> SetBinError( xbin,    12736729.020908991      );
   int xbin = id4->FindBin(   12.000000000000000      );
  id4 -> SetBinContent( xbin,    107226408.69734365      );
  id4 -> SetBinError( xbin,    10323628.566424925      );
   int xbin = id4->FindBin(   13.250000000000000      );
  id4 -> SetBinContent( xbin,    76556585.496462539      );
  id4 -> SetBinError( xbin,    5382617.4209154379      );
   int xbin = id4->FindBin(   15.250000000000000      );
  id4 -> SetBinContent( xbin,    46825255.706297942      );
  id4 -> SetBinError( xbin,    3077313.4543484836      );
   int xbin = id4->FindBin(   20.000000000000000      );
  id4 -> SetBinContent( xbin,    16746959.977798892      );
  id4 -> SetBinError( xbin,    1022618.8851442389      );
   int xbin = id4->FindBin(   31.750000000000000      );
  id4 -> SetBinContent( xbin,    2513785.5792969801      );
  id4 -> SetBinError( xbin,    280948.66583355702      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id5", "pTby", 27,    pt3);

  id5 -> GetXaxis() -> SetTitle("pTby");
  id5 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id5 -> GetYaxis() -> SetTitleOffset(1.2);
  id5 -> SetStats(false);
   int xbin = id5->FindBin(  0.25000000000000000      );
  id5 -> SetBinContent( xbin,    173024458.73609051      );
  id5 -> SetBinError( xbin,    42438779.784402393      );
   int xbin = id5->FindBin(  0.75000000000000000      );
  id5 -> SetBinContent( xbin,    607817003.43117869      );
  id5 -> SetBinError( xbin,    89442437.312037796      );
   int xbin = id5->FindBin(   1.2500000000000000      );
  id5 -> SetBinContent( xbin,    636723729.64699697      );
  id5 -> SetBinError( xbin,    100042501.56623988      );
   int xbin = id5->FindBin(   1.7500000000000000      );
  id5 -> SetBinContent( xbin,    1011953567.7677126      );
  id5 -> SetBinError( xbin,    109893151.13058084      );
   int xbin = id5->FindBin(   2.2500000000000000      );
  id5 -> SetBinContent( xbin,    1289978356.6207299      );
  id5 -> SetBinError( xbin,    159456257.71559176      );
   int xbin = id5->FindBin(   2.7500000000000000      );
  id5 -> SetBinContent( xbin,    1034814161.2060422      );
  id5 -> SetBinError( xbin,    138453522.83521459      );
   int xbin = id5->FindBin(   3.2500000000000000      );
  id5 -> SetBinContent( xbin,    1038434125.6861792      );
  id5 -> SetBinError( xbin,    116655684.48805813      );
   int xbin = id5->FindBin(   3.7500000000000000      );
  id5 -> SetBinContent( xbin,    1120527873.0689888      );
  id5 -> SetBinError( xbin,    111126083.96278241      );
   int xbin = id5->FindBin(   4.2500000000000000      );
  id5 -> SetBinContent( xbin,    1062510447.3826846      );
  id5 -> SetBinError( xbin,    129190431.63794513      );
   int xbin = id5->FindBin(   4.7500000000000000      );
  id5 -> SetBinContent( xbin,    741462681.32163477      );
  id5 -> SetBinError( xbin,    122369871.65755390      );
   int xbin = id5->FindBin(   5.2500000000000000      );
  id5 -> SetBinContent( xbin,    700172705.16831923      );
  id5 -> SetBinError( xbin,    89397681.924712673      );
   int xbin = id5->FindBin(   5.7500000000000000      );
  id5 -> SetBinContent( xbin,    662403274.31782675      );
  id5 -> SetBinError( xbin,    90452105.213670120      );
   int xbin = id5->FindBin(   6.2500000000000000      );
  id5 -> SetBinContent( xbin,    526011758.74345285      );
  id5 -> SetBinError( xbin,    75835236.574083701      );
   int xbin = id5->FindBin(   6.7500000000000000      );
  id5 -> SetBinContent( xbin,    555568928.65812647      );
  id5 -> SetBinError( xbin,    68705130.318287924      );
   int xbin = id5->FindBin(   7.2500000000000000      );
  id5 -> SetBinContent( xbin,    374919948.55043483      );
  id5 -> SetBinError( xbin,    57610232.261870988      );
   int xbin = id5->FindBin(   7.7500000000000000      );
  id5 -> SetBinContent( xbin,    238483117.29903790      );
  id5 -> SetBinError( xbin,    48749388.564303145      );
   int xbin = id5->FindBin(   8.2500000000000000      );
  id5 -> SetBinContent( xbin,    293133592.24893010      );
  id5 -> SetBinError( xbin,    52331946.828670412      );
   int xbin = id5->FindBin(   8.7500000000000000      );
  id5 -> SetBinContent( xbin,    184486559.76259145      );
  id5 -> SetBinError( xbin,    59694536.186933286      );
   int xbin = id5->FindBin(   9.2500000000000000      );
  id5 -> SetBinContent( xbin,    281023156.92727631      );
  id5 -> SetBinError( xbin,    79304215.513831630      );
   int xbin = id5->FindBin(   9.7500000000000000      );
  id5 -> SetBinContent( xbin,    138121730.09688431      );
  id5 -> SetBinError( xbin,    73523268.184851393      );
   int xbin = id5->FindBin(   10.250000000000000      );
  id5 -> SetBinContent( xbin,    156858537.11339340      );
  id5 -> SetBinError( xbin,    26615573.042342294      );
   int xbin = id5->FindBin(   11.000000000000000      );
  id5 -> SetBinContent( xbin,    114651269.49578872      );
  id5 -> SetBinError( xbin,    12812288.213976730      );
   int xbin = id5->FindBin(   12.000000000000000      );
  id5 -> SetBinContent( xbin,    70339098.903147548      );
  id5 -> SetBinError( xbin,    11420046.063058596      );
   int xbin = id5->FindBin(   13.250000000000000      );
  id5 -> SetBinContent( xbin,    54193032.672867686      );
  id5 -> SetBinError( xbin,    4720151.1148356590      );
   int xbin = id5->FindBin(   15.250000000000000      );
  id5 -> SetBinContent( xbin,    27769311.880036451      );
  id5 -> SetBinError( xbin,    2362306.5625356613      );
   int xbin = id5->FindBin(   20.000000000000000      );
  id5 -> SetBinContent( xbin,    9929699.4482379481      );
  id5 -> SetBinError( xbin,    789071.43028923916      );
   int xbin = id5->FindBin(   31.750000000000000      );
  id5 -> SetBinContent( xbin,    1315713.1241443313      );
  id5 -> SetBinError( xbin,    190993.06053694265      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id6", "pTby", 27,    pt3);

  id6 -> GetXaxis() -> SetTitle("pTby");
  id6 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id6 -> GetYaxis() -> SetTitleOffset(1.2);
  id6 -> SetStats(false);
   int xbin = id6->FindBin(  0.25000000000000000      );
  id6 -> SetBinContent( xbin,    127913076.48011208      );
  id6 -> SetBinError( xbin,    40839280.519006491      );
   int xbin = id6->FindBin(  0.75000000000000000      );
  id6 -> SetBinContent( xbin,    466068980.99106359      );
  id6 -> SetBinError( xbin,    62213210.149797752      );
   int xbin = id6->FindBin(   1.2500000000000000      );
  id6 -> SetBinContent( xbin,    636848497.62146628      );
  id6 -> SetBinError( xbin,    79073725.015315592      );
   int xbin = id6->FindBin(   1.7500000000000000      );
  id6 -> SetBinContent( xbin,    937421095.32262218      );
  id6 -> SetBinError( xbin,    99958728.656843305      );
   int xbin = id6->FindBin(   2.2500000000000000      );
  id6 -> SetBinContent( xbin,    768394381.64669299      );
  id6 -> SetBinError( xbin,    123194525.76033838      );
   int xbin = id6->FindBin(   2.7500000000000000      );
  id6 -> SetBinContent( xbin,    787291317.69133449      );
  id6 -> SetBinError( xbin,    115846096.84572802      );
   int xbin = id6->FindBin(   3.2500000000000000      );
  id6 -> SetBinContent( xbin,    770984620.20466661      );
  id6 -> SetBinError( xbin,    123187891.59174338      );
   int xbin = id6->FindBin(   3.7500000000000000      );
  id6 -> SetBinContent( xbin,    813460312.41463494      );
  id6 -> SetBinError( xbin,    123225888.50332591      );
   int xbin = id6->FindBin(   4.2500000000000000      );
  id6 -> SetBinContent( xbin,    693723992.73504639      );
  id6 -> SetBinError( xbin,    96789922.535988942      );
   int xbin = id6->FindBin(   4.7500000000000000      );
  id6 -> SetBinContent( xbin,    605371249.75634515      );
  id6 -> SetBinError( xbin,    73747993.617810830      );
   int xbin = id6->FindBin(   5.2500000000000000      );
  id6 -> SetBinContent( xbin,    510111258.53761256      );
  id6 -> SetBinError( xbin,    68727643.025976628      );
   int xbin = id6->FindBin(   5.7500000000000000      );
  id6 -> SetBinContent( xbin,    596483681.98341596      );
  id6 -> SetBinError( xbin,    66997491.832750827      );
   int xbin = id6->FindBin(   6.2500000000000000      );
  id6 -> SetBinContent( xbin,    443633171.30141354      );
  id6 -> SetBinError( xbin,    55192901.961752675      );
   int xbin = id6->FindBin(   6.7500000000000000      );
  id6 -> SetBinContent( xbin,    232066761.38482481      );
  id6 -> SetBinError( xbin,    54331559.134555764      );
   int xbin = id6->FindBin(   7.2500000000000000      );
  id6 -> SetBinContent( xbin,    314511770.84547108      );
  id6 -> SetBinError( xbin,    76789916.971324503      );
   int xbin = id6->FindBin(   7.7500000000000000      );
  id6 -> SetBinContent( xbin,    195808520.97323111      );
  id6 -> SetBinError( xbin,    75411360.563708305      );
   int xbin = id6->FindBin(   8.2500000000000000      );
  id6 -> SetBinContent( xbin,    194873769.63347772      );
  id6 -> SetBinError( xbin,    27322354.654377457      );
   int xbin = id6->FindBin(   8.7500000000000000      );
  id6 -> SetBinContent( xbin,    144828839.78457090      );
  id6 -> SetBinError( xbin,    22795646.720959678      );
   int xbin = id6->FindBin(   9.2500000000000000      );
  id6 -> SetBinContent( xbin,    137179627.77810594      );
  id6 -> SetBinError( xbin,    18752359.019961335      );
   int xbin = id6->FindBin(   9.7500000000000000      );
  id6 -> SetBinContent( xbin,    105596595.65683390      );
  id6 -> SetBinError( xbin,    17062993.332504164      );
   int xbin = id6->FindBin(   10.250000000000000      );
  id6 -> SetBinContent( xbin,    116775911.72139579      );
  id6 -> SetBinError( xbin,    17509214.942822173      );
   int xbin = id6->FindBin(   11.000000000000000      );
  id6 -> SetBinContent( xbin,    69196796.974478155      );
  id6 -> SetBinError( xbin,    9708820.7861897051      );
   int xbin = id6->FindBin(   12.000000000000000      );
  id6 -> SetBinContent( xbin,    46104342.448664889      );
  id6 -> SetBinError( xbin,    7630989.7233541058      );
   int xbin = id6->FindBin(   13.250000000000000      );
  id6 -> SetBinContent( xbin,    37096652.684356146      );
  id6 -> SetBinError( xbin,    3530368.1421387237      );
   int xbin = id6->FindBin(   15.250000000000000      );
  id6 -> SetBinContent( xbin,    19414822.647760309      );
  id6 -> SetBinError( xbin,    1613513.0025590064      );
   int xbin = id6->FindBin(   20.000000000000000      );
  id6 -> SetBinContent( xbin,    5317680.3304181844      );
  id6 -> SetBinError( xbin,    552911.45370995894      );
   int xbin = id6->FindBin(   31.750000000000000      );
  id6 -> SetBinContent( xbin,    606999.94886414637      );
  id6 -> SetBinError( xbin,    134435.21278393437      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id7", "pTby", 27,    pt3);

  id7 -> GetXaxis() -> SetTitle("pTby");
  id7 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id7 -> GetYaxis() -> SetTitleOffset(1.2);
  id7 -> SetStats(false);
   int xbin = id7->FindBin(  0.25000000000000000      );
  id7 -> SetBinContent( xbin,    86075644.670438379      );
  id7 -> SetBinError( xbin,    19858514.848785084      );
   int xbin = id7->FindBin(  0.75000000000000000      );
  id7 -> SetBinContent( xbin,    323079113.80593181      );
  id7 -> SetBinError( xbin,    74947684.876644865      );
   int xbin = id7->FindBin(   1.2500000000000000      );
  id7 -> SetBinContent( xbin,    501463993.77633697      );
  id7 -> SetBinError( xbin,    92756064.324802175      );
   int xbin = id7->FindBin(   1.7500000000000000      );
  id7 -> SetBinContent( xbin,    586231920.87157798      );
  id7 -> SetBinError( xbin,    74746112.126189634      );
   int xbin = id7->FindBin(   2.2500000000000000      );
  id7 -> SetBinContent( xbin,    571708142.74791849      );
  id7 -> SetBinError( xbin,    96606074.750953272      );
   int xbin = id7->FindBin(   2.7500000000000000      );
  id7 -> SetBinContent( xbin,    695349593.59613717      );
  id7 -> SetBinError( xbin,    122403562.90653619      );
   int xbin = id7->FindBin(   3.2500000000000000      );
  id7 -> SetBinContent( xbin,    520632221.19414234      );
  id7 -> SetBinError( xbin,    91732260.120003834      );
   int xbin = id7->FindBin(   3.7500000000000000      );
  id7 -> SetBinContent( xbin,    655469720.13552094      );
  id7 -> SetBinError( xbin,    98486822.736552298      );
   int xbin = id7->FindBin(   4.2500000000000000      );
  id7 -> SetBinContent( xbin,    405822437.97979075      );
  id7 -> SetBinError( xbin,    100799589.81539656      );
   int xbin = id7->FindBin(   4.7500000000000000      );
  id7 -> SetBinContent( xbin,    508734321.72757244      );
  id7 -> SetBinError( xbin,    92716917.830347091      );
   int xbin = id7->FindBin(   5.2500000000000000      );
  id7 -> SetBinContent( xbin,    437501959.73585367      );
  id7 -> SetBinError( xbin,    177593356.97536677      );
   int xbin = id7->FindBin(   5.7500000000000000      );
  id7 -> SetBinContent( xbin,    49971251.685913712      );
  id7 -> SetBinError( xbin,    170360795.09468818      );
   int xbin = id7->FindBin(   6.2500000000000000      );
  id7 -> SetBinContent( xbin,    320615070.46784621      );
  id7 -> SetBinError( xbin,    55200166.642702028      );
   int xbin = id7->FindBin(   6.7500000000000000      );
  id7 -> SetBinContent( xbin,    174679507.48108861      );
  id7 -> SetBinError( xbin,    36051281.583294228      );
   int xbin = id7->FindBin(   7.2500000000000000      );
  id7 -> SetBinContent( xbin,    174039105.87325191      );
  id7 -> SetBinError( xbin,    27622719.918726496      );
   int xbin = id7->FindBin(   7.7500000000000000      );
  id7 -> SetBinContent( xbin,    140556752.71557352      );
  id7 -> SetBinError( xbin,    23743383.959762074      );
   int xbin = id7->FindBin(   8.2500000000000000      );
  id7 -> SetBinContent( xbin,    96484406.235634685      );
  id7 -> SetBinError( xbin,    18557055.618552625      );
   int xbin = id7->FindBin(   8.7500000000000000      );
  id7 -> SetBinContent( xbin,    60238453.167438343      );
  id7 -> SetBinError( xbin,    16520019.845680434      );
   int xbin = id7->FindBin(   9.2500000000000000      );
  id7 -> SetBinContent( xbin,    77365933.039246187      );
  id7 -> SetBinError( xbin,    15060286.420469636      );
   int xbin = id7->FindBin(   9.7500000000000000      );
  id7 -> SetBinContent( xbin,    63915366.552686468      );
  id7 -> SetBinError( xbin,    14085505.714139147      );
   int xbin = id7->FindBin(   10.250000000000000      );
  id7 -> SetBinContent( xbin,    41961985.853513204      );
  id7 -> SetBinError( xbin,    9192348.4518112056      );
   int xbin = id7->FindBin(   11.000000000000000      );
  id7 -> SetBinContent( xbin,    48920878.382210203      );
  id7 -> SetBinError( xbin,    5211272.1747052828      );
   int xbin = id7->FindBin(   12.000000000000000      );
  id7 -> SetBinContent( xbin,    25189947.819881227      );
  id7 -> SetBinError( xbin,    4257767.8887045579      );
   int xbin = id7->FindBin(   13.250000000000000      );
  id7 -> SetBinContent( xbin,    17589945.418865856      );
  id7 -> SetBinError( xbin,    2293243.8293751706      );
   int xbin = id7->FindBin(   15.250000000000000      );
  id7 -> SetBinContent( xbin,    8172562.9644342251      );
  id7 -> SetBinError( xbin,    1278859.7599514995      );
   int xbin = id7->FindBin(   20.000000000000000      );
  id7 -> SetBinContent( xbin,    2689460.8433719445      );
  id7 -> SetBinError( xbin,    437218.90125325846      );
   int xbin = id7->FindBin(   31.750000000000000      );
  id7 -> SetBinContent( xbin,    190950.74744041113      );
  id7 -> SetBinError( xbin,    80351.571041545205      );
  histos -> Add(hist); 
 
 
  mcfmhisto -> cd();
  if (histos -> GetEntries() > 0 ) then  {
   histos->Write();
   mcfmhisto -> Close();
  }
 }
