// Cross-section is:  21356304794.0415573120 +/-     45233095.0105507821)

 // Contribution from parton sub-processes:
//        GG     |           0.00000    0.00%
//        GQ     |  4255521536.96205   19.93%
//        GQB    |  4255567564.60026   19.93%
//        QG     |  4255523172.30096   19.93%
//        QBG    |  4256755041.80246   19.93%
//        QQ     |  1370044545.92706    6.42%
//        QBQB   |   797206266.00729    3.73%
//        QQB    |  1082820280.50519    5.07%
//        QBQ    |  1085488278.23194    5.08%

 // Run corresponds to this input file)

 // [Flags to specify the mode in which MCFM is run] )
//                  -1            [nevtrequested]  
//                   F            [creatent]  
//                   F            [skipnt]  
//                   F            [dswhisto]  
//                   F            [creategrid]  
//                   F            [writetop]  
//                   F            [writedat]  
//                   F            [writegnu]  
//                   T            [writeroot]  
//                   F            [writepwg]  

 // [General options to specify the process and execution] )
//                 703            [nproc]  
//                7031            [exptid]  
//                lord            [part]  
//LHCbRS                          [runstring]  
//           7000.0000            [sqrts]  
//                   1            [ih1]  
//                   1            [ih2]  
//            125.0000            [hmass]  
//              1.0000            [scale]  
//              1.0000            [facscale]  
//ET3                             [dynamicscale]  
//                   F            [zerowidth]  
//                   F            [removebr]  
//                   4            [itmx1]  
//               20000            [ncall1]  
//                  10            [itmx2]  
//               40000            [ncall2]  
//                9876            [ij]  
//                   F            [dryrun]  
//                   T            [Qflag]  
//                   T            [Gflag]  

 // [Heavy quark masses] )
//            173.5000            [top mass]  
//              4.7500            [bottom mass]  
//              0.0000            [charm mass]  

 // [Pdf selection] )
//             CT18NNL            [pdlabel]  
//                   4            [NGROUP]  
//                  46            [NSET]  
//CT18NNLO_res.LHpdf              [LHAPDF group]  
//                   0            [LHAPDF set]  

 // [Jet definition and event cuts] )
//              9.5000            [m34min]  
//           7000.0000            [m34max]  
//              0.0000            [m56min]  
//           7000.0000            [m56max]  
//                   T            [inclusive]  
//                none            [algorithm]  
//              0.0000            [ptjetmin]  
//              2.0000            [etajetmin]  
//              4.5000            [etajetmax]  
//              0.0000            [Rcut]  
//                   T            [makecuts]  
//              0.0000            [leptpt]  
//             99.0000            [leptrap]  
//   0.000,   0.000                [leptveto]  
//              0.0000            [misspt]  
//              0.0000            [leptpt2]  
//             99.0000            [leptrap2]  
//   0.000,   0.000                [leptveto2]  
//              0.0000            [mtrans34cut]  
//              0.0000            [Rjlmin]  
//              0.0000            [Rllmin]  
//              0.0000            [delyjjmin]  
//                   F            [jetsopphem]  
//                   0            [lbjscheme]  
//              0.0000            [ptbjetmin]  
//              4.5000            [etabjetmax]  

 // [Settings for photon processes] )
//                   F            [frag]  
//            GdRG__LO            [fragset]  
//              4.7504            [frag_scale]  
//             20.0000            [gammpt]  
//              2.5000            [gammrap]  
//             20.0000            [gammpt2]  
//             20.0000            [gammpt3]  
//              0.0000            [Rgalmin]  
//              0.4000            [Rgagamin]  
//              0.4000            [Rgajetmin]  
//              0.4000            [cone_ang]  
//              0.5000            [epsilon_h]  

 // [Anomalous couplings of the W and Z] )
//              0.0000            [delg1_z]  
//              0.0000            [delk_z]  
//              0.0000            [delk_g]  
//              0.0000            [lambda_z]  
//              0.0000            [lambda_g]  
//              0.0000            [h1Z]  
//              0.0000            [h1gam]  
//              0.0000            [h2Z]  
//              0.0000            [h2gam]  
//              0.0000            [h3Z]  
//              0.0000            [h3gam]  
//              0.0000            [h4Z]  
//              0.0000            [h4gam]  
//              2.0000            [tevscale]  
//              1.0000            [cttH]  
//              1.0000            [cWWH]  
//              1.0000            [Gamma_H/Gamma_H(SM)]  

 // [How to resume/save a run] )
//                   F            [readin]  
//                   F            [writeout]  
//                                [ingridfile]  
//                                [outgridfile]  

 // [Technical parameters that should not normally be changed]
//                   F            [debug]  
//                   T            [verbose]  
//                   F            [new_pspace]  
//                   F            [virtonly]  
//                   F            [realonly]  
//                   T            [spira]  
//                   F            [noglue]  
//                   F            [ggonly]  
//                   F            [gqonly]  
//                   F            [omitgg]  
//                   F            [vanillafiles]  
//                   1            [nmin]  
//                   2            [nmax]  
//                   T            [clustering]  
//                   F            [realwt]  
//                   0            [colourchoice]  
//              0.0100            [rtsmin]  
//              0.0012            [cutoff]  
//              0.1000            [aii]  
//              0.1000            [aif]  
//              0.1000            [afi]  
//              1.0000            [aff]  
//              1.0000            [bfi]  
//              1.0000            [bff]  


  {
  mcfmhisto = new TFile("LHCbBX/bfbf5f_lord_CT18NNL_1___1___LHCbRS.root", "recreate");
  mcfmhisto -> cd();
  histos = new TObjArray(0);

double pt3[]={0.0,0.5,1.0,1.5,2.0,2.5,3.0,3.5,4.0,4.5,5.0,5.5,6.0,6.5,7.0,7.5,8.0,8.5,9.0,9.5,10.0,10.5,11.5,12.5,14.0,16.5,23.5,40.0};
  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id1", "pTb", 27,    pt3);

  id1 -> GetXaxis() -> SetTitle("pTb");
  id1 -> GetYaxis() -> SetTitle(" d#sigma/dpTb [fb]");

  id1 -> GetYaxis() -> SetTitleOffset(1.2);
  id1 -> SetStats(false);
   int xbin = id1->FindBin(  0.25000000000000000      );
  id1 -> SetBinContent( xbin,    1913217.6231107777      );
  id1 -> SetBinError( xbin,    76520.337329099086      );
   int xbin = id1->FindBin(  0.75000000000000000      );
  id1 -> SetBinContent( xbin,    28801758.659903493      );
  id1 -> SetBinError( xbin,    580362.38612717041      );
   int xbin = id1->FindBin(   1.2500000000000000      );
  id1 -> SetBinContent( xbin,    128737501.74457991      );
  id1 -> SetBinError( xbin,    2589161.7011835156      );
   int xbin = id1->FindBin(   1.7500000000000000      );
  id1 -> SetBinContent( xbin,    353676598.86839277      );
  id1 -> SetBinError( xbin,    6907351.7943595164      );
   int xbin = id1->FindBin(   2.2500000000000000      );
  id1 -> SetBinContent( xbin,    669855591.87162328      );
  id1 -> SetBinError( xbin,    12945593.615691522      );
   int xbin = id1->FindBin(   2.7500000000000000      );
  id1 -> SetBinContent( xbin,    1078800590.2503648      );
  id1 -> SetBinError( xbin,    20010243.936231181      );
   int xbin = id1->FindBin(   3.2500000000000000      );
  id1 -> SetBinContent( xbin,    1391933897.7879472      );
  id1 -> SetBinError( xbin,    24885394.581749137      );
   int xbin = id1->FindBin(   3.7500000000000000      );
  id1 -> SetBinContent( xbin,    1606663946.9505100      );
  id1 -> SetBinError( xbin,    27505542.016644970      );
   int xbin = id1->FindBin(   4.2500000000000000      );
  id1 -> SetBinContent( xbin,    1631200971.1626310      );
  id1 -> SetBinError( xbin,    26990634.268205188      );
   int xbin = id1->FindBin(   4.7500000000000000      );
  id1 -> SetBinContent( xbin,    1679100805.5931196      );
  id1 -> SetBinError( xbin,    27666584.274033286      );
   int xbin = id1->FindBin(   5.2500000000000000      );
  id1 -> SetBinContent( xbin,    1481086927.7458308      );
  id1 -> SetBinError( xbin,    26219669.627697743      );
   int xbin = id1->FindBin(   5.7500000000000000      );
  id1 -> SetBinContent( xbin,    1398792130.0762646      );
  id1 -> SetBinError( xbin,    25643993.097464774      );
   int xbin = id1->FindBin(   6.2500000000000000      );
  id1 -> SetBinContent( xbin,    1232586888.8969359      );
  id1 -> SetBinError( xbin,    23435356.050209358      );
   int xbin = id1->FindBin(   6.7500000000000000      );
  id1 -> SetBinContent( xbin,    1108899237.1585052      );
  id1 -> SetBinError( xbin,    22200907.937222473      );
   int xbin = id1->FindBin(   7.2500000000000000      );
  id1 -> SetBinContent( xbin,    991769221.98365843      );
  id1 -> SetBinError( xbin,    20596061.318115819      );
   int xbin = id1->FindBin(   7.7500000000000000      );
  id1 -> SetBinContent( xbin,    850784706.82535648      );
  id1 -> SetBinError( xbin,    18428352.299856223      );
   int xbin = id1->FindBin(   8.2500000000000000      );
  id1 -> SetBinContent( xbin,    735294870.11318266      );
  id1 -> SetBinError( xbin,    16728136.672244869      );
   int xbin = id1->FindBin(   8.7500000000000000      );
  id1 -> SetBinContent( xbin,    621701551.90109491      );
  id1 -> SetBinError( xbin,    14762828.982416492      );
   int xbin = id1->FindBin(   9.2500000000000000      );
  id1 -> SetBinContent( xbin,    577679988.08703613      );
  id1 -> SetBinError( xbin,    13777038.615462096      );
   int xbin = id1->FindBin(   9.7500000000000000      );
  id1 -> SetBinContent( xbin,    472732103.63246489      );
  id1 -> SetBinError( xbin,    12047234.765110450      );
   int xbin = id1->FindBin(   10.250000000000000      );
  id1 -> SetBinContent( xbin,    381401886.58632541      );
  id1 -> SetBinError( xbin,    10366757.242605457      );
   int xbin = id1->FindBin(   11.000000000000000      );
  id1 -> SetBinContent( xbin,    338414122.55633432      );
  id1 -> SetBinError( xbin,    9339543.5708966218      );
   int xbin = id1->FindBin(   12.000000000000000      );
  id1 -> SetBinContent( xbin,    245779074.63232613      );
  id1 -> SetBinError( xbin,    7324833.9900134876      );
   int xbin = id1->FindBin(   13.250000000000000      );
  id1 -> SetBinContent( xbin,    175728610.01730037      );
  id1 -> SetBinError( xbin,    5667272.7705908716      );
   int xbin = id1->FindBin(   15.250000000000000      );
  id1 -> SetBinContent( xbin,    104684159.55376075      );
  id1 -> SetBinError( xbin,    3833841.0676306519      );
   int xbin = id1->FindBin(   20.000000000000000      );
  id1 -> SetBinContent( xbin,    37545052.796012282      );
  id1 -> SetBinError( xbin,    1778028.5132573973      );
   int xbin = id1->FindBin(   31.750000000000000      );
  id1 -> SetBinContent( xbin,    5523715.7561627897      );
  id1 -> SetBinError( xbin,    415177.33612449054      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id2", "yb", 10,    0.00000,    5.00000);

  id2 -> GetXaxis() -> SetTitle("yb");
  id2 -> GetYaxis() -> SetTitle(" d#sigma/dyb [fb]");

  id2 -> GetYaxis() -> SetTitleOffset(1.2);
  id2 -> SetStats(false);
   int xbin = id2->FindBin(   2.2500000000000000      );
  id2 -> SetBinContent( xbin,    5928549757.4342461      );
  id2 -> SetBinError( xbin,    67387969.544224232      );
   int xbin = id2->FindBin(   2.7500000000000000      );
  id2 -> SetBinContent( xbin,    5343402252.1144800      );
  id2 -> SetBinError( xbin,    63853706.719299100      );
   int xbin = id2->FindBin(   3.2500000000000000      );
  id2 -> SetBinContent( xbin,    4425640268.7204208      );
  id2 -> SetBinError( xbin,    57919507.861679576      );
   int xbin = id2->FindBin(   3.7500000000000000      );
  id2 -> SetBinContent( xbin,    3354152654.9405251      );
  id2 -> SetBinError( xbin,    49910460.955706082      );
   int xbin = id2->FindBin(   4.2500000000000000      );
  id2 -> SetBinContent( xbin,    2298575841.6047292      );
  id2 -> SetBinError( xbin,    40171701.749154210      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id3", "pTby", 27,    pt3);

  id3 -> GetXaxis() -> SetTitle("pTby");
  id3 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id3 -> GetYaxis() -> SetTitleOffset(1.2);
  id3 -> SetStats(false);
   int xbin = id3->FindBin(  0.25000000000000000      );
  id3 -> SetBinContent( xbin,    386012.24187209865      );
  id3 -> SetBinError( xbin,    22692.164026466180      );
   int xbin = id3->FindBin(  0.75000000000000000      );
  id3 -> SetBinContent( xbin,    6469540.6547649540      );
  id3 -> SetBinError( xbin,    254484.40442025676      );
   int xbin = id3->FindBin(   1.2500000000000000      );
  id3 -> SetBinContent( xbin,    25568169.447665494      );
  id3 -> SetBinError( xbin,    1017668.9679777446      );
   int xbin = id3->FindBin(   1.7500000000000000      );
  id3 -> SetBinContent( xbin,    66899653.183611989      );
  id3 -> SetBinError( xbin,    2613049.0150772519      );
   int xbin = id3->FindBin(   2.2500000000000000      );
  id3 -> SetBinContent( xbin,    139365411.58619750      );
  id3 -> SetBinError( xbin,    6149181.0011791233      );
   int xbin = id3->FindBin(   2.7500000000000000      );
  id3 -> SetBinContent( xbin,    228287371.09190035      );
  id3 -> SetBinError( xbin,    9132124.0636645295      );
   int xbin = id3->FindBin(   3.2500000000000000      );
  id3 -> SetBinContent( xbin,    297238501.76001763      );
  id3 -> SetBinError( xbin,    11088808.690656325      );
   int xbin = id3->FindBin(   3.7500000000000000      );
  id3 -> SetBinContent( xbin,    389051477.37745667      );
  id3 -> SetBinError( xbin,    12967665.914551590      );
   int xbin = id3->FindBin(   4.2500000000000000      );
  id3 -> SetBinContent( xbin,    405189100.81833160      );
  id3 -> SetBinError( xbin,    13570028.095132761      );
   int xbin = id3->FindBin(   4.7500000000000000      );
  id3 -> SetBinContent( xbin,    438222029.46635079      );
  id3 -> SetBinError( xbin,    14415333.709041320      );
   int xbin = id3->FindBin(   5.2500000000000000      );
  id3 -> SetBinContent( xbin,    385318784.59435964      );
  id3 -> SetBinError( xbin,    13859799.981112318      );
   int xbin = id3->FindBin(   5.7500000000000000      );
  id3 -> SetBinContent( xbin,    402392403.51471376      );
  id3 -> SetBinError( xbin,    14126364.327181410      );
   int xbin = id3->FindBin(   6.2500000000000000      );
  id3 -> SetBinContent( xbin,    368116474.18643355      );
  id3 -> SetBinError( xbin,    13329084.923896383      );
   int xbin = id3->FindBin(   6.7500000000000000      );
  id3 -> SetBinContent( xbin,    301232428.86396170      );
  id3 -> SetBinError( xbin,    12045360.444665343      );
   int xbin = id3->FindBin(   7.2500000000000000      );
  id3 -> SetBinContent( xbin,    306277202.79158038      );
  id3 -> SetBinError( xbin,    11979719.502615521      );
   int xbin = id3->FindBin(   7.7500000000000000      );
  id3 -> SetBinContent( xbin,    238168220.96024463      );
  id3 -> SetBinError( xbin,    10300460.822310379      );
   int xbin = id3->FindBin(   8.2500000000000000      );
  id3 -> SetBinContent( xbin,    230101195.22414827      );
  id3 -> SetBinError( xbin,    9843529.5642189439      );
   int xbin = id3->FindBin(   8.7500000000000000      );
  id3 -> SetBinContent( xbin,    185518237.13574263      );
  id3 -> SetBinError( xbin,    8670227.0318266284      );
   int xbin = id3->FindBin(   9.2500000000000000      );
  id3 -> SetBinContent( xbin,    181079625.37790841      );
  id3 -> SetBinError( xbin,    8271977.4571844665      );
   int xbin = id3->FindBin(   9.7500000000000000      );
  id3 -> SetBinContent( xbin,    165666061.75174800      );
  id3 -> SetBinError( xbin,    7620938.2846827945      );
   int xbin = id3->FindBin(   10.250000000000000      );
  id3 -> SetBinContent( xbin,    132620174.13749078      );
  id3 -> SetBinError( xbin,    6561582.7917396575      );
   int xbin = id3->FindBin(   11.000000000000000      );
  id3 -> SetBinContent( xbin,    119852661.33799489      );
  id3 -> SetBinError( xbin,    5919726.0475159874      );
   int xbin = id3->FindBin(   12.000000000000000      );
  id3 -> SetBinContent( xbin,    78368215.234550551      );
  id3 -> SetBinError( xbin,    4481370.4003237467      );
   int xbin = id3->FindBin(   13.250000000000000      );
  id3 -> SetBinContent( xbin,    62084302.992045574      );
  id3 -> SetBinError( xbin,    3628313.9559243750      );
   int xbin = id3->FindBin(   15.250000000000000      );
  id3 -> SetBinContent( xbin,    36681325.891356513      );
  id3 -> SetBinError( xbin,    2473298.4783978835      );
   int xbin = id3->FindBin(   20.000000000000000      );
  id3 -> SetBinContent( xbin,    13762048.344634049      );
  id3 -> SetBinError( xbin,    1174275.5470939637      );
   int xbin = id3->FindBin(   31.750000000000000      );
  id3 -> SetBinContent( xbin,    2321567.0565110617      );
  id3 -> SetBinError( xbin,    295914.94009408698      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id4", "pTby", 27,    pt3);

  id4 -> GetXaxis() -> SetTitle("pTby");
  id4 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id4 -> GetYaxis() -> SetTitleOffset(1.2);
  id4 -> SetStats(false);
   int xbin = id4->FindBin(  0.25000000000000000      );
  id4 -> SetBinContent( xbin,    432172.61593022395      );
  id4 -> SetBinError( xbin,    26421.329104359018      );
   int xbin = id4->FindBin(  0.75000000000000000      );
  id4 -> SetBinContent( xbin,    6127057.8616439365      );
  id4 -> SetBinError( xbin,    266880.78366825660      );
   int xbin = id4->FindBin(   1.2500000000000000      );
  id4 -> SetBinContent( xbin,    29198684.422604896      );
  id4 -> SetBinError( xbin,    1229537.4523054734      );
   int xbin = id4->FindBin(   1.7500000000000000      );
  id4 -> SetBinContent( xbin,    76890790.415100589      );
  id4 -> SetBinError( xbin,    3226967.3050418817      );
   int xbin = id4->FindBin(   2.2500000000000000      );
  id4 -> SetBinContent( xbin,    154766151.46810415      );
  id4 -> SetBinError( xbin,    6184852.8513718443      );
   int xbin = id4->FindBin(   2.7500000000000000      );
  id4 -> SetBinContent( xbin,    227235142.63111746      );
  id4 -> SetBinError( xbin,    9149394.3682448231      );
   int xbin = id4->FindBin(   3.2500000000000000      );
  id4 -> SetBinContent( xbin,    302267441.06430465      );
  id4 -> SetBinError( xbin,    11184058.684581857      );
   int xbin = id4->FindBin(   3.7500000000000000      );
  id4 -> SetBinContent( xbin,    358922457.77014428      );
  id4 -> SetBinError( xbin,    12687815.237609209      );
   int xbin = id4->FindBin(   4.2500000000000000      );
  id4 -> SetBinContent( xbin,    399520920.18715757      );
  id4 -> SetBinError( xbin,    13657555.238923643      );
   int xbin = id4->FindBin(   4.7500000000000000      );
  id4 -> SetBinContent( xbin,    420847728.59115368      );
  id4 -> SetBinError( xbin,    14252287.799789172      );
   int xbin = id4->FindBin(   5.2500000000000000      );
  id4 -> SetBinContent( xbin,    346026123.63285244      );
  id4 -> SetBinError( xbin,    13003446.191182841      );
   int xbin = id4->FindBin(   5.7500000000000000      );
  id4 -> SetBinContent( xbin,    370391909.28064919      );
  id4 -> SetBinError( xbin,    13453918.534896795      );
   int xbin = id4->FindBin(   6.2500000000000000      );
  id4 -> SetBinContent( xbin,    303007436.38128173      );
  id4 -> SetBinError( xbin,    11811230.757476274      );
   int xbin = id4->FindBin(   6.7500000000000000      );
  id4 -> SetBinContent( xbin,    315039480.77374274      );
  id4 -> SetBinError( xbin,    12236760.975413276      );
   int xbin = id4->FindBin(   7.2500000000000000      );
  id4 -> SetBinContent( xbin,    261274466.11478055      );
  id4 -> SetBinError( xbin,    10934456.845772473      );
   int xbin = id4->FindBin(   7.7500000000000000      );
  id4 -> SetBinContent( xbin,    237383980.58077532      );
  id4 -> SetBinError( xbin,    9937415.4239193089      );
   int xbin = id4->FindBin(   8.2500000000000000      );
  id4 -> SetBinContent( xbin,    185432610.27558529      );
  id4 -> SetBinError( xbin,    8602897.5849418007      );
   int xbin = id4->FindBin(   8.7500000000000000      );
  id4 -> SetBinContent( xbin,    174532208.76161742      );
  id4 -> SetBinError( xbin,    7981613.8261469854      );
   int xbin = id4->FindBin(   9.2500000000000000      );
  id4 -> SetBinContent( xbin,    153590881.57318294      );
  id4 -> SetBinError( xbin,    7192949.8335615695      );
   int xbin = id4->FindBin(   9.7500000000000000      );
  id4 -> SetBinContent( xbin,    124234899.72242244      );
  id4 -> SetBinError( xbin,    6225402.4857350197      );
   int xbin = id4->FindBin(   10.250000000000000      );
  id4 -> SetBinContent( xbin,    96697618.082893074      );
  id4 -> SetBinError( xbin,    5391344.4774598116      );
   int xbin = id4->FindBin(   11.000000000000000      );
  id4 -> SetBinContent( xbin,    83695514.292799339      );
  id4 -> SetBinError( xbin,    4744907.9099817500      );
   int xbin = id4->FindBin(   12.000000000000000      );
  id4 -> SetBinContent( xbin,    69189161.522223145      );
  id4 -> SetBinError( xbin,    4015056.4481327408      );
   int xbin = id4->FindBin(   13.250000000000000      );
  id4 -> SetBinContent( xbin,    46667195.077190407      );
  id4 -> SetBinError( xbin,    3011205.9676997201      );
   int xbin = id4->FindBin(   15.250000000000000      );
  id4 -> SetBinContent( xbin,    29387799.778510023      );
  id4 -> SetBinError( xbin,    2064793.5285558549      );
   int xbin = id4->FindBin(   20.000000000000000      );
  id4 -> SetBinContent( xbin,    10886501.226996107      );
  id4 -> SetBinError( xbin,    977110.18284051714      );
   int xbin = id4->FindBin(   31.750000000000000      );
  id4 -> SetBinContent( xbin,    1650337.4841007905      );
  id4 -> SetBinError( xbin,    225075.79458819385      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id5", "pTby", 27,    pt3);

  id5 -> GetXaxis() -> SetTitle("pTby");
  id5 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id5 -> GetYaxis() -> SetTitleOffset(1.2);
  id5 -> SetStats(false);
   int xbin = id5->FindBin(  0.25000000000000000      );
  id5 -> SetBinContent( xbin,    483714.34269224614      );
  id5 -> SetBinError( xbin,    59570.457527818995      );
   int xbin = id5->FindBin(  0.75000000000000000      );
  id5 -> SetBinContent( xbin,    6058080.8976397505      );
  id5 -> SetBinError( xbin,    260317.80593185913      );
   int xbin = id5->FindBin(   1.2500000000000000      );
  id5 -> SetBinContent( xbin,    27591950.080866106      );
  id5 -> SetBinError( xbin,    1216617.6409240058      );
   int xbin = id5->FindBin(   1.7500000000000000      );
  id5 -> SetBinContent( xbin,    80182420.657768607      );
  id5 -> SetBinError( xbin,    3520737.3576781033      );
   int xbin = id5->FindBin(   2.2500000000000000      );
  id5 -> SetBinContent( xbin,    137619158.95933840      );
  id5 -> SetBinError( xbin,    5806384.4300592635      );
   int xbin = id5->FindBin(   2.7500000000000000      );
  id5 -> SetBinContent( xbin,    247796925.05611998      );
  id5 -> SetBinError( xbin,    9537737.8513205275      );
   int xbin = id5->FindBin(   3.2500000000000000      );
  id5 -> SetBinContent( xbin,    306787166.17174000      );
  id5 -> SetBinError( xbin,    12549746.767993074      );
   int xbin = id5->FindBin(   3.7500000000000000      );
  id5 -> SetBinContent( xbin,    353467816.96854162      );
  id5 -> SetBinError( xbin,    13050627.326045347      );
   int xbin = id5->FindBin(   4.2500000000000000      );
  id5 -> SetBinContent( xbin,    340608552.95582157      );
  id5 -> SetBinError( xbin,    12119634.890610045      );
   int xbin = id5->FindBin(   4.7500000000000000      );
  id5 -> SetBinContent( xbin,    345966867.55564475      );
  id5 -> SetBinError( xbin,    12516278.420816392      );
   int xbin = id5->FindBin(   5.2500000000000000      );
  id5 -> SetBinContent( xbin,    344309957.47077280      );
  id5 -> SetBinError( xbin,    12519034.042470183      );
   int xbin = id5->FindBin(   5.7500000000000000      );
  id5 -> SetBinContent( xbin,    280784228.93156022      );
  id5 -> SetBinError( xbin,    11584320.804090444      );
   int xbin = id5->FindBin(   6.2500000000000000      );
  id5 -> SetBinContent( xbin,    250032557.21819454      );
  id5 -> SetBinError( xbin,    10524913.358428607      );
   int xbin = id5->FindBin(   6.7500000000000000      );
  id5 -> SetBinContent( xbin,    205624396.37492907      );
  id5 -> SetBinError( xbin,    9475501.3823324256      );
   int xbin = id5->FindBin(   7.2500000000000000      );
  id5 -> SetBinContent( xbin,    186282399.38364643      );
  id5 -> SetBinError( xbin,    8867413.9045126606      );
   int xbin = id5->FindBin(   7.7500000000000000      );
  id5 -> SetBinContent( xbin,    180116805.76364017      );
  id5 -> SetBinError( xbin,    8368594.9348227838      );
   int xbin = id5->FindBin(   8.2500000000000000      );
  id5 -> SetBinContent( xbin,    155362280.89366692      );
  id5 -> SetBinError( xbin,    7324142.1803067019      );
   int xbin = id5->FindBin(   8.7500000000000000      );
  id5 -> SetBinContent( xbin,    121187072.09721723      );
  id5 -> SetBinError( xbin,    6388412.9547154149      );
   int xbin = id5->FindBin(   9.2500000000000000      );
  id5 -> SetBinContent( xbin,    122575944.20855761      );
  id5 -> SetBinError( xbin,    6212125.7820562730      );
   int xbin = id5->FindBin(   9.7500000000000000      );
  id5 -> SetBinContent( xbin,    94523060.258787498      );
  id5 -> SetBinError( xbin,    5263778.6931151906      );
   int xbin = id5->FindBin(   10.250000000000000      );
  id5 -> SetBinContent( xbin,    67464733.082487121      );
  id5 -> SetBinError( xbin,    4172045.1624376243      );
   int xbin = id5->FindBin(   11.000000000000000      );
  id5 -> SetBinContent( xbin,    65517400.113667190      );
  id5 -> SetBinError( xbin,    3981162.5587339015      );
   int xbin = id5->FindBin(   12.000000000000000      );
  id5 -> SetBinContent( xbin,    48101434.515709162      );
  id5 -> SetBinError( xbin,    3136909.5438166950      );
   int xbin = id5->FindBin(   13.250000000000000      );
  id5 -> SetBinContent( xbin,    35787645.226125985      );
  id5 -> SetBinError( xbin,    2438051.9664904769      );
   int xbin = id5->FindBin(   15.250000000000000      );
  id5 -> SetBinContent( xbin,    21000396.421891563      );
  id5 -> SetBinError( xbin,    1625604.0354123448      );
   int xbin = id5->FindBin(   20.000000000000000      );
  id5 -> SetBinContent( xbin,    7166189.3335522925      );
  id5 -> SetBinError( xbin,    723160.56176158530      );
   int xbin = id5->FindBin(   31.750000000000000      );
  id5 -> SetBinContent( xbin,    935907.32346868690      );
  id5 -> SetBinError( xbin,    152829.22844890598      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id6", "pTby", 27,    pt3);

  id6 -> GetXaxis() -> SetTitle("pTby");
  id6 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id6 -> GetYaxis() -> SetTitleOffset(1.2);
  id6 -> SetStats(false);
   int xbin = id6->FindBin(  0.25000000000000000      );
  id6 -> SetBinContent( xbin,    330797.25491293526      );
  id6 -> SetBinError( xbin,    19967.517278278996      );
   int xbin = id6->FindBin(  0.75000000000000000      );
  id6 -> SetBinContent( xbin,    5505863.1013292782      );
  id6 -> SetBinError( xbin,    282103.13619945128      );
   int xbin = id6->FindBin(   1.2500000000000000      );
  id6 -> SetBinContent( xbin,    26756511.088321220      );
  id6 -> SetBinError( xbin,    1324966.3885976761      );
   int xbin = id6->FindBin(   1.7500000000000000      );
  id6 -> SetBinContent( xbin,    74843301.285391152      );
  id6 -> SetBinError( xbin,    3315438.0211614631      );
   int xbin = id6->FindBin(   2.2500000000000000      );
  id6 -> SetBinContent( xbin,    127389341.75933459      );
  id6 -> SetBinError( xbin,    5559694.3460988002      );
   int xbin = id6->FindBin(   2.7500000000000000      );
  id6 -> SetBinContent( xbin,    201676381.04402757      );
  id6 -> SetBinError( xbin,    8781987.5676851105      );
   int xbin = id6->FindBin(   3.2500000000000000      );
  id6 -> SetBinContent( xbin,    279746054.87469810      );
  id6 -> SetBinError( xbin,    11656925.937664971      );
   int xbin = id6->FindBin(   3.7500000000000000      );
  id6 -> SetBinContent( xbin,    288939428.29142988      );
  id6 -> SetBinError( xbin,    12081363.109981054      );
   int xbin = id6->FindBin(   4.2500000000000000      );
  id6 -> SetBinContent( xbin,    275982114.97050130      );
  id6 -> SetBinError( xbin,    11161379.035665790      );
   int xbin = id6->FindBin(   4.7500000000000000      );
  id6 -> SetBinContent( xbin,    270811209.62064284      );
  id6 -> SetBinError( xbin,    10821603.637452632      );
   int xbin = id6->FindBin(   5.2500000000000000      );
  id6 -> SetBinContent( xbin,    236332268.59859574      );
  id6 -> SetBinError( xbin,    10122420.889836637      );
   int xbin = id6->FindBin(   5.7500000000000000      );
  id6 -> SetBinContent( xbin,    202951439.98617145      );
  id6 -> SetBinError( xbin,    9496404.6215028688      );
   int xbin = id6->FindBin(   6.2500000000000000      );
  id6 -> SetBinContent( xbin,    191406775.24144858      );
  id6 -> SetBinError( xbin,    8782501.5191779137      );
   int xbin = id6->FindBin(   6.7500000000000000      );
  id6 -> SetBinContent( xbin,    181464555.14314327      );
  id6 -> SetBinError( xbin,    8344153.8429821562      );
   int xbin = id6->FindBin(   7.2500000000000000      );
  id6 -> SetBinContent( xbin,    136966594.20997542      );
  id6 -> SetBinError( xbin,    6987317.0403692294      );
   int xbin = id6->FindBin(   7.7500000000000000      );
  id6 -> SetBinContent( xbin,    120834551.24148268      );
  id6 -> SetBinError( xbin,    6437239.2996586319      );
   int xbin = id6->FindBin(   8.2500000000000000      );
  id6 -> SetBinContent( xbin,    106345635.62539965      );
  id6 -> SetBinError( xbin,    6020746.6508343332      );
   int xbin = id6->FindBin(   8.7500000000000000      );
  id6 -> SetBinContent( xbin,    85300956.170468017      );
  id6 -> SetBinError( xbin,    4911656.9312790874      );
   int xbin = id6->FindBin(   9.2500000000000000      );
  id6 -> SetBinContent( xbin,    75815835.468272775      );
  id6 -> SetBinError( xbin,    4555151.2490729392      );
   int xbin = id6->FindBin(   9.7500000000000000      );
  id6 -> SetBinContent( xbin,    59107311.505025804      );
  id6 -> SetBinError( xbin,    3855103.2814993751      );
   int xbin = id6->FindBin(   10.250000000000000      );
  id6 -> SetBinContent( xbin,    56928142.160859741      );
  id6 -> SetBinError( xbin,    3581826.2418530523      );
   int xbin = id6->FindBin(   11.000000000000000      );
  id6 -> SetBinContent( xbin,    44317787.894570038      );
  id6 -> SetBinError( xbin,    3042276.2372405981      );
   int xbin = id6->FindBin(   12.000000000000000      );
  id6 -> SetBinContent( xbin,    31270498.376743712      );
  id6 -> SetBinError( xbin,    2280270.9442834659      );
   int xbin = id6->FindBin(   13.250000000000000      );
  id6 -> SetBinContent( xbin,    21579182.581952650      );
  id6 -> SetBinError( xbin,    1716724.3873526994      );
   int xbin = id6->FindBin(   15.250000000000000      );
  id6 -> SetBinContent( xbin,    12270876.270778352      );
  id6 -> SetBinError( xbin,    1122036.8261034477      );
   int xbin = id6->FindBin(   20.000000000000000      );
  id6 -> SetBinContent( xbin,    4046138.6482397453      );
  id6 -> SetBinError( xbin,    479180.16464377032      );
   int xbin = id6->FindBin(   31.750000000000000      );
  id6 -> SetBinContent( xbin,    448580.10852619616      );
  id6 -> SetBinError( xbin,    90881.920660356831      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id7", "pTby", 27,    pt3);

  id7 -> GetXaxis() -> SetTitle("pTby");
  id7 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id7 -> GetYaxis() -> SetTitleOffset(1.2);
  id7 -> SetStats(false);
   int xbin = id7->FindBin(  0.25000000000000000      );
  id7 -> SetBinContent( xbin,    280521.16770327603      );
  id7 -> SetBinError( xbin,    26327.993099522442      );
   int xbin = id7->FindBin(  0.75000000000000000      );
  id7 -> SetBinContent( xbin,    4641216.1445255755      );
  id7 -> SetBinError( xbin,    230597.88334324551      );
   int xbin = id7->FindBin(   1.2500000000000000      );
  id7 -> SetBinContent( xbin,    19622186.705122121      );
  id7 -> SetBinError( xbin,    954762.63318133657      );
   int xbin = id7->FindBin(   1.7500000000000000      );
  id7 -> SetBinContent( xbin,    54860433.326520957      );
  id7 -> SetBinError( xbin,    2643691.9740054426      );
   int xbin = id7->FindBin(   2.2500000000000000      );
  id7 -> SetBinContent( xbin,    110715528.09864889      );
  id7 -> SetBinError( xbin,    5166177.0515011270      );
   int xbin = id7->FindBin(   2.7500000000000000      );
  id7 -> SetBinContent( xbin,    173804770.42720106      );
  id7 -> SetBinError( xbin,    8040279.9600074394      );
   int xbin = id7->FindBin(   3.2500000000000000      );
  id7 -> SetBinContent( xbin,    205894733.91718477      );
  id7 -> SetBinError( xbin,    8781356.9341620784      );
   int xbin = id7->FindBin(   3.7500000000000000      );
  id7 -> SetBinContent( xbin,    216282766.54293871      );
  id7 -> SetBinError( xbin,    10532515.374296749      );
   int xbin = id7->FindBin(   4.2500000000000000      );
  id7 -> SetBinContent( xbin,    209900282.23081750      );
  id7 -> SetBinError( xbin,    9291015.0769616440      );
   int xbin = id7->FindBin(   4.7500000000000000      );
  id7 -> SetBinContent( xbin,    203252970.35933042      );
  id7 -> SetBinError( xbin,    8982463.6337662730      );
   int xbin = id7->FindBin(   5.2500000000000000      );
  id7 -> SetBinContent( xbin,    169099793.44924864      );
  id7 -> SetBinError( xbin,    8179153.1669157892      );
   int xbin = id7->FindBin(   5.7500000000000000      );
  id7 -> SetBinContent( xbin,    142272148.36317095      );
  id7 -> SetBinError( xbin,    7222061.4402078800      );
   int xbin = id7->FindBin(   6.2500000000000000      );
  id7 -> SetBinContent( xbin,    120023645.86957724      );
  id7 -> SetBinError( xbin,    6614316.4603401292      );
   int xbin = id7->FindBin(   6.7500000000000000      );
  id7 -> SetBinContent( xbin,    105538376.00272898      );
  id7 -> SetBinError( xbin,    6180760.6404279098      );
   int xbin = id7->FindBin(   7.2500000000000000      );
  id7 -> SetBinContent( xbin,    100968559.48367476      );
  id7 -> SetBinError( xbin,    5764507.3380734073      );
   int xbin = id7->FindBin(   7.7500000000000000      );
  id7 -> SetBinContent( xbin,    74281148.279212460      );
  id7 -> SetBinError( xbin,    4790412.4097661981      );
   int xbin = id7->FindBin(   8.2500000000000000      );
  id7 -> SetBinContent( xbin,    58053148.094382197      );
  id7 -> SetBinError( xbin,    4324602.9780506101      );
   int xbin = id7->FindBin(   8.7500000000000000      );
  id7 -> SetBinContent( xbin,    55163077.736050621      );
  id7 -> SetBinError( xbin,    3728747.8983037593      );
   int xbin = id7->FindBin(   9.2500000000000000      );
  id7 -> SetBinContent( xbin,    44617701.459114164      );
  id7 -> SetBinError( xbin,    3169211.9567021616      );
   int xbin = id7->FindBin(   9.7500000000000000      );
  id7 -> SetBinContent( xbin,    29200770.394481033      );
  id7 -> SetBinError( xbin,    2325045.5825403715      );
   int xbin = id7->FindBin(   10.250000000000000      );
  id7 -> SetBinContent( xbin,    27691219.122595396      );
  id7 -> SetBinError( xbin,    2224993.8929597260      );
   int xbin = id7->FindBin(   11.000000000000000      );
  id7 -> SetBinContent( xbin,    25030758.917302303      );
  id7 -> SetBinError( xbin,    2103550.2867996111      );
   int xbin = id7->FindBin(   12.000000000000000      );
  id7 -> SetBinContent( xbin,    18849764.983099673      );
  id7 -> SetBinError( xbin,    1533698.3724982061      );
   int xbin = id7->FindBin(   13.250000000000000      );
  id7 -> SetBinContent( xbin,    9610284.1399862673      );
  id7 -> SetBinError( xbin,    971163.32859505597      );
   int xbin = id7->FindBin(   15.250000000000000      );
  id7 -> SetBinContent( xbin,    5343761.1912243720      );
  id7 -> SetBinError( xbin,    629197.48661890754      );
   int xbin = id7->FindBin(   20.000000000000000      );
  id7 -> SetBinContent( xbin,    1684175.2425900921      );
  id7 -> SetBinError( xbin,    267807.45493513549      );
   int xbin = id7->FindBin(   31.750000000000000      );
  id7 -> SetBinContent( xbin,    167323.78355605033      );
  id7 -> SetBinError( xbin,    48943.347808761158      );
  histos -> Add(hist); 
 
 
  mcfmhisto -> cd();
  if (histos -> GetEntries() > 0 ) then  {
   histos->Write();
   mcfmhisto -> Close();
  }
 }
