// Cross-section is:  68647112724.9435653687 +/-    139489661.3822792172)

 // Contribution from parton sub-processes:
//        GG     |           0.00000    0.00%
//        GQ     | 13462154153.16038   19.61%
//        GQB    | 13463211770.07586   19.61%
//        QG     | 13430136942.22013   19.56%
//        QBG    | 13429051786.93138   19.56%
//        QQ     |  4913810596.76311    7.16%
//        QBQB   |  2517678770.97585    3.67%
//        QQB    |  3721536483.75329    5.42%
//        QBQ    |  3712427787.17754    5.41%

 // Run corresponds to this input file)

 // [Flags to specify the mode in which MCFM is run] )
//                  -1            [nevtrequested]  
//                   F            [creatent]  
//                   F            [skipnt]  
//                   F            [dswhisto]  
//                   F            [creategrid]  
//                   F            [writetop]  
//                   F            [writedat]  
//                   F            [writegnu]  
//                   T            [writeroot]  
//                   F            [writepwg]  

 // [General options to specify the process and execution] )
//                 703            [nproc]  
//                7031            [exptid]  
//                lord            [part]  
//LHCbFE                          [runstring]  
//           7000.0000            [sqrts]  
//                   1            [ih1]  
//                   1            [ih2]  
//            125.0000            [hmass]  
//              1.0000            [scale]  
//              1.0000            [facscale]  
//ET3                             [dynamicscale]  
//                   F            [zerowidth]  
//                   F            [removebr]  
//                   4            [itmx1]  
//               20000            [ncall1]  
//                  10            [itmx2]  
//               40000            [ncall2]  
//                9876            [ij]  
//                   F            [dryrun]  
//                   T            [Qflag]  
//                   T            [Gflag]  

 // [Heavy quark masses] )
//            173.5000            [top mass]  
//              4.7500            [bottom mass]  
//              0.0000            [charm mass]  

 // [Pdf selection] )
//             CT18NNL            [pdlabel]  
//                   4            [NGROUP]  
//                  46            [NSET]  
//CT18NNLO.LHpdf                  [LHAPDF group]  
//                   0            [LHAPDF set]  

 // [Jet definition and event cuts] )
//              9.5000            [m34min]  
//           7000.0000            [m34max]  
//              0.0000            [m56min]  
//           7000.0000            [m56max]  
//                   T            [inclusive]  
//                none            [algorithm]  
//              0.0000            [ptjetmin]  
//              2.0000            [etajetmin]  
//              4.5000            [etajetmax]  
//              0.0000            [Rcut]  
//                   T            [makecuts]  
//              0.0000            [leptpt]  
//             99.0000            [leptrap]  
//   0.000,   0.000                [leptveto]  
//              0.0000            [misspt]  
//              0.0000            [leptpt2]  
//             99.0000            [leptrap2]  
//   0.000,   0.000                [leptveto2]  
//              0.0000            [mtrans34cut]  
//              0.0000            [Rjlmin]  
//              0.0000            [Rllmin]  
//              0.0000            [delyjjmin]  
//                   F            [jetsopphem]  
//                   0            [lbjscheme]  
//              0.0000            [ptbjetmin]  
//              4.5000            [etabjetmax]  

 // [Settings for photon processes] )
//                   F            [frag]  
//            GdRG__LO            [fragset]  
//              4.7504            [frag_scale]  
//             20.0000            [gammpt]  
//              2.5000            [gammrap]  
//             20.0000            [gammpt2]  
//             20.0000            [gammpt3]  
//              0.0000            [Rgalmin]  
//              0.4000            [Rgagamin]  
//              0.4000            [Rgajetmin]  
//              0.4000            [cone_ang]  
//              0.5000            [epsilon_h]  

 // [Anomalous couplings of the W and Z] )
//              0.0000            [delg1_z]  
//              0.0000            [delk_z]  
//              0.0000            [delk_g]  
//              0.0000            [lambda_z]  
//              0.0000            [lambda_g]  
//              0.0000            [h1Z]  
//              0.0000            [h1gam]  
//              0.0000            [h2Z]  
//              0.0000            [h2gam]  
//              0.0000            [h3Z]  
//              0.0000            [h3gam]  
//              0.0000            [h4Z]  
//              0.0000            [h4gam]  
//              2.0000            [tevscale]  
//              1.0000            [cttH]  
//              1.0000            [cWWH]  
//              1.0000            [Gamma_H/Gamma_H(SM)]  

 // [How to resume/save a run] )
//                   F            [readin]  
//                   F            [writeout]  
//                                [ingridfile]  
//                                [outgridfile]  

 // [Technical parameters that should not normally be changed]
//                   F            [debug]  
//                   T            [verbose]  
//                   F            [new_pspace]  
//                   F            [virtonly]  
//                   F            [realonly]  
//                   T            [spira]  
//                   F            [noglue]  
//                   F            [ggonly]  
//                   F            [gqonly]  
//                   F            [omitgg]  
//                   F            [vanillafiles]  
//                   1            [nmin]  
//                   2            [nmax]  
//                   T            [clustering]  
//                   F            [realwt]  
//                   0            [colourchoice]  
//              0.0100            [rtsmin]  
//              0.0012            [cutoff]  
//              0.1000            [aii]  
//              0.1000            [aif]  
//              0.1000            [afi]  
//              1.0000            [aff]  
//              1.0000            [bfi]  
//              1.0000            [bff]  


  {
  mcfmhisto = new TFile("LHCbBX/bfbf5f_lord_CT18NNL_1___1___LHCbFE.root", "recreate");
  mcfmhisto -> cd();
  histos = new TObjArray(0);

double pt3[]={0.0,0.5,1.0,1.5,2.0,2.5,3.0,3.5,4.0,4.5,5.0,5.5,6.0,6.5,7.0,7.5,8.0,8.5,9.0,9.5,10.0,10.5,11.5,12.5,14.0,16.5,23.5,40.0};
  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id1", "pTb", 27,    pt3);

  id1 -> GetXaxis() -> SetTitle("pTb");
  id1 -> GetYaxis() -> SetTitle(" d#sigma/dpTb [fb]");

  id1 -> GetYaxis() -> SetTitleOffset(1.2);
  id1 -> SetStats(false);
   int xbin = id1->FindBin(  0.25000000000000000      );
  id1 -> SetBinContent( xbin,    6366019.2643507747      );
  id1 -> SetBinError( xbin,    222224.83138368771      );
   int xbin = id1->FindBin(  0.75000000000000000      );
  id1 -> SetBinContent( xbin,    98025067.258008510      );
  id1 -> SetBinError( xbin,    1773520.9276433685      );
   int xbin = id1->FindBin(   1.2500000000000000      );
  id1 -> SetBinContent( xbin,    435407929.42038894      );
  id1 -> SetBinError( xbin,    7747019.2385723600      );
   int xbin = id1->FindBin(   1.7500000000000000      );
  id1 -> SetBinContent( xbin,    1145142611.4889450      );
  id1 -> SetBinError( xbin,    19468750.867813397      );
   int xbin = id1->FindBin(   2.2500000000000000      );
  id1 -> SetBinContent( xbin,    2110317921.4785442      );
  id1 -> SetBinError( xbin,    35983786.054484546      );
   int xbin = id1->FindBin(   2.7500000000000000      );
  id1 -> SetBinContent( xbin,    3346405226.3679781      );
  id1 -> SetBinError( xbin,    53688993.963292830      );
   int xbin = id1->FindBin(   3.2500000000000000      );
  id1 -> SetBinContent( xbin,    4135749905.1214547      );
  id1 -> SetBinError( xbin,    68325179.148002550      );
   int xbin = id1->FindBin(   3.7500000000000000      );
  id1 -> SetBinContent( xbin,    4974165038.7773237      );
  id1 -> SetBinError( xbin,    78734537.095850706      );
   int xbin = id1->FindBin(   4.2500000000000000      );
  id1 -> SetBinContent( xbin,    5003051775.4089499      );
  id1 -> SetBinError( xbin,    84213493.108154699      );
   int xbin = id1->FindBin(   4.7500000000000000      );
  id1 -> SetBinContent( xbin,    5057090972.0312176      );
  id1 -> SetBinError( xbin,    84505346.957142815      );
   int xbin = id1->FindBin(   5.2500000000000000      );
  id1 -> SetBinContent( xbin,    4776006872.6790934      );
  id1 -> SetBinError( xbin,    83646245.218572900      );
   int xbin = id1->FindBin(   5.7500000000000000      );
  id1 -> SetBinContent( xbin,    4263766530.9986300      );
  id1 -> SetBinError( xbin,    79054376.376473278      );
   int xbin = id1->FindBin(   6.2500000000000000      );
  id1 -> SetBinContent( xbin,    3971388142.0240426      );
  id1 -> SetBinError( xbin,    76307776.291168764      );
   int xbin = id1->FindBin(   6.7500000000000000      );
  id1 -> SetBinContent( xbin,    3594544816.9178424      );
  id1 -> SetBinError( xbin,    71244479.975721672      );
   int xbin = id1->FindBin(   7.2500000000000000      );
  id1 -> SetBinContent( xbin,    3177751453.6731205      );
  id1 -> SetBinError( xbin,    66044791.033875130      );
   int xbin = id1->FindBin(   7.7500000000000000      );
  id1 -> SetBinContent( xbin,    2869705109.4104733      );
  id1 -> SetBinError( xbin,    61050320.222655833      );
   int xbin = id1->FindBin(   8.2500000000000000      );
  id1 -> SetBinContent( xbin,    2448760712.5228243      );
  id1 -> SetBinError( xbin,    55069322.413024023      );
   int xbin = id1->FindBin(   8.7500000000000000      );
  id1 -> SetBinContent( xbin,    2100166398.6801889      );
  id1 -> SetBinError( xbin,    49523258.372823656      );
   int xbin = id1->FindBin(   9.2500000000000000      );
  id1 -> SetBinContent( xbin,    1869890016.9597940      );
  id1 -> SetBinError( xbin,    44866312.375799663      );
   int xbin = id1->FindBin(   9.7500000000000000      );
  id1 -> SetBinContent( xbin,    1669570651.0197871      );
  id1 -> SetBinError( xbin,    41490711.318967521      );
   int xbin = id1->FindBin(   10.250000000000000      );
  id1 -> SetBinContent( xbin,    1323285629.6210716      );
  id1 -> SetBinError( xbin,    35495203.933756821      );
   int xbin = id1->FindBin(   11.000000000000000      );
  id1 -> SetBinContent( xbin,    1126943942.9796720      );
  id1 -> SetBinError( xbin,    31026967.552248679      );
   int xbin = id1->FindBin(   12.000000000000000      );
  id1 -> SetBinContent( xbin,    868829624.05991745      );
  id1 -> SetBinError( xbin,    25598857.545670468      );
   int xbin = id1->FindBin(   13.250000000000000      );
  id1 -> SetBinContent( xbin,    609739111.92616093      );
  id1 -> SetBinError( xbin,    19536813.377053726      );
   int xbin = id1->FindBin(   15.250000000000000      );
  id1 -> SetBinContent( xbin,    367167849.24200767      );
  id1 -> SetBinError( xbin,    13371116.189413466      );
   int xbin = id1->FindBin(   20.000000000000000      );
  id1 -> SetBinContent( xbin,    134430305.38135284      );
  id1 -> SetBinError( xbin,    6322019.7609248403      );
   int xbin = id1->FindBin(   31.750000000000000      );
  id1 -> SetBinContent( xbin,    20031440.335910909      );
  id1 -> SetBinError( xbin,    1499156.6107218384      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id2", "yb", 10,    0.00000,    5.00000);

  id2 -> GetXaxis() -> SetTitle("yb");
  id2 -> GetYaxis() -> SetTitle(" d#sigma/dyb [fb]");

  id2 -> GetYaxis() -> SetTitleOffset(1.2);
  id2 -> SetStats(false);
   int xbin = id2->FindBin(   2.2500000000000000      );
  id2 -> SetBinContent( xbin,    20638759378.534168      );
  id2 -> SetBinError( xbin,    223760297.82431558      );
   int xbin = id2->FindBin(   2.7500000000000000      );
  id2 -> SetBinContent( xbin,    17525457067.760326      );
  id2 -> SetBinError( xbin,    202175939.67166162      );
   int xbin = id2->FindBin(   3.2500000000000000      );
  id2 -> SetBinContent( xbin,    13832001653.283913      );
  id2 -> SetBinError( xbin,    176224233.00815758      );
   int xbin = id2->FindBin(   3.7500000000000000      );
  id2 -> SetBinContent( xbin,    10085956322.941473      );
  id2 -> SetBinError( xbin,    144324540.91807330      );
   int xbin = id2->FindBin(   4.2500000000000000      );
  id2 -> SetBinContent( xbin,    6494049901.0959959      );
  id2 -> SetBinError( xbin,    110437245.41842452      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id3", "pTby", 27,    pt3);

  id3 -> GetXaxis() -> SetTitle("pTby");
  id3 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id3 -> GetYaxis() -> SetTitleOffset(1.2);
  id3 -> SetStats(false);
   int xbin = id3->FindBin(  0.25000000000000000      );
  id3 -> SetBinContent( xbin,    1631789.1426572625      );
  id3 -> SetBinError( xbin,    83430.426839212683      );
   int xbin = id3->FindBin(  0.75000000000000000      );
  id3 -> SetBinContent( xbin,    26107022.065203860      );
  id3 -> SetBinError( xbin,    880790.38304432086      );
   int xbin = id3->FindBin(   1.2500000000000000      );
  id3 -> SetBinContent( xbin,    111148313.59972118      );
  id3 -> SetBinError( xbin,    3553319.1796291312      );
   int xbin = id3->FindBin(   1.7500000000000000      );
  id3 -> SetBinContent( xbin,    284300171.55751973      );
  id3 -> SetBinError( xbin,    9033468.7558763102      );
   int xbin = id3->FindBin(   2.2500000000000000      );
  id3 -> SetBinContent( xbin,    560994169.77735221      );
  id3 -> SetBinError( xbin,    19620439.015076183      );
   int xbin = id3->FindBin(   2.7500000000000000      );
  id3 -> SetBinContent( xbin,    872637507.99064851      );
  id3 -> SetBinError( xbin,    27690390.850217961      );
   int xbin = id3->FindBin(   3.2500000000000000      );
  id3 -> SetBinContent( xbin,    1021935124.0533482      );
  id3 -> SetBinError( xbin,    33874767.429164097      );
   int xbin = id3->FindBin(   3.7500000000000000      );
  id3 -> SetBinContent( xbin,    1373867513.3534458      );
  id3 -> SetBinError( xbin,    42470742.672371775      );
   int xbin = id3->FindBin(   4.2500000000000000      );
  id3 -> SetBinContent( xbin,    1430029825.4947069      );
  id3 -> SetBinError( xbin,    45518748.644439541      );
   int xbin = id3->FindBin(   4.7500000000000000      );
  id3 -> SetBinContent( xbin,    1424019750.0393331      );
  id3 -> SetBinError( xbin,    46980850.628172606      );
   int xbin = id3->FindBin(   5.2500000000000000      );
  id3 -> SetBinContent( xbin,    1243658903.3628836      );
  id3 -> SetBinError( xbin,    44934754.391849257      );
   int xbin = id3->FindBin(   5.7500000000000000      );
  id3 -> SetBinContent( xbin,    1291990601.9253561      );
  id3 -> SetBinError( xbin,    45685683.573177628      );
   int xbin = id3->FindBin(   6.2500000000000000      );
  id3 -> SetBinContent( xbin,    1236530417.4978342      );
  id3 -> SetBinError( xbin,    44701307.379240260      );
   int xbin = id3->FindBin(   6.7500000000000000      );
  id3 -> SetBinContent( xbin,    1083305305.9202640      );
  id3 -> SetBinError( xbin,    41751305.031929739      );
   int xbin = id3->FindBin(   7.2500000000000000      );
  id3 -> SetBinContent( xbin,    980020124.17574167      );
  id3 -> SetBinError( xbin,    38954500.871310942      );
   int xbin = id3->FindBin(   7.7500000000000000      );
  id3 -> SetBinContent( xbin,    904520779.84955907      );
  id3 -> SetBinError( xbin,    36845110.626456216      );
   int xbin = id3->FindBin(   8.2500000000000000      );
  id3 -> SetBinContent( xbin,    801133092.11983764      );
  id3 -> SetBinError( xbin,    33746321.084439360      );
   int xbin = id3->FindBin(   8.7500000000000000      );
  id3 -> SetBinContent( xbin,    666021741.76596344      );
  id3 -> SetBinError( xbin,    29881608.992756005      );
   int xbin = id3->FindBin(   9.2500000000000000      );
  id3 -> SetBinContent( xbin,    604394238.04698598      );
  id3 -> SetBinError( xbin,    27633386.628931571      );
   int xbin = id3->FindBin(   9.7500000000000000      );
  id3 -> SetBinContent( xbin,    573961325.35491979      );
  id3 -> SetBinError( xbin,    26496253.282943092      );
   int xbin = id3->FindBin(   10.250000000000000      );
  id3 -> SetBinContent( xbin,    455799992.39468938      );
  id3 -> SetBinError( xbin,    22442839.696984835      );
   int xbin = id3->FindBin(   11.000000000000000      );
  id3 -> SetBinContent( xbin,    393060293.93659461      );
  id3 -> SetBinError( xbin,    19899930.289113853      );
   int xbin = id3->FindBin(   12.000000000000000      );
  id3 -> SetBinContent( xbin,    296231139.88040107      );
  id3 -> SetBinError( xbin,    16324103.061381618      );
   int xbin = id3->FindBin(   13.250000000000000      );
  id3 -> SetBinContent( xbin,    219559704.93271700      );
  id3 -> SetBinError( xbin,    12795363.373595517      );
   int xbin = id3->FindBin(   15.250000000000000      );
  id3 -> SetBinContent( xbin,    127694568.47504245      );
  id3 -> SetBinError( xbin,    8678339.6288469676      );
   int xbin = id3->FindBin(   20.000000000000000      );
  id3 -> SetBinContent( xbin,    51736715.731061697      );
  id3 -> SetBinError( xbin,    4301842.8665463524      );
   int xbin = id3->FindBin(   31.750000000000000      );
  id3 -> SetBinContent( xbin,    8809176.4849674683      );
  id3 -> SetBinError( xbin,    1089371.5956081690      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id4", "pTby", 27,    pt3);

  id4 -> GetXaxis() -> SetTitle("pTby");
  id4 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id4 -> GetYaxis() -> SetTitleOffset(1.2);
  id4 -> SetStats(false);
   int xbin = id4->FindBin(  0.25000000000000000      );
  id4 -> SetBinContent( xbin,    1711135.5254471158      );
  id4 -> SetBinError( xbin,    163464.69635297277      );
   int xbin = id4->FindBin(  0.75000000000000000      );
  id4 -> SetBinContent( xbin,    24516012.478205241      );
  id4 -> SetBinError( xbin,    903198.56368434522      );
   int xbin = id4->FindBin(   1.2500000000000000      );
  id4 -> SetBinContent( xbin,    105524834.82421942      );
  id4 -> SetBinError( xbin,    4258784.4511489403      );
   int xbin = id4->FindBin(   1.7500000000000000      );
  id4 -> SetBinContent( xbin,    261842811.00553370      );
  id4 -> SetBinError( xbin,    9844381.0288914572      );
   int xbin = id4->FindBin(   2.2500000000000000      );
  id4 -> SetBinContent( xbin,    509464500.35322380      );
  id4 -> SetBinError( xbin,    17505852.603609893      );
   int xbin = id4->FindBin(   2.7500000000000000      );
  id4 -> SetBinContent( xbin,    825150568.31621826      );
  id4 -> SetBinError( xbin,    26761095.982469972      );
   int xbin = id4->FindBin(   3.2500000000000000      );
  id4 -> SetBinContent( xbin,    977837952.24859393      );
  id4 -> SetBinError( xbin,    32959215.881922912      );
   int xbin = id4->FindBin(   3.7500000000000000      );
  id4 -> SetBinContent( xbin,    1158999176.8449936      );
  id4 -> SetBinError( xbin,    37883964.487903707      );
   int xbin = id4->FindBin(   4.2500000000000000      );
  id4 -> SetBinContent( xbin,    1292104131.9192419      );
  id4 -> SetBinError( xbin,    42461665.377292693      );
   int xbin = id4->FindBin(   4.7500000000000000      );
  id4 -> SetBinContent( xbin,    1217266793.6298769      );
  id4 -> SetBinError( xbin,    43008793.357237726      );
   int xbin = id4->FindBin(   5.2500000000000000      );
  id4 -> SetBinContent( xbin,    1246695284.8294337      );
  id4 -> SetBinError( xbin,    43957979.782819130      );
   int xbin = id4->FindBin(   5.7500000000000000      );
  id4 -> SetBinContent( xbin,    1084387198.7671163      );
  id4 -> SetBinError( xbin,    41551089.616807349      );
   int xbin = id4->FindBin(   6.2500000000000000      );
  id4 -> SetBinContent( xbin,    1032634766.1542132      );
  id4 -> SetBinError( xbin,    39955439.374151491      );
   int xbin = id4->FindBin(   6.7500000000000000      );
  id4 -> SetBinContent( xbin,    924953940.44872367      );
  id4 -> SetBinError( xbin,    36846078.489060000      );
   int xbin = id4->FindBin(   7.2500000000000000      );
  id4 -> SetBinContent( xbin,    864843481.78552973      );
  id4 -> SetBinError( xbin,    35707026.717724912      );
   int xbin = id4->FindBin(   7.7500000000000000      );
  id4 -> SetBinContent( xbin,    731192774.40717471      );
  id4 -> SetBinError( xbin,    31891094.747902729      );
   int xbin = id4->FindBin(   8.2500000000000000      );
  id4 -> SetBinContent( xbin,    622267942.66809773      );
  id4 -> SetBinError( xbin,    28204522.090242438      );
   int xbin = id4->FindBin(   8.7500000000000000      );
  id4 -> SetBinContent( xbin,    555393259.92001355      );
  id4 -> SetBinError( xbin,    26265416.450481400      );
   int xbin = id4->FindBin(   9.2500000000000000      );
  id4 -> SetBinContent( xbin,    503929807.37376761      );
  id4 -> SetBinError( xbin,    23681741.144185539      );
   int xbin = id4->FindBin(   9.7500000000000000      );
  id4 -> SetBinContent( xbin,    431199865.07691574      );
  id4 -> SetBinError( xbin,    21334444.074177332      );
   int xbin = id4->FindBin(   10.250000000000000      );
  id4 -> SetBinContent( xbin,    371838246.34139854      );
  id4 -> SetBinError( xbin,    19490773.843214873      );
   int xbin = id4->FindBin(   11.000000000000000      );
  id4 -> SetBinContent( xbin,    280959421.16460901      );
  id4 -> SetBinError( xbin,    15928819.632384013      );
   int xbin = id4->FindBin(   12.000000000000000      );
  id4 -> SetBinContent( xbin,    244075761.31647539      );
  id4 -> SetBinError( xbin,    13899467.496543119      );
   int xbin = id4->FindBin(   13.250000000000000      );
  id4 -> SetBinContent( xbin,    159331060.98897263      );
  id4 -> SetBinError( xbin,    10281502.027148429      );
   int xbin = id4->FindBin(   15.250000000000000      );
  id4 -> SetBinContent( xbin,    104107025.87899545      );
  id4 -> SetBinError( xbin,    7219846.5883146878      );
   int xbin = id4->FindBin(   20.000000000000000      );
  id4 -> SetBinContent( xbin,    38617302.942729972      );
  id4 -> SetBinError( xbin,    3441378.0029105069      );
   int xbin = id4->FindBin(   31.750000000000000      );
  id4 -> SetBinContent( xbin,    5832171.6460627234      );
  id4 -> SetBinError( xbin,    805560.64443811006      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id5", "pTby", 27,    pt3);

  id5 -> GetXaxis() -> SetTitle("pTby");
  id5 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id5 -> GetYaxis() -> SetTitleOffset(1.2);
  id5 -> SetStats(false);
   int xbin = id5->FindBin(  0.25000000000000000      );
  id5 -> SetBinContent( xbin,    1258209.2138876591      );
  id5 -> SetBinError( xbin,    79231.831469849902      );
   int xbin = id5->FindBin(  0.75000000000000000      );
  id5 -> SetBinContent( xbin,    19223208.226146623      );
  id5 -> SetBinError( xbin,    750234.51151984406      );
   int xbin = id5->FindBin(   1.2500000000000000      );
  id5 -> SetBinContent( xbin,    85727595.241067320      );
  id5 -> SetBinError( xbin,    3187150.5803187722      );
   int xbin = id5->FindBin(   1.7500000000000000      );
  id5 -> SetBinContent( xbin,    251792888.19486934      );
  id5 -> SetBinError( xbin,    9036813.5561925173      );
   int xbin = id5->FindBin(   2.2500000000000000      );
  id5 -> SetBinContent( xbin,    398508879.19124007      );
  id5 -> SetBinError( xbin,    15717949.943300888      );
   int xbin = id5->FindBin(   2.7500000000000000      );
  id5 -> SetBinContent( xbin,    744720847.73062646      );
  id5 -> SetBinError( xbin,    27154035.815803245      );
   int xbin = id5->FindBin(   3.2500000000000000      );
  id5 -> SetBinContent( xbin,    951029889.51441813      );
  id5 -> SetBinError( xbin,    35756219.234517224      );
   int xbin = id5->FindBin(   3.7500000000000000      );
  id5 -> SetBinContent( xbin,    1011852165.5504156      );
  id5 -> SetBinError( xbin,    35527254.670215622      );
   int xbin = id5->FindBin(   4.2500000000000000      );
  id5 -> SetBinContent( xbin,    934911237.33214617      );
  id5 -> SetBinError( xbin,    36721727.651923269      );
   int xbin = id5->FindBin(   4.7500000000000000      );
  id5 -> SetBinContent( xbin,    1079067596.4579008      );
  id5 -> SetBinError( xbin,    38081140.180734560      );
   int xbin = id5->FindBin(   5.2500000000000000      );
  id5 -> SetBinContent( xbin,    1047980747.6683841      );
  id5 -> SetBinError( xbin,    38274640.707707822      );
   int xbin = id5->FindBin(   5.7500000000000000      );
  id5 -> SetBinContent( xbin,    805982894.73066854      );
  id5 -> SetBinError( xbin,    33580681.822332099      );
   int xbin = id5->FindBin(   6.2500000000000000      );
  id5 -> SetBinContent( xbin,    753202261.14173830      );
  id5 -> SetBinError( xbin,    32645902.650205042      );
   int xbin = id5->FindBin(   6.7500000000000000      );
  id5 -> SetBinContent( xbin,    732056594.24625778      );
  id5 -> SetBinError( xbin,    32470039.385593921      );
   int xbin = id5->FindBin(   7.2500000000000000      );
  id5 -> SetBinContent( xbin,    594112032.67694402      );
  id5 -> SetBinError( xbin,    27658609.485482085      );
   int xbin = id5->FindBin(   7.7500000000000000      );
  id5 -> SetBinContent( xbin,    603433024.01495767      );
  id5 -> SetBinError( xbin,    26935488.266943760      );
   int xbin = id5->FindBin(   8.2500000000000000      );
  id5 -> SetBinContent( xbin,    488354711.83025050      );
  id5 -> SetBinError( xbin,    23688950.393185046      );
   int xbin = id5->FindBin(   8.7500000000000000      );
  id5 -> SetBinContent( xbin,    416250762.66080129      );
  id5 -> SetBinError( xbin,    21432282.940403998      );
   int xbin = id5->FindBin(   9.2500000000000000      );
  id5 -> SetBinContent( xbin,    379495435.71798277      );
  id5 -> SetBinError( xbin,    19478751.095906410      );
   int xbin = id5->FindBin(   9.7500000000000000      );
  id5 -> SetBinContent( xbin,    324590572.00284058      );
  id5 -> SetBinError( xbin,    17296017.046035007      );
   int xbin = id5->FindBin(   10.250000000000000      );
  id5 -> SetBinContent( xbin,    244764990.29913035      );
  id5 -> SetBinError( xbin,    14617893.690789992      );
   int xbin = id5->FindBin(   11.000000000000000      );
  id5 -> SetBinContent( xbin,    222069080.60349146      );
  id5 -> SetBinError( xbin,    13217107.004669884      );
   int xbin = id5->FindBin(   12.000000000000000      );
  id5 -> SetBinContent( xbin,    167716774.47797835      );
  id5 -> SetBinError( xbin,    10738191.772302605      );
   int xbin = id5->FindBin(   13.250000000000000      );
  id5 -> SetBinContent( xbin,    123706672.87131141      );
  id5 -> SetBinError( xbin,    8332487.9953743434      );
   int xbin = id5->FindBin(   15.250000000000000      );
  id5 -> SetBinContent( xbin,    72774750.977051735      );
  id5 -> SetBinError( xbin,    5633101.7676442564      );
   int xbin = id5->FindBin(   20.000000000000000      );
  id5 -> SetBinContent( xbin,    24263612.039561264      );
  id5 -> SetBinError( xbin,    2462630.4108121661      );
   int xbin = id5->FindBin(   31.750000000000000      );
  id5 -> SetBinContent( xbin,    3316032.0431891899      );
  id5 -> SetBinError( xbin,    536989.75893953198      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id6", "pTby", 27,    pt3);

  id6 -> GetXaxis() -> SetTitle("pTby");
  id6 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id6 -> GetYaxis() -> SetTitleOffset(1.2);
  id6 -> SetStats(false);
   int xbin = id6->FindBin(  0.25000000000000000      );
  id6 -> SetBinContent( xbin,    975059.83017806383      );
  id6 -> SetBinError( xbin,    53904.971469605305      );
   int xbin = id6->FindBin(  0.75000000000000000      );
  id6 -> SetBinContent( xbin,    16172023.438163072      );
  id6 -> SetBinError( xbin,    799764.43279882148      );
   int xbin = id6->FindBin(   1.2500000000000000      );
  id6 -> SetBinContent( xbin,    78020309.966612071      );
  id6 -> SetBinError( xbin,    3652164.8046240378      );
   int xbin = id6->FindBin(   1.7500000000000000      );
  id6 -> SetBinContent( xbin,    211879817.52921152      );
  id6 -> SetBinError( xbin,    9185527.4925238844      );
   int xbin = id6->FindBin(   2.2500000000000000      );
  id6 -> SetBinContent( xbin,    376956776.49150616      );
  id6 -> SetBinError( xbin,    14624235.140032884      );
   int xbin = id6->FindBin(   2.7500000000000000      );
  id6 -> SetBinContent( xbin,    509910841.62671882      );
  id6 -> SetBinError( xbin,    19910455.720119875      );
   int xbin = id6->FindBin(   3.2500000000000000      );
  id6 -> SetBinContent( xbin,    676866990.25013018      );
  id6 -> SetBinError( xbin,    26555587.723213650      );
   int xbin = id6->FindBin(   3.7500000000000000      );
  id6 -> SetBinContent( xbin,    805479477.77861798      );
  id6 -> SetBinError( xbin,    31709300.188163228      );
   int xbin = id6->FindBin(   4.2500000000000000      );
  id6 -> SetBinContent( xbin,    822437021.59567499      );
  id6 -> SetBinError( xbin,    33718491.265583441      );
   int xbin = id6->FindBin(   4.7500000000000000      );
  id6 -> SetBinContent( xbin,    787515355.55350804      );
  id6 -> SetBinError( xbin,    31284730.975343019      );
   int xbin = id6->FindBin(   5.2500000000000000      );
  id6 -> SetBinContent( xbin,    739090383.72409201      );
  id6 -> SetBinError( xbin,    31389014.664538942      );
   int xbin = id6->FindBin(   5.7500000000000000      );
  id6 -> SetBinContent( xbin,    640763118.84055150      );
  id6 -> SetBinError( xbin,    29112385.409123499      );
   int xbin = id6->FindBin(   6.2500000000000000      );
  id6 -> SetBinContent( xbin,    609824631.58333707      );
  id6 -> SetBinError( xbin,    28225183.648011755      );
   int xbin = id6->FindBin(   6.7500000000000000      );
  id6 -> SetBinContent( xbin,    517048609.30494750      );
  id6 -> SetBinError( xbin,    24105863.204860702      );
   int xbin = id6->FindBin(   7.2500000000000000      );
  id6 -> SetBinContent( xbin,    459484590.16051745      );
  id6 -> SetBinError( xbin,    22745199.386127599      );
   int xbin = id6->FindBin(   7.7500000000000000      );
  id6 -> SetBinContent( xbin,    381693356.92684954      );
  id6 -> SetBinError( xbin,    19933996.106274787      );
   int xbin = id6->FindBin(   8.2500000000000000      );
  id6 -> SetBinContent( xbin,    336964175.08786148      );
  id6 -> SetBinError( xbin,    18698859.713855408      );
   int xbin = id6->FindBin(   8.7500000000000000      );
  id6 -> SetBinContent( xbin,    299579525.10547191      );
  id6 -> SetBinError( xbin,    16649564.478727721      );
   int xbin = id6->FindBin(   9.2500000000000000      );
  id6 -> SetBinContent( xbin,    238827684.71625113      );
  id6 -> SetBinError( xbin,    14216227.612593109      );
   int xbin = id6->FindBin(   9.7500000000000000      );
  id6 -> SetBinContent( xbin,    228244911.48561084      );
  id6 -> SetBinError( xbin,    13929228.241660854      );
   int xbin = id6->FindBin(   10.250000000000000      );
  id6 -> SetBinContent( xbin,    174659726.34543002      );
  id6 -> SetBinError( xbin,    10848476.530973068      );
   int xbin = id6->FindBin(   11.000000000000000      );
  id6 -> SetBinContent( xbin,    149441139.36591372      );
  id6 -> SetBinError( xbin,    9748115.8211890329      );
   int xbin = id6->FindBin(   12.000000000000000      );
  id6 -> SetBinContent( xbin,    98062335.601649702      );
  id6 -> SetBinError( xbin,    7344367.3500786824      );
   int xbin = id6->FindBin(   13.250000000000000      );
  id6 -> SetBinContent( xbin,    71720433.578673154      );
  id6 -> SetBinError( xbin,    5559890.6522559645      );
   int xbin = id6->FindBin(   15.250000000000000      );
  id6 -> SetBinContent( xbin,    42716839.783338077      );
  id6 -> SetBinError( xbin,    3844738.9767810130      );
   int xbin = id6->FindBin(   20.000000000000000      );
  id6 -> SetBinContent( xbin,    14297625.165607033      );
  id6 -> SetBinError( xbin,    1652383.5819064076      );
   int xbin = id6->FindBin(   31.750000000000000      );
  id6 -> SetBinContent( xbin,    1504325.2634502708      );
  id6 -> SetBinError( xbin,    307360.50722300477      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id7", "pTby", 27,    pt3);

  id7 -> GetXaxis() -> SetTitle("pTby");
  id7 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id7 -> GetYaxis() -> SetTitleOffset(1.2);
  id7 -> SetStats(false);
   int xbin = id7->FindBin(  0.25000000000000000      );
  id7 -> SetBinContent( xbin,    789825.55218068289      );
  id7 -> SetBinError( xbin,    80712.753345429068      );
   int xbin = id7->FindBin(  0.75000000000000000      );
  id7 -> SetBinContent( xbin,    12006801.050289646      );
  id7 -> SetBinError( xbin,    592523.32858717267      );
   int xbin = id7->FindBin(   1.2500000000000000      );
  id7 -> SetBinContent( xbin,    54986875.788767636      );
  id7 -> SetBinError( xbin,    2398332.8768424192      );
   int xbin = id7->FindBin(   1.7500000000000000      );
  id7 -> SetBinContent( xbin,    135326923.20181379      );
  id7 -> SetBinError( xbin,    5862297.6105058761      );
   int xbin = id7->FindBin(   2.2500000000000000      );
  id7 -> SetBinContent( xbin,    264393595.66522017      );
  id7 -> SetBinError( xbin,    11929824.645082548      );
   int xbin = id7->FindBin(   2.7500000000000000      );
  id7 -> SetBinContent( xbin,    393985460.70376784      );
  id7 -> SetBinError( xbin,    16277155.493731426      );
   int xbin = id7->FindBin(   3.2500000000000000      );
  id7 -> SetBinContent( xbin,    508079949.05495733      );
  id7 -> SetBinError( xbin,    21200313.555747442      );
   int xbin = id7->FindBin(   3.7500000000000000      );
  id7 -> SetBinContent( xbin,    623966705.24985659      );
  id7 -> SetBinError( xbin,    26305537.521896146      );
   int xbin = id7->FindBin(   4.2500000000000000      );
  id7 -> SetBinContent( xbin,    523569559.06718189      );
  id7 -> SetBinError( xbin,    26960981.141273979      );
   int xbin = id7->FindBin(   4.7500000000000000      );
  id7 -> SetBinContent( xbin,    549221476.35059798      );
  id7 -> SetBinError( xbin,    25545137.245523732      );
   int xbin = id7->FindBin(   5.2500000000000000      );
  id7 -> SetBinContent( xbin,    498581553.09430438      );
  id7 -> SetBinError( xbin,    24315930.811738685      );
   int xbin = id7->FindBin(   5.7500000000000000      );
  id7 -> SetBinContent( xbin,    440642716.73494267      );
  id7 -> SetBinError( xbin,    21341729.035427082      );
   int xbin = id7->FindBin(   6.2500000000000000      );
  id7 -> SetBinContent( xbin,    339196065.64691842      );
  id7 -> SetBinError( xbin,    18909558.443900276      );
   int xbin = id7->FindBin(   6.7500000000000000      );
  id7 -> SetBinContent( xbin,    337180366.99764889      );
  id7 -> SetBinError( xbin,    18294578.384524252      );
   int xbin = id7->FindBin(   7.2500000000000000      );
  id7 -> SetBinContent( xbin,    279291224.87438512      );
  id7 -> SetBinError( xbin,    16772989.633928185      );
   int xbin = id7->FindBin(   7.7500000000000000      );
  id7 -> SetBinContent( xbin,    248865174.21193597      );
  id7 -> SetBinError( xbin,    14986793.208251169      );
   int xbin = id7->FindBin(   8.2500000000000000      );
  id7 -> SetBinContent( xbin,    200040790.81678063      );
  id7 -> SetBinError( xbin,    13529791.986808786      );
   int xbin = id7->FindBin(   8.7500000000000000      );
  id7 -> SetBinContent( xbin,    162921109.22793889      );
  id7 -> SetBinError( xbin,    11403563.782312805      );
   int xbin = id7->FindBin(   9.2500000000000000      );
  id7 -> SetBinContent( xbin,    143242851.10480559      );
  id7 -> SetBinError( xbin,    10190079.308909604      );
   int xbin = id7->FindBin(   9.7500000000000000      );
  id7 -> SetBinContent( xbin,    111573977.09949827      );
  id7 -> SetBinError( xbin,    8235321.2428139299      );
   int xbin = id7->FindBin(   10.250000000000000      );
  id7 -> SetBinContent( xbin,    76222674.240423262      );
  id7 -> SetBinError( xbin,    6502064.3880187208      );
   int xbin = id7->FindBin(   11.000000000000000      );
  id7 -> SetBinContent( xbin,    81414007.909063563      );
  id7 -> SetBinError( xbin,    6462718.7255169787      );
   int xbin = id7->FindBin(   12.000000000000000      );
  id7 -> SetBinContent( xbin,    62743612.783414200      );
  id7 -> SetBinError( xbin,    5032580.8885829085      );
   int xbin = id7->FindBin(   13.250000000000000      );
  id7 -> SetBinContent( xbin,    35421239.554486722      );
  id7 -> SetBinError( xbin,    3357511.4105288303      );
   int xbin = id7->FindBin(   15.250000000000000      );
  id7 -> SetBinContent( xbin,    19874664.127580546      );
  id7 -> SetBinError( xbin,    2142947.6193308756      );
   int xbin = id7->FindBin(   20.000000000000000      );
  id7 -> SetBinContent( xbin,    5515049.5023926394      );
  id7 -> SetBinError( xbin,    878995.32448407891      );
   int xbin = id7->FindBin(   31.750000000000000      );
  id7 -> SetBinContent( xbin,    569734.89824125508      );
  id7 -> SetBinError( xbin,    164229.22659116218      );
  histos -> Add(hist); 
 
 
  mcfmhisto -> cd();
  if (histos -> GetEntries() > 0 ) then  {
   histos->Write();
   mcfmhisto -> Close();
  }
 }
