// Cross-section is:  47255603869.6916809082 +/-     95918277.9639818221)

 // Contribution from parton sub-processes:
//        GG     |           0.00000    0.00%
//        GQ     |  9192448655.71356   19.45%
//        GQB    |  9195270938.70710   19.46%
//        QG     |  9171016646.68351   19.41%
//        QBG    |  9168053181.90907   19.40%
//        QQ     |  3545599310.11220    7.50%
//        QBQB   |  1718852526.42727    3.64%
//        QQB    |  2637296054.34644    5.58%
//        QBQ    |  2628622232.74524    5.56%

 // Run corresponds to this input file)

 // [Flags to specify the mode in which MCFM is run] )
//                  -1            [nevtrequested]  
//                   F            [creatent]  
//                   F            [skipnt]  
//                   F            [dswhisto]  
//                   F            [creategrid]  
//                   F            [writetop]  
//                   F            [writedat]  
//                   F            [writegnu]  
//                   T            [writeroot]  
//                   F            [writepwg]  

 // [General options to specify the process and execution] )
//                 703            [nproc]  
//                7031            [exptid]  
//                lord            [part]  
//LHCbSB                          [runstring]  
//           7000.0000            [sqrts]  
//                   1            [ih1]  
//                   1            [ih2]  
//            125.0000            [hmass]  
//              1.0000            [scale]  
//              1.0000            [facscale]  
//ET3                             [dynamicscale]  
//                   F            [zerowidth]  
//                   F            [removebr]  
//                   4            [itmx1]  
//               20000            [ncall1]  
//                  10            [itmx2]  
//               40000            [ncall2]  
//                9876            [ij]  
//                   F            [dryrun]  
//                   T            [Qflag]  
//                   T            [Gflag]  

 // [Heavy quark masses] )
//            173.5000            [top mass]  
//              4.7500            [bottom mass]  
//              0.0000            [charm mass]  

 // [Pdf selection] )
//             CT18NNL            [pdlabel]  
//                   4            [NGROUP]  
//                  46            [NSET]  
//CT18NNLO_sub.LHpdf              [LHAPDF group]  
//                   0            [LHAPDF set]  

 // [Jet definition and event cuts] )
//              9.5000            [m34min]  
//           7000.0000            [m34max]  
//              0.0000            [m56min]  
//           7000.0000            [m56max]  
//                   T            [inclusive]  
//                none            [algorithm]  
//              0.0000            [ptjetmin]  
//              2.0000            [etajetmin]  
//              4.5000            [etajetmax]  
//              0.0000            [Rcut]  
//                   T            [makecuts]  
//              0.0000            [leptpt]  
//             99.0000            [leptrap]  
//   0.000,   0.000                [leptveto]  
//              0.0000            [misspt]  
//              0.0000            [leptpt2]  
//             99.0000            [leptrap2]  
//   0.000,   0.000                [leptveto2]  
//              0.0000            [mtrans34cut]  
//              0.0000            [Rjlmin]  
//              0.0000            [Rllmin]  
//              0.0000            [delyjjmin]  
//                   F            [jetsopphem]  
//                   0            [lbjscheme]  
//              0.0000            [ptbjetmin]  
//              4.5000            [etabjetmax]  

 // [Settings for photon processes] )
//                   F            [frag]  
//            GdRG__LO            [fragset]  
//              4.7505            [frag_scale]  
//             20.0000            [gammpt]  
//              2.5000            [gammrap]  
//             20.0000            [gammpt2]  
//             20.0000            [gammpt3]  
//              0.0000            [Rgalmin]  
//              0.4000            [Rgagamin]  
//              0.4000            [Rgajetmin]  
//              0.4000            [cone_ang]  
//              0.5000            [epsilon_h]  

 // [Anomalous couplings of the W and Z] )
//              0.0000            [delg1_z]  
//              0.0000            [delk_z]  
//              0.0000            [delk_g]  
//              0.0000            [lambda_z]  
//              0.0000            [lambda_g]  
//              0.0000            [h1Z]  
//              0.0000            [h1gam]  
//              0.0000            [h2Z]  
//              0.0000            [h2gam]  
//              0.0000            [h3Z]  
//              0.0000            [h3gam]  
//              0.0000            [h4Z]  
//              0.0000            [h4gam]  
//              2.0000            [tevscale]  
//              1.0000            [cttH]  
//              1.0000            [cWWH]  
//              1.0000            [Gamma_H/Gamma_H(SM)]  

 // [How to resume/save a run] )
//                   F            [readin]  
//                   F            [writeout]  
//                                [ingridfile]  
//                                [outgridfile]  

 // [Technical parameters that should not normally be changed]
//                   F            [debug]  
//                   T            [verbose]  
//                   F            [new_pspace]  
//                   F            [virtonly]  
//                   F            [realonly]  
//                   T            [spira]  
//                   F            [noglue]  
//                   F            [ggonly]  
//                   F            [gqonly]  
//                   F            [omitgg]  
//                   F            [vanillafiles]  
//                   1            [nmin]  
//                   2            [nmax]  
//                   T            [clustering]  
//                   F            [realwt]  
//                   0            [colourchoice]  
//              0.0100            [rtsmin]  
//              0.0012            [cutoff]  
//              0.1000            [aii]  
//              0.1000            [aif]  
//              0.1000            [afi]  
//              1.0000            [aff]  
//              1.0000            [bfi]  
//              1.0000            [bff]  


  {
  mcfmhisto = new TFile("LHCbBX/bfbf5f_lord_CT18NNL_1___1___LHCbSB.root", "recreate");
  mcfmhisto -> cd();
  histos = new TObjArray(0);

double pt3[]={0.0,0.5,1.0,1.5,2.0,2.5,3.0,3.5,4.0,4.5,5.0,5.5,6.0,6.5,7.0,7.5,8.0,8.5,9.0,9.5,10.0,10.5,11.5,12.5,14.0,16.5,23.5,40.0};
  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id1", "pTb", 27,    pt3);

  id1 -> GetXaxis() -> SetTitle("pTb");
  id1 -> GetYaxis() -> SetTitle(" d#sigma/dpTb [fb]");

  id1 -> GetYaxis() -> SetTitleOffset(1.2);
  id1 -> SetStats(false);
   int xbin = id1->FindBin(  0.25000000000000000      );
  id1 -> SetBinContent( xbin,    4375588.5458573643      );
  id1 -> SetBinError( xbin,    145761.85833656573      );
   int xbin = id1->FindBin(  0.75000000000000000      );
  id1 -> SetBinContent( xbin,    68823472.833956137      );
  id1 -> SetBinError( xbin,    1284219.2567190016      );
   int xbin = id1->FindBin(   1.2500000000000000      );
  id1 -> SetBinContent( xbin,    298858859.35949969      );
  id1 -> SetBinError( xbin,    5345794.4978686757      );
   int xbin = id1->FindBin(   1.7500000000000000      );
  id1 -> SetBinContent( xbin,    782794364.15021729      );
  id1 -> SetBinError( xbin,    13495978.475307774      );
   int xbin = id1->FindBin(   2.2500000000000000      );
  id1 -> SetBinContent( xbin,    1430348288.5002086      );
  id1 -> SetBinError( xbin,    25166887.615866918      );
   int xbin = id1->FindBin(   2.7500000000000000      );
  id1 -> SetBinContent( xbin,    2310779705.4344406      );
  id1 -> SetBinError( xbin,    36478421.078867495      );
   int xbin = id1->FindBin(   3.2500000000000000      );
  id1 -> SetBinContent( xbin,    2779685109.1322761      );
  id1 -> SetBinError( xbin,    45490104.727035724      );
   int xbin = id1->FindBin(   3.7500000000000000      );
  id1 -> SetBinContent( xbin,    3354840976.5126691      );
  id1 -> SetBinError( xbin,    52862055.280732051      );
   int xbin = id1->FindBin(   4.2500000000000000      );
  id1 -> SetBinContent( xbin,    3452246881.3686228      );
  id1 -> SetBinError( xbin,    57719512.125866234      );
   int xbin = id1->FindBin(   4.7500000000000000      );
  id1 -> SetBinContent( xbin,    3310375624.9186077      );
  id1 -> SetBinError( xbin,    56522080.222180605      );
   int xbin = id1->FindBin(   5.2500000000000000      );
  id1 -> SetBinContent( xbin,    3190803519.2402439      );
  id1 -> SetBinError( xbin,    56369387.217452750      );
   int xbin = id1->FindBin(   5.7500000000000000      );
  id1 -> SetBinContent( xbin,    2991341554.8859558      );
  id1 -> SetBinError( xbin,    55203414.071553014      );
   int xbin = id1->FindBin(   6.2500000000000000      );
  id1 -> SetBinContent( xbin,    2772586219.4195585      );
  id1 -> SetBinError( xbin,    53003358.593688488      );
   int xbin = id1->FindBin(   6.7500000000000000      );
  id1 -> SetBinContent( xbin,    2496809622.2866673      );
  id1 -> SetBinError( xbin,    49356767.116071098      );
   int xbin = id1->FindBin(   7.2500000000000000      );
  id1 -> SetBinContent( xbin,    2123668547.0769548      );
  id1 -> SetBinError( xbin,    44797665.169608243      );
   int xbin = id1->FindBin(   7.7500000000000000      );
  id1 -> SetBinContent( xbin,    1988675208.8027852      );
  id1 -> SetBinError( xbin,    42517979.482970871      );
   int xbin = id1->FindBin(   8.2500000000000000      );
  id1 -> SetBinContent( xbin,    1635466384.8579383      );
  id1 -> SetBinError( xbin,    37486903.343438730      );
   int xbin = id1->FindBin(   8.7500000000000000      );
  id1 -> SetBinContent( xbin,    1534345418.7590985      );
  id1 -> SetBinError( xbin,    35474382.801593289      );
   int xbin = id1->FindBin(   9.2500000000000000      );
  id1 -> SetBinContent( xbin,    1316584935.7443638      );
  id1 -> SetBinError( xbin,    31683390.633225646      );
   int xbin = id1->FindBin(   9.7500000000000000      );
  id1 -> SetBinContent( xbin,    1153446235.8869100      );
  id1 -> SetBinError( xbin,    29070181.846420314      );
   int xbin = id1->FindBin(   10.250000000000000      );
  id1 -> SetBinContent( xbin,    947682144.94175291      );
  id1 -> SetBinError( xbin,    25184469.472529981      );
   int xbin = id1->FindBin(   11.000000000000000      );
  id1 -> SetBinContent( xbin,    807842795.17545772      );
  id1 -> SetBinError( xbin,    22186370.476592343      );
   int xbin = id1->FindBin(   12.000000000000000      );
  id1 -> SetBinContent( xbin,    626818788.50744188      );
  id1 -> SetBinError( xbin,    18284710.794480558      );
   int xbin = id1->FindBin(   13.250000000000000      );
  id1 -> SetBinContent( xbin,    434188463.62534887      );
  id1 -> SetBinError( xbin,    14011123.196271643      );
   int xbin = id1->FindBin(   15.250000000000000      );
  id1 -> SetBinContent( xbin,    265775606.69448793      );
  id1 -> SetBinError( xbin,    9621668.8605223913      );
   int xbin = id1->FindBin(   20.000000000000000      );
  id1 -> SetBinContent( xbin,    96634475.566724956      );
  id1 -> SetBinError( xbin,    4535227.4609150160      );
   int xbin = id1->FindBin(   31.750000000000000      );
  id1 -> SetBinContent( xbin,    14314649.167449314      );
  id1 -> SetBinError( xbin,    1073350.7731134987      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id2", "yb", 10,    0.00000,    5.00000);

  id2 -> GetXaxis() -> SetTitle("yb");
  id2 -> GetYaxis() -> SetTitle(" d#sigma/dyb [fb]");

  id2 -> GetYaxis() -> SetTitleOffset(1.2);
  id2 -> SetStats(false);
   int xbin = id2->FindBin(   2.2500000000000000      );
  id2 -> SetBinContent( xbin,    14694895496.143629      );
  id2 -> SetBinError( xbin,    157700261.77645981      );
   int xbin = id2->FindBin(   2.7500000000000000      );
  id2 -> SetBinContent( xbin,    12277457248.005016      );
  id2 -> SetBinError( xbin,    140263265.85225433      );
   int xbin = id2->FindBin(   3.2500000000000000      );
  id2 -> SetBinContent( xbin,    9374527308.8757324      );
  id2 -> SetBinError( xbin,    119529453.95911847      );
   int xbin = id2->FindBin(   3.7500000000000000      );
  id2 -> SetBinContent( xbin,    6758592330.2938948      );
  id2 -> SetBinError( xbin,    96190644.860900223      );
   int xbin = id2->FindBin(   4.2500000000000000      );
  id2 -> SetBinContent( xbin,    4165098951.5145082      );
  id2 -> SetBinError( xbin,    70848871.309170097      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id3", "pTby", 27,    pt3);

  id3 -> GetXaxis() -> SetTitle("pTby");
  id3 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id3 -> GetYaxis() -> SetTitleOffset(1.2);
  id3 -> SetStats(false);
   int xbin = id3->FindBin(  0.25000000000000000      );
  id3 -> SetBinContent( xbin,    1137376.6231434506      );
  id3 -> SetBinError( xbin,    58235.450408670884      );
   int xbin = id3->FindBin(  0.75000000000000000      );
  id3 -> SetBinContent( xbin,    20430770.723787181      );
  id3 -> SetBinError( xbin,    676037.28303388797      );
   int xbin = id3->FindBin(   1.2500000000000000      );
  id3 -> SetBinContent( xbin,    82090491.862953246      );
  id3 -> SetBinError( xbin,    2544468.2900310475      );
   int xbin = id3->FindBin(   1.7500000000000000      );
  id3 -> SetBinContent( xbin,    214003658.35828567      );
  id3 -> SetBinError( xbin,    6931504.9787896145      );
   int xbin = id3->FindBin(   2.2500000000000000      );
  id3 -> SetBinContent( xbin,    420304293.95605403      );
  id3 -> SetBinError( xbin,    14328118.792886365      );
   int xbin = id3->FindBin(   2.7500000000000000      );
  id3 -> SetBinContent( xbin,    659982195.64696884      );
  id3 -> SetBinError( xbin,    19906787.354809340      );
   int xbin = id3->FindBin(   3.2500000000000000      );
  id3 -> SetBinContent( xbin,    785788883.58515978      );
  id3 -> SetBinError( xbin,    24967452.838783015      );
   int xbin = id3->FindBin(   3.7500000000000000      );
  id3 -> SetBinContent( xbin,    998474821.74013186      );
  id3 -> SetBinError( xbin,    30193192.828670554      );
   int xbin = id3->FindBin(   4.2500000000000000      );
  id3 -> SetBinContent( xbin,    998367452.89332008      );
  id3 -> SetBinError( xbin,    31900803.359863117      );
   int xbin = id3->FindBin(   4.7500000000000000      );
  id3 -> SetBinContent( xbin,    1010263461.5893248      );
  id3 -> SetBinError( xbin,    33072507.887144625      );
   int xbin = id3->FindBin(   5.2500000000000000      );
  id3 -> SetBinContent( xbin,    844880816.22595620      );
  id3 -> SetBinError( xbin,    30929056.094847862      );
   int xbin = id3->FindBin(   5.7500000000000000      );
  id3 -> SetBinContent( xbin,    908786568.12913477      );
  id3 -> SetBinError( xbin,    32118316.023831464      );
   int xbin = id3->FindBin(   6.2500000000000000      );
  id3 -> SetBinContent( xbin,    848631303.42895424      );
  id3 -> SetBinError( xbin,    30835264.960804485      );
   int xbin = id3->FindBin(   6.7500000000000000      );
  id3 -> SetBinContent( xbin,    786917136.04770935      );
  id3 -> SetBinError( xbin,    29800467.634479996      );
   int xbin = id3->FindBin(   7.2500000000000000      );
  id3 -> SetBinContent( xbin,    630049639.72411120      );
  id3 -> SetBinError( xbin,    26044556.554621998      );
   int xbin = id3->FindBin(   7.7500000000000000      );
  id3 -> SetBinContent( xbin,    644129889.36165369      );
  id3 -> SetBinError( xbin,    26126280.390843876      );
   int xbin = id3->FindBin(   8.2500000000000000      );
  id3 -> SetBinContent( xbin,    544769691.38009739      );
  id3 -> SetBinError( xbin,    23383192.773218792      );
   int xbin = id3->FindBin(   8.7500000000000000      );
  id3 -> SetBinContent( xbin,    475363229.80877745      );
  id3 -> SetBinError( xbin,    21202138.408655696      );
   int xbin = id3->FindBin(   9.2500000000000000      );
  id3 -> SetBinContent( xbin,    420235796.70972395      );
  id3 -> SetBinError( xbin,    19457607.891588531      );
   int xbin = id3->FindBin(   9.7500000000000000      );
  id3 -> SetBinContent( xbin,    401454113.83704472      );
  id3 -> SetBinError( xbin,    18610561.363525290      );
   int xbin = id3->FindBin(   10.250000000000000      );
  id3 -> SetBinContent( xbin,    323489690.66071045      );
  id3 -> SetBinError( xbin,    15944497.375737337      );
   int xbin = id3->FindBin(   11.000000000000000      );
  id3 -> SetBinContent( xbin,    279407798.60811716      );
  id3 -> SetBinError( xbin,    14268123.260450810      );
   int xbin = id3->FindBin(   12.000000000000000      );
  id3 -> SetBinContent( xbin,    227080244.96033549      );
  id3 -> SetBinError( xbin,    12097404.938389687      );
   int xbin = id3->FindBin(   13.250000000000000      );
  id3 -> SetBinContent( xbin,    152617979.82064065      );
  id3 -> SetBinError( xbin,    9125507.9429647308      );
   int xbin = id3->FindBin(   15.250000000000000      );
  id3 -> SetBinContent( xbin,    93186994.992344096      );
  id3 -> SetBinError( xbin,    6295903.7576464806      );
   int xbin = id3->FindBin(   20.000000000000000      );
  id3 -> SetBinContent( xbin,    37632380.041584484      );
  id3 -> SetBinError( xbin,    3124172.6645242828      );
   int xbin = id3->FindBin(   31.750000000000000      );
  id3 -> SetBinContent( xbin,    6415936.1123603527      );
  id3 -> SetBinError( xbin,    789937.51777795784      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id4", "pTby", 27,    pt3);

  id4 -> GetXaxis() -> SetTitle("pTby");
  id4 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id4 -> GetYaxis() -> SetTitleOffset(1.2);
  id4 -> SetStats(false);
   int xbin = id4->FindBin(  0.25000000000000000      );
  id4 -> SetBinContent( xbin,    1191219.3011549776      );
  id4 -> SetBinError( xbin,    101343.82223817441      );
   int xbin = id4->FindBin(  0.75000000000000000      );
  id4 -> SetBinContent( xbin,    17461367.912201159      );
  id4 -> SetBinError( xbin,    663964.29850480251      );
   int xbin = id4->FindBin(   1.2500000000000000      );
  id4 -> SetBinContent( xbin,    75720137.387174934      );
  id4 -> SetBinError( xbin,    2824769.0807612841      );
   int xbin = id4->FindBin(   1.7500000000000000      );
  id4 -> SetBinContent( xbin,    186989099.89586565      );
  id4 -> SetBinError( xbin,    6895779.6472205715      );
   int xbin = id4->FindBin(   2.2500000000000000      );
  id4 -> SetBinContent( xbin,    360618443.44132549      );
  id4 -> SetBinError( xbin,    12864754.883512236      );
   int xbin = id4->FindBin(   2.7500000000000000      );
  id4 -> SetBinContent( xbin,    589519874.81628132      );
  id4 -> SetBinError( xbin,    18610071.752734177      );
   int xbin = id4->FindBin(   3.2500000000000000      );
  id4 -> SetBinContent( xbin,    663899525.49318600      );
  id4 -> SetBinError( xbin,    22046783.413373005      );
   int xbin = id4->FindBin(   3.7500000000000000      );
  id4 -> SetBinContent( xbin,    822256226.36362422      );
  id4 -> SetBinError( xbin,    26228115.008935276      );
   int xbin = id4->FindBin(   4.2500000000000000      );
  id4 -> SetBinContent( xbin,    912552594.85862660      );
  id4 -> SetBinError( xbin,    29309576.946295682      );
   int xbin = id4->FindBin(   4.7500000000000000      );
  id4 -> SetBinContent( xbin,    783124159.61873603      );
  id4 -> SetBinError( xbin,    28385897.750868440      );
   int xbin = id4->FindBin(   5.2500000000000000      );
  id4 -> SetBinContent( xbin,    836361371.03916717      );
  id4 -> SetBinError( xbin,    30139010.194929868      );
   int xbin = id4->FindBin(   5.7500000000000000      );
  id4 -> SetBinContent( xbin,    765916573.42407274      );
  id4 -> SetBinError( xbin,    28838429.775129519      );
   int xbin = id4->FindBin(   6.2500000000000000      );
  id4 -> SetBinContent( xbin,    762466920.91080427      );
  id4 -> SetBinError( xbin,    28646321.706776619      );
   int xbin = id4->FindBin(   6.7500000000000000      );
  id4 -> SetBinContent( xbin,    644187185.43451703      );
  id4 -> SetBinError( xbin,    25713189.667013478      );
   int xbin = id4->FindBin(   7.2500000000000000      );
  id4 -> SetBinContent( xbin,    558913234.59358644      );
  id4 -> SetBinError( xbin,    23776534.804003388      );
   int xbin = id4->FindBin(   7.7500000000000000      );
  id4 -> SetBinContent( xbin,    492956738.69368345      );
  id4 -> SetBinError( xbin,    21790698.901228055      );
   int xbin = id4->FindBin(   8.2500000000000000      );
  id4 -> SetBinContent( xbin,    444788531.13276303      );
  id4 -> SetBinError( xbin,    20165801.079301249      );
   int xbin = id4->FindBin(   8.7500000000000000      );
  id4 -> SetBinContent( xbin,    406068534.53144670      );
  id4 -> SetBinError( xbin,    18835807.395191737      );
   int xbin = id4->FindBin(   9.2500000000000000      );
  id4 -> SetBinContent( xbin,    369300826.51104814      );
  id4 -> SetBinError( xbin,    17110488.748722490      );
   int xbin = id4->FindBin(   9.7500000000000000      );
  id4 -> SetBinContent( xbin,    295507017.61106503      );
  id4 -> SetBinError( xbin,    14847965.759030882      );
   int xbin = id4->FindBin(   10.250000000000000      );
  id4 -> SetBinContent( xbin,    263187387.13939187      );
  id4 -> SetBinError( xbin,    13781170.926320087      );
   int xbin = id4->FindBin(   11.000000000000000      );
  id4 -> SetBinContent( xbin,    216321110.17735672      );
  id4 -> SetBinError( xbin,    11849290.119696464      );
   int xbin = id4->FindBin(   12.000000000000000      );
  id4 -> SetBinContent( xbin,    165065390.86101684      );
  id4 -> SetBinError( xbin,    9563267.1326359566      );
   int xbin = id4->FindBin(   13.250000000000000      );
  id4 -> SetBinContent( xbin,    123147206.00302167      );
  id4 -> SetBinError( xbin,    7678902.8008158049      );
   int xbin = id4->FindBin(   15.250000000000000      );
  id4 -> SetBinContent( xbin,    73796619.988077655      );
  id4 -> SetBinError( xbin,    5172574.0936996453      );
   int xbin = id4->FindBin(   20.000000000000000      );
  id4 -> SetBinContent( xbin,    27739323.550401457      );
  id4 -> SetBinError( xbin,    2457629.1156408251      );
   int xbin = id4->FindBin(   31.750000000000000      );
  id4 -> SetBinContent( xbin,    4088546.3079853901      );
  id4 -> SetBinError( xbin,    568402.01100979850      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id5", "pTby", 27,    pt3);

  id5 -> GetXaxis() -> SetTitle("pTby");
  id5 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id5 -> GetYaxis() -> SetTitleOffset(1.2);
  id5 -> SetStats(false);
   int xbin = id5->FindBin(  0.25000000000000000      );
  id5 -> SetBinContent( xbin,    853070.24394381070      );
  id5 -> SetBinError( xbin,    53760.230273730573      );
   int xbin = id5->FindBin(  0.75000000000000000      );
  id5 -> SetBinContent( xbin,    13007140.581242822      );
  id5 -> SetBinError( xbin,    529429.43503649696      );
   int xbin = id5->FindBin(   1.2500000000000000      );
  id5 -> SetBinContent( xbin,    58389553.899243444      );
  id5 -> SetBinError( xbin,    2280982.7294033379      );
   int xbin = id5->FindBin(   1.7500000000000000      );
  id5 -> SetBinContent( xbin,    162827621.70770511      );
  id5 -> SetBinError( xbin,    5907133.4033260439      );
   int xbin = id5->FindBin(   2.2500000000000000      );
  id5 -> SetBinContent( xbin,    264907874.04539496      );
  id5 -> SetBinError( xbin,    10588297.431394435      );
   int xbin = id5->FindBin(   2.7500000000000000      );
  id5 -> SetBinContent( xbin,    484369780.13627666      );
  id5 -> SetBinError( xbin,    17410472.000208303      );
   int xbin = id5->FindBin(   3.2500000000000000      );
  id5 -> SetBinContent( xbin,    608609379.64691126      );
  id5 -> SetBinError( xbin,    23181426.897339549      );
   int xbin = id5->FindBin(   3.7500000000000000      );
  id5 -> SetBinContent( xbin,    680836605.11430371      );
  id5 -> SetBinError( xbin,    24595381.200911947      );
   int xbin = id5->FindBin(   4.2500000000000000      );
  id5 -> SetBinContent( xbin,    629340723.31534231      );
  id5 -> SetBinError( xbin,    24397779.341665920      );
   int xbin = id5->FindBin(   4.7500000000000000      );
  id5 -> SetBinContent( xbin,    711390453.78028202      );
  id5 -> SetBinError( xbin,    25650029.461145472      );
   int xbin = id5->FindBin(   5.2500000000000000      );
  id5 -> SetBinContent( xbin,    692441475.99711370      );
  id5 -> SetBinError( xbin,    25269655.372331336      );
   int xbin = id5->FindBin(   5.7500000000000000      );
  id5 -> SetBinContent( xbin,    572569008.29179299      );
  id5 -> SetBinError( xbin,    23547130.547302894      );
   int xbin = id5->FindBin(   6.2500000000000000      );
  id5 -> SetBinContent( xbin,    515229182.65832168      );
  id5 -> SetBinError( xbin,    22491180.526723277      );
   int xbin = id5->FindBin(   6.7500000000000000      );
  id5 -> SetBinContent( xbin,    499510755.57044435      );
  id5 -> SetBinError( xbin,    21451354.880229477      );
   int xbin = id5->FindBin(   7.2500000000000000      );
  id5 -> SetBinContent( xbin,    411383108.19796431      );
  id5 -> SetBinError( xbin,    19919946.916877471      );
   int xbin = id5->FindBin(   7.7500000000000000      );
  id5 -> SetBinContent( xbin,    421123746.43363822      );
  id5 -> SetBinError( xbin,    18612880.687043760      );
   int xbin = id5->FindBin(   8.2500000000000000      );
  id5 -> SetBinContent( xbin,    299353979.48048794      );
  id5 -> SetBinError( xbin,    15342484.817661479      );
   int xbin = id5->FindBin(   8.7500000000000000      );
  id5 -> SetBinContent( xbin,    314696200.83137190      );
  id5 -> SetBinError( xbin,    15545540.362856090      );
   int xbin = id5->FindBin(   9.2500000000000000      );
  id5 -> SetBinContent( xbin,    241047707.00530708      );
  id5 -> SetBinError( xbin,    12967041.228454228      );
   int xbin = id5->FindBin(   9.7500000000000000      );
  id5 -> SetBinContent( xbin,    233548516.52522737      );
  id5 -> SetBinError( xbin,    12478990.051991263      );
   int xbin = id5->FindBin(   10.250000000000000      );
  id5 -> SetBinContent( xbin,    173382064.63296592      );
  id5 -> SetBinError( xbin,    10320220.329578662      );
   int xbin = id5->FindBin(   11.000000000000000      );
  id5 -> SetBinContent( xbin,    153036861.32738194      );
  id5 -> SetBinError( xbin,    9104955.4308181666      );
   int xbin = id5->FindBin(   12.000000000000000      );
  id5 -> SetBinContent( xbin,    119225421.01749557      );
  id5 -> SetBinError( xbin,    7526349.3108124491      );
   int xbin = id5->FindBin(   13.250000000000000      );
  id5 -> SetBinContent( xbin,    83012083.165784836      );
  id5 -> SetBinError( xbin,    5741515.7886323361      );
   int xbin = id5->FindBin(   15.250000000000000      );
  id5 -> SetBinContent( xbin,    54320314.844631523      );
  id5 -> SetBinError( xbin,    4073161.8764915499      );
   int xbin = id5->FindBin(   20.000000000000000      );
  id5 -> SetBinContent( xbin,    17262148.855969492      );
  id5 -> SetBinError( xbin,    1749348.4246390571      );
   int xbin = id5->FindBin(   31.750000000000000      );
  id5 -> SetBinContent( xbin,    2390208.7389888624      );
  id5 -> SetBinError( xbin,    383465.82761504612      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id6", "pTby", 27,    pt3);

  id6 -> GetXaxis() -> SetTitle("pTby");
  id6 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id6 -> GetYaxis() -> SetTitleOffset(1.2);
  id6 -> SetStats(false);
   int xbin = id6->FindBin(  0.25000000000000000      );
  id6 -> SetBinContent( xbin,    699176.17616600217      );
  id6 -> SetBinError( xbin,    39313.967209265807      );
   int xbin = id6->FindBin(  0.75000000000000000      );
  id6 -> SetBinContent( xbin,    10680088.390662707      );
  id6 -> SetBinError( xbin,    583582.40821410820      );
   int xbin = id6->FindBin(   1.2500000000000000      );
  id6 -> SetBinContent( xbin,    49156706.611944340      );
  id6 -> SetBinError( xbin,    2487295.8912341110      );
   int xbin = id6->FindBin(   1.7500000000000000      );
  id6 -> SetBinContent( xbin,    139524661.36013684      );
  id6 -> SetBinError( xbin,    6004218.2530582612      );
   int xbin = id6->FindBin(   2.2500000000000000      );
  id6 -> SetBinContent( xbin,    233255737.60071927      );
  id6 -> SetBinError( xbin,    9950637.1355857924      );
   int xbin = id6->FindBin(   2.7500000000000000      );
  id6 -> SetBinContent( xbin,    346221784.54363370      );
  id6 -> SetBinError( xbin,    13490915.938039020      );
   int xbin = id6->FindBin(   3.2500000000000000      );
  id6 -> SetBinContent( xbin,    420102214.51348013      );
  id6 -> SetBinError( xbin,    16103105.471455667      );
   int xbin = id6->FindBin(   3.7500000000000000      );
  id6 -> SetBinContent( xbin,    484518535.35476947      );
  id6 -> SetBinError( xbin,    19109293.895647813      );
   int xbin = id6->FindBin(   4.2500000000000000      );
  id6 -> SetBinContent( xbin,    571709221.47596061      );
  id6 -> SetBinError( xbin,    22973472.801191546      );
   int xbin = id6->FindBin(   4.7500000000000000      );
  id6 -> SetBinContent( xbin,    478102356.78331751      );
  id6 -> SetBinError( xbin,    19855080.049614869      );
   int xbin = id6->FindBin(   5.2500000000000000      );
  id6 -> SetBinContent( xbin,    502416776.78808701      );
  id6 -> SetBinError( xbin,    20783969.100861818      );
   int xbin = id6->FindBin(   5.7500000000000000      );
  id6 -> SetBinContent( xbin,    449962872.01866078      );
  id6 -> SetBinError( xbin,    20469427.040936593      );
   int xbin = id6->FindBin(   6.2500000000000000      );
  id6 -> SetBinContent( xbin,    409111910.16518539      );
  id6 -> SetBinError( xbin,    19283556.070804741      );
   int xbin = id6->FindBin(   6.7500000000000000      );
  id6 -> SetBinContent( xbin,    338869672.01960695      );
  id6 -> SetBinError( xbin,    16382652.682112081      );
   int xbin = id6->FindBin(   7.2500000000000000      );
  id6 -> SetBinContent( xbin,    336925434.12345165      );
  id6 -> SetBinError( xbin,    15781862.709611820      );
   int xbin = id6->FindBin(   7.7500000000000000      );
  id6 -> SetBinContent( xbin,    260654103.99603587      );
  id6 -> SetBinError( xbin,    13684675.465444699      );
   int xbin = id6->FindBin(   8.2500000000000000      );
  id6 -> SetBinContent( xbin,    216290796.69181710      );
  id6 -> SetBinError( xbin,    11917998.598917488      );
   int xbin = id6->FindBin(   8.7500000000000000      );
  id6 -> SetBinContent( xbin,    227098451.66797534      );
  id6 -> SetBinError( xbin,    12270750.197159024      );
   int xbin = id6->FindBin(   9.2500000000000000      );
  id6 -> SetBinContent( xbin,    177422559.22586435      );
  id6 -> SetBinError( xbin,    10343597.015942791      );
   int xbin = id6->FindBin(   9.7500000000000000      );
  id6 -> SetBinContent( xbin,    146656175.38192242      );
  id6 -> SetBinError( xbin,    9086101.2130020931      );
   int xbin = id6->FindBin(   10.250000000000000      );
  id6 -> SetBinContent( xbin,    127916663.45648432      );
  id6 -> SetBinError( xbin,    7805193.2394507211      );
   int xbin = id6->FindBin(   11.000000000000000      );
  id6 -> SetBinContent( xbin,    102216028.05873470      );
  id6 -> SetBinError( xbin,    6654963.7378644180      );
   int xbin = id6->FindBin(   12.000000000000000      );
  id6 -> SetBinContent( xbin,    75361114.957877606      );
  id6 -> SetBinError( xbin,    5316888.2925677048      );
   int xbin = id6->FindBin(   13.250000000000000      );
  id6 -> SetBinContent( xbin,    49027670.259284787      );
  id6 -> SetBinError( xbin,    3871899.3301418270      );
   int xbin = id6->FindBin(   15.250000000000000      );
  id6 -> SetBinContent( xbin,    30385494.158087462      );
  id6 -> SetBinError( xbin,    2689511.3277019938      );
   int xbin = id6->FindBin(   20.000000000000000      );
  id6 -> SetBinContent( xbin,    10186863.971332442      );
  id6 -> SetBinError( xbin,    1147826.7639473125      );
   int xbin = id6->FindBin(   31.750000000000000      );
  id6 -> SetBinContent( xbin,    1045926.3256922929      );
  id6 -> SetBinError( xbin,    212296.90227755497      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id7", "pTby", 27,    pt3);

  id7 -> GetXaxis() -> SetTitle("pTby");
  id7 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id7 -> GetYaxis() -> SetTitleOffset(1.2);
  id7 -> SetStats(false);
   int xbin = id7->FindBin(  0.25000000000000000      );
  id7 -> SetBinContent( xbin,    494746.20144912350      );
  id7 -> SetBinError( xbin,    56088.518802288170      );
   int xbin = id7->FindBin(  0.75000000000000000      );
  id7 -> SetBinContent( xbin,    7244105.2260623248      );
  id7 -> SetBinError( xbin,    359662.02854247257      );
   int xbin = id7->FindBin(   1.2500000000000000      );
  id7 -> SetBinContent( xbin,    33501969.598182827      );
  id7 -> SetBinError( xbin,    1651289.5873004117      );
   int xbin = id7->FindBin(   1.7500000000000000      );
  id7 -> SetBinContent( xbin,    79449322.828224018      );
  id7 -> SetBinError( xbin,    3939345.0473126760      );
   int xbin = id7->FindBin(   2.2500000000000000      );
  id7 -> SetBinContent( xbin,    151261939.45671314      );
  id7 -> SetBinError( xbin,    7142930.8538014079      );
   int xbin = id7->FindBin(   2.7500000000000000      );
  id7 -> SetBinContent( xbin,    230686070.29128218      );
  id7 -> SetBinError( xbin,    10082569.879662285      );
   int xbin = id7->FindBin(   3.2500000000000000      );
  id7 -> SetBinContent( xbin,    301285105.89353728      );
  id7 -> SetBinError( xbin,    12729239.203705003      );
   int xbin = id7->FindBin(   3.7500000000000000      );
  id7 -> SetBinContent( xbin,    368754787.93983787      );
  id7 -> SetBinError( xbin,    14908090.300566126      );
   int xbin = id7->FindBin(   4.2500000000000000      );
  id7 -> SetBinContent( xbin,    340276888.82537395      );
  id7 -> SetBinError( xbin,    18119368.229519945      );
   int xbin = id7->FindBin(   4.7500000000000000      );
  id7 -> SetBinContent( xbin,    327495193.14695019      );
  id7 -> SetBinError( xbin,    15466221.471845383      );
   int xbin = id7->FindBin(   5.2500000000000000      );
  id7 -> SetBinContent( xbin,    314703079.18992007      );
  id7 -> SetBinError( xbin,    15485494.778559167      );
   int xbin = id7->FindBin(   5.7500000000000000      );
  id7 -> SetBinContent( xbin,    294106533.02229726      );
  id7 -> SetBinError( xbin,    14408014.166006124      );
   int xbin = id7->FindBin(   6.2500000000000000      );
  id7 -> SetBinContent( xbin,    237146902.25628740      );
  id7 -> SetBinError( xbin,    12470471.254822938      );
   int xbin = id7->FindBin(   6.7500000000000000      );
  id7 -> SetBinContent( xbin,    227324873.21438795      );
  id7 -> SetBinError( xbin,    12437813.112004386      );
   int xbin = id7->FindBin(   7.2500000000000000      );
  id7 -> SetBinContent( xbin,    186397130.43784451      );
  id7 -> SetBinError( xbin,    10745115.649230938      );
   int xbin = id7->FindBin(   7.7500000000000000      );
  id7 -> SetBinContent( xbin,    169810730.31777716      );
  id7 -> SetBinError( xbin,    10665364.586399538      );
   int xbin = id7->FindBin(   8.2500000000000000      );
  id7 -> SetBinContent( xbin,    130263386.17277275      );
  id7 -> SetBinError( xbin,    8468088.7033815775      );
   int xbin = id7->FindBin(   8.7500000000000000      );
  id7 -> SetBinContent( xbin,    111119001.91952622      );
  id7 -> SetBinError( xbin,    7754311.0093159145      );
   int xbin = id7->FindBin(   9.2500000000000000      );
  id7 -> SetBinContent( xbin,    108578046.29242106      );
  id7 -> SetBinError( xbin,    7471492.0668189730      );
   int xbin = id7->FindBin(   9.7500000000000000      );
  id7 -> SetBinContent( xbin,    76280412.531651512      );
  id7 -> SetBinError( xbin,    6180781.3999479553      );
   int xbin = id7->FindBin(   10.250000000000000      );
  id7 -> SetBinContent( xbin,    59706339.052198619      );
  id7 -> SetBinError( xbin,    4629929.5579654807      );
   int xbin = id7->FindBin(   11.000000000000000      );
  id7 -> SetBinContent( xbin,    56860997.003866449      );
  id7 -> SetBinError( xbin,    4495662.6685420237      );
   int xbin = id7->FindBin(   12.000000000000000      );
  id7 -> SetBinContent( xbin,    40086616.710715041      );
  id7 -> SetBinError( xbin,    3309605.4312410783      );
   int xbin = id7->FindBin(   13.250000000000000      );
  id7 -> SetBinContent( xbin,    26383524.376617000      );
  id7 -> SetBinError( xbin,    2403583.6590538565      );
   int xbin = id7->FindBin(   15.250000000000000      );
  id7 -> SetBinContent( xbin,    14086182.711347494      );
  id7 -> SetBinError( xbin,    1492164.2087419520      );
   int xbin = id7->FindBin(   20.000000000000000      );
  id7 -> SetBinContent( xbin,    3813759.1474370877      );
  id7 -> SetBinError( xbin,    601550.86044896406      );
   int xbin = id7->FindBin(   31.750000000000000      );
  id7 -> SetBinContent( xbin,    374031.68242241594      );
  id7 -> SetBinError( xbin,    108578.27862023699      );
  histos -> Add(hist); 
 
 
  mcfmhisto -> cd();
  if (histos -> GetEntries() > 0 ) then  {
   histos->Write();
   mcfmhisto -> Close();
  }
 }
