// Cross-section is:  69745804354.9119873047 +/-    141612931.9924028218)

 // Contribution from parton sub-processes:
//        GG     |           0.00000    0.00%
//        GQ     | 13610279044.91881   19.51%
//        GQB    | 13614525523.50009   19.52%
//        QG     | 13584044776.88571   19.48%
//        QBG    | 13579615430.38172   19.47%
//        QQ     |  5082448861.45365    7.29%
//        QBQB   |  2596319414.67765    3.72%
//        QQB    |  3844385598.61396    5.51%
//        QBQ    |  3836604632.10499    5.50%

 // Run corresponds to this input file)

 // [Flags to specify the mode in which MCFM is run] )
//                  -1            [nevtrequested]  
//                   F            [creatent]  
//                   F            [skipnt]  
//                   F            [dswhisto]  
//                   F            [creategrid]  
//                   F            [writetop]  
//                   F            [writedat]  
//                   F            [writegnu]  
//                   T            [writeroot]  
//                   F            [writepwg]  

 // [General options to specify the process and execution] )
//                 703            [nproc]  
//                7031            [exptid]  
//                lord            [part]  
//LHCbBX                          [runstring]  
//           7000.0000            [sqrts]  
//                   1            [ih1]  
//                   1            [ih2]  
//            125.0000            [hmass]  
//              1.0000            [scale]  
//              1.0000            [facscale]  
//ET3                             [dynamicscale]  
//                   F            [zerowidth]  
//                   F            [removebr]  
//                   4            [itmx1]  
//               20000            [ncall1]  
//                  10            [itmx2]  
//               40000            [ncall2]  
//                9876            [ij]  
//                   F            [dryrun]  
//                   T            [Qflag]  
//                   T            [Gflag]  

 // [Heavy quark masses] )
//            173.5000            [top mass]  
//              4.7500            [bottom mass]  
//              0.0000            [charm mass]  

 // [Pdf selection] )
//             CT18ZNN            [pdlabel]  
//                   4            [NGROUP]  
//                  46            [NSET]  
//CT18ZNNLO.LHpdf                 [LHAPDF group]  
//                   0            [LHAPDF set]  

 // [Jet definition and event cuts] )
//              9.5000            [m34min]  
//           7000.0000            [m34max]  
//              0.0000            [m56min]  
//           7000.0000            [m56max]  
//                   T            [inclusive]  
//                none            [algorithm]  
//              0.0000            [ptjetmin]  
//              2.0000            [etajetmin]  
//              4.5000            [etajetmax]  
//              0.0000            [Rcut]  
//                   T            [makecuts]  
//              0.0000            [leptpt]  
//             99.0000            [leptrap]  
//   0.000,   0.000                [leptveto]  
//              0.0000            [misspt]  
//              0.0000            [leptpt2]  
//             99.0000            [leptrap2]  
//   0.000,   0.000                [leptveto2]  
//              0.0000            [mtrans34cut]  
//              0.0000            [Rjlmin]  
//              0.0000            [Rllmin]  
//              0.0000            [delyjjmin]  
//                   F            [jetsopphem]  
//                   0            [lbjscheme]  
//              0.0000            [ptbjetmin]  
//              4.5000            [etabjetmax]  

 // [Settings for photon processes] )
//                   F            [frag]  
//            GdRG__LO            [fragset]  
//              4.7504            [frag_scale]  
//             20.0000            [gammpt]  
//              2.5000            [gammrap]  
//             20.0000            [gammpt2]  
//             20.0000            [gammpt3]  
//              0.0000            [Rgalmin]  
//              0.4000            [Rgagamin]  
//              0.4000            [Rgajetmin]  
//              0.4000            [cone_ang]  
//              0.5000            [epsilon_h]  

 // [Anomalous couplings of the W and Z] )
//              0.0000            [delg1_z]  
//              0.0000            [delk_z]  
//              0.0000            [delk_g]  
//              0.0000            [lambda_z]  
//              0.0000            [lambda_g]  
//              0.0000            [h1Z]  
//              0.0000            [h1gam]  
//              0.0000            [h2Z]  
//              0.0000            [h2gam]  
//              0.0000            [h3Z]  
//              0.0000            [h3gam]  
//              0.0000            [h4Z]  
//              0.0000            [h4gam]  
//              2.0000            [tevscale]  
//              1.0000            [cttH]  
//              1.0000            [cWWH]  
//              1.0000            [Gamma_H/Gamma_H(SM)]  

 // [How to resume/save a run] )
//                   F            [readin]  
//                   F            [writeout]  
//                                [ingridfile]  
//                                [outgridfile]  

 // [Technical parameters that should not normally be changed]
//                   F            [debug]  
//                   T            [verbose]  
//                   F            [new_pspace]  
//                   F            [virtonly]  
//                   F            [realonly]  
//                   T            [spira]  
//                   F            [noglue]  
//                   F            [ggonly]  
//                   F            [gqonly]  
//                   F            [omitgg]  
//                   F            [vanillafiles]  
//                   1            [nmin]  
//                   2            [nmax]  
//                   T            [clustering]  
//                   F            [realwt]  
//                   0            [colourchoice]  
//              0.0100            [rtsmin]  
//              0.0012            [cutoff]  
//              0.1000            [aii]  
//              0.1000            [aif]  
//              0.1000            [afi]  
//              1.0000            [aff]  
//              1.0000            [bfi]  
//              1.0000            [bff]  


  {
  mcfmhisto = new TFile("LHCbBX/bfbf5f_lord_CT18ZNN_1___1___LHCbBX.root", "recreate");
  mcfmhisto -> cd();
  histos = new TObjArray(0);

double pt3[]={0.0,0.5,1.0,1.5,2.0,2.5,3.0,3.5,4.0,4.5,5.0,5.5,6.0,6.5,7.0,7.5,8.0,8.5,9.0,9.5,10.0,10.5,11.5,12.5,14.0,16.5,23.5,40.0};
  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id1", "pTb", 27,    pt3);

  id1 -> GetXaxis() -> SetTitle("pTb");
  id1 -> GetYaxis() -> SetTitle(" d#sigma/dpTb [fb]");

  id1 -> GetYaxis() -> SetTitleOffset(1.2);
  id1 -> SetStats(false);
   int xbin = id1->FindBin(  0.25000000000000000      );
  id1 -> SetBinContent( xbin,    6569970.7961283159      );
  id1 -> SetBinError( xbin,    247015.27497525048      );
   int xbin = id1->FindBin(  0.75000000000000000      );
  id1 -> SetBinContent( xbin,    100614092.71023163      );
  id1 -> SetBinError( xbin,    1805653.7199302074      );
   int xbin = id1->FindBin(   1.2500000000000000      );
  id1 -> SetBinContent( xbin,    449535302.40571147      );
  id1 -> SetBinError( xbin,    7780402.6025393400      );
   int xbin = id1->FindBin(   1.7500000000000000      );
  id1 -> SetBinContent( xbin,    1180585645.7188816      );
  id1 -> SetBinError( xbin,    20184064.770655129      );
   int xbin = id1->FindBin(   2.2500000000000000      );
  id1 -> SetBinContent( xbin,    2196147735.1938782      );
  id1 -> SetBinError( xbin,    37442116.208622240      );
   int xbin = id1->FindBin(   2.7500000000000000      );
  id1 -> SetBinContent( xbin,    3414098669.3349910      );
  id1 -> SetBinError( xbin,    54475994.579271920      );
   int xbin = id1->FindBin(   3.2500000000000000      );
  id1 -> SetBinContent( xbin,    4264988164.3332787      );
  id1 -> SetBinError( xbin,    70317758.246418774      );
   int xbin = id1->FindBin(   3.7500000000000000      );
  id1 -> SetBinContent( xbin,    5084745345.3062096      );
  id1 -> SetBinError( xbin,    79835563.412809208      );
   int xbin = id1->FindBin(   4.2500000000000000      );
  id1 -> SetBinContent( xbin,    5153626509.6138382      );
  id1 -> SetBinError( xbin,    86616466.745814383      );
   int xbin = id1->FindBin(   4.7500000000000000      );
  id1 -> SetBinContent( xbin,    5111961117.5044470      );
  id1 -> SetBinError( xbin,    85572609.530506209      );
   int xbin = id1->FindBin(   5.2500000000000000      );
  id1 -> SetBinContent( xbin,    4835531102.2670736      );
  id1 -> SetBinError( xbin,    84682805.741485968      );
   int xbin = id1->FindBin(   5.7500000000000000      );
  id1 -> SetBinContent( xbin,    4361225883.7921600      );
  id1 -> SetBinError( xbin,    80076975.515110165      );
   int xbin = id1->FindBin(   6.2500000000000000      );
  id1 -> SetBinContent( xbin,    4068944176.2052522      );
  id1 -> SetBinError( xbin,    77621119.511822373      );
   int xbin = id1->FindBin(   6.7500000000000000      );
  id1 -> SetBinContent( xbin,    3632753817.8509693      );
  id1 -> SetBinError( xbin,    71566377.124496371      );
   int xbin = id1->FindBin(   7.2500000000000000      );
  id1 -> SetBinContent( xbin,    3179500176.2407598      );
  id1 -> SetBinError( xbin,    66669013.469817802      );
   int xbin = id1->FindBin(   7.7500000000000000      );
  id1 -> SetBinContent( xbin,    2896453090.5810843      );
  id1 -> SetBinError( xbin,    61553305.031477146      );
   int xbin = id1->FindBin(   8.2500000000000000      );
  id1 -> SetBinContent( xbin,    2439442954.2685800      );
  id1 -> SetBinError( xbin,    54735601.688492708      );
   int xbin = id1->FindBin(   8.7500000000000000      );
  id1 -> SetBinContent( xbin,    2129002989.5501909      );
  id1 -> SetBinError( xbin,    50035516.187556975      );
   int xbin = id1->FindBin(   9.2500000000000000      );
  id1 -> SetBinContent( xbin,    1949105903.5538559      );
  id1 -> SetBinError( xbin,    46190669.047357753      );
   int xbin = id1->FindBin(   9.7500000000000000      );
  id1 -> SetBinContent( xbin,    1604223737.0194337      );
  id1 -> SetBinError( xbin,    40446520.641615689      );
   int xbin = id1->FindBin(   10.250000000000000      );
  id1 -> SetBinContent( xbin,    1413070974.4010603      );
  id1 -> SetBinError( xbin,    36727924.268411092      );
   int xbin = id1->FindBin(   11.000000000000000      );
  id1 -> SetBinContent( xbin,    1125793229.1912673      );
  id1 -> SetBinError( xbin,    30984231.773738418      );
   int xbin = id1->FindBin(   12.000000000000000      );
  id1 -> SetBinContent( xbin,    867035851.39104295      );
  id1 -> SetBinError( xbin,    25548920.272698510      );
   int xbin = id1->FindBin(   13.250000000000000      );
  id1 -> SetBinContent( xbin,    606938342.68234241      );
  id1 -> SetBinError( xbin,    19532114.434561551      );
   int xbin = id1->FindBin(   15.250000000000000      );
  id1 -> SetBinContent( xbin,    371902364.25787127      );
  id1 -> SetBinError( xbin,    13480335.482950544      );
   int xbin = id1->FindBin(   20.000000000000000      );
  id1 -> SetBinContent( xbin,    135195242.21729842      );
  id1 -> SetBinError( xbin,    6311610.6389225395      );
   int xbin = id1->FindBin(   31.750000000000000      );
  id1 -> SetBinContent( xbin,    19665153.948961183      );
  id1 -> SetBinError( xbin,    1478840.3427057010      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id2", "yb", 10,    0.00000,    5.00000);

  id2 -> GetXaxis() -> SetTitle("yb");
  id2 -> GetYaxis() -> SetTitle(" d#sigma/dyb [fb]");

  id2 -> GetYaxis() -> SetTitleOffset(1.2);
  id2 -> SetStats(false);
   int xbin = id2->FindBin(   2.2500000000000000      );
  id2 -> SetBinContent( xbin,    21111241102.926601      );
  id2 -> SetBinError( xbin,    228348858.14413840      );
   int xbin = id2->FindBin(   2.7500000000000000      );
  id2 -> SetBinContent( xbin,    17860989729.759720      );
  id2 -> SetBinError( xbin,    205168896.80600733      );
   int xbin = id2->FindBin(   3.2500000000000000      );
  id2 -> SetBinContent( xbin,    14000651566.258446      );
  id2 -> SetBinError( xbin,    178251788.59034425      );
   int xbin = id2->FindBin(   3.7500000000000000      );
  id2 -> SetBinContent( xbin,    10167459243.099901      );
  id2 -> SetBinError( xbin,    144806583.33319661      );
   int xbin = id2->FindBin(   4.2500000000000000      );
  id2 -> SetBinContent( xbin,    6539454198.4620495      );
  id2 -> SetBinError( xbin,    110778057.88819575      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id3", "pTby", 27,    pt3);

  id3 -> GetXaxis() -> SetTitle("pTby");
  id3 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id3 -> GetYaxis() -> SetTitleOffset(1.2);
  id3 -> SetStats(false);
   int xbin = id3->FindBin(  0.25000000000000000      );
  id3 -> SetBinContent( xbin,    1679500.1402409249      );
  id3 -> SetBinError( xbin,    92438.014223260427      );
   int xbin = id3->FindBin(  0.75000000000000000      );
  id3 -> SetBinContent( xbin,    27636974.213964183      );
  id3 -> SetBinError( xbin,    924399.63835832675      );
   int xbin = id3->FindBin(   1.2500000000000000      );
  id3 -> SetBinContent( xbin,    115774685.81401443      );
  id3 -> SetBinError( xbin,    3587253.7742024246      );
   int xbin = id3->FindBin(   1.7500000000000000      );
  id3 -> SetBinContent( xbin,    303687703.81071395      );
  id3 -> SetBinError( xbin,    9823410.2313121464      );
   int xbin = id3->FindBin(   2.2500000000000000      );
  id3 -> SetBinContent( xbin,    600496977.54600382      );
  id3 -> SetBinError( xbin,    20644349.211241160      );
   int xbin = id3->FindBin(   2.7500000000000000      );
  id3 -> SetBinContent( xbin,    900839692.15642989      );
  id3 -> SetBinError( xbin,    28641836.431410607      );
   int xbin = id3->FindBin(   3.2500000000000000      );
  id3 -> SetBinContent( xbin,    1109320306.7399144      );
  id3 -> SetBinError( xbin,    36086910.081260592      );
   int xbin = id3->FindBin(   3.7500000000000000      );
  id3 -> SetBinContent( xbin,    1438966113.1527534      );
  id3 -> SetBinError( xbin,    44345790.383846015      );
   int xbin = id3->FindBin(   4.2500000000000000      );
  id3 -> SetBinContent( xbin,    1438724959.0265601      );
  id3 -> SetBinError( xbin,    46372831.208144769      );
   int xbin = id3->FindBin(   4.7500000000000000      );
  id3 -> SetBinContent( xbin,    1461239865.1585362      );
  id3 -> SetBinError( xbin,    48317253.826616004      );
   int xbin = id3->FindBin(   5.2500000000000000      );
  id3 -> SetBinContent( xbin,    1276080420.1088855      );
  id3 -> SetBinError( xbin,    45981413.581044689      );
   int xbin = id3->FindBin(   5.7500000000000000      );
  id3 -> SetBinContent( xbin,    1304269850.1332552      );
  id3 -> SetBinError( xbin,    46172171.834585868      );
   int xbin = id3->FindBin(   6.2500000000000000      );
  id3 -> SetBinContent( xbin,    1329298689.2755747      );
  id3 -> SetBinError( xbin,    46556155.494602963      );
   int xbin = id3->FindBin(   6.7500000000000000      );
  id3 -> SetBinContent( xbin,    1102295237.5900981      );
  id3 -> SetBinError( xbin,    42284650.756712086      );
   int xbin = id3->FindBin(   7.2500000000000000      );
  id3 -> SetBinContent( xbin,    945018153.63000572      );
  id3 -> SetBinError( xbin,    38659105.572360031      );
   int xbin = id3->FindBin(   7.7500000000000000      );
  id3 -> SetBinContent( xbin,    923081492.17291784      );
  id3 -> SetBinError( xbin,    37253549.411497399      );
   int xbin = id3->FindBin(   8.2500000000000000      );
  id3 -> SetBinContent( xbin,    782177860.21753681      );
  id3 -> SetBinError( xbin,    33201809.561964888      );
   int xbin = id3->FindBin(   8.7500000000000000      );
  id3 -> SetBinContent( xbin,    695609143.74008632      );
  id3 -> SetBinError( xbin,    30750164.594481800      );
   int xbin = id3->FindBin(   9.2500000000000000      );
  id3 -> SetBinContent( xbin,    650404284.07075524      );
  id3 -> SetBinError( xbin,    28874055.937380213      );
   int xbin = id3->FindBin(   9.7500000000000000      );
  id3 -> SetBinContent( xbin,    530740938.02553236      );
  id3 -> SetBinError( xbin,    25257483.499197632      );
   int xbin = id3->FindBin(   10.250000000000000      );
  id3 -> SetBinContent( xbin,    512081375.60215402      );
  id3 -> SetBinError( xbin,    23794849.246202625      );
   int xbin = id3->FindBin(   11.000000000000000      );
  id3 -> SetBinContent( xbin,    382574660.48904985      );
  id3 -> SetBinError( xbin,    19543774.250747532      );
   int xbin = id3->FindBin(   12.000000000000000      );
  id3 -> SetBinContent( xbin,    297880073.14641976      );
  id3 -> SetBinError( xbin,    16397295.132336462      );
   int xbin = id3->FindBin(   13.250000000000000      );
  id3 -> SetBinContent( xbin,    215572563.87310573      );
  id3 -> SetBinError( xbin,    12737098.274655154      );
   int xbin = id3->FindBin(   15.250000000000000      );
  id3 -> SetBinContent( xbin,    129226576.21907650      );
  id3 -> SetBinError( xbin,    8760279.5517702959      );
   int xbin = id3->FindBin(   20.000000000000000      );
  id3 -> SetBinContent( xbin,    51368280.323226005      );
  id3 -> SetBinError( xbin,    4262215.4704274377      );
   int xbin = id3->FindBin(   31.750000000000000      );
  id3 -> SetBinContent( xbin,    8754573.2148477752      );
  id3 -> SetBinError( xbin,    1079499.0115821748      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id4", "pTby", 27,    pt3);

  id4 -> GetXaxis() -> SetTitle("pTby");
  id4 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id4 -> GetYaxis() -> SetTitleOffset(1.2);
  id4 -> SetStats(false);
   int xbin = id4->FindBin(  0.25000000000000000      );
  id4 -> SetBinContent( xbin,    1740889.1458182205      );
  id4 -> SetBinError( xbin,    184716.90741299081      );
   int xbin = id4->FindBin(  0.75000000000000000      );
  id4 -> SetBinContent( xbin,    24719902.029870883      );
  id4 -> SetBinError( xbin,    883215.66483385721      );
   int xbin = id4->FindBin(   1.2500000000000000      );
  id4 -> SetBinContent( xbin,    108176224.13863765      );
  id4 -> SetBinError( xbin,    3968926.3912758245      );
   int xbin = id4->FindBin(   1.7500000000000000      );
  id4 -> SetBinContent( xbin,    276810961.86210275      );
  id4 -> SetBinError( xbin,    10278139.837208968      );
   int xbin = id4->FindBin(   2.2500000000000000      );
  id4 -> SetBinContent( xbin,    528261676.43566108      );
  id4 -> SetBinError( xbin,    18788811.765941214      );
   int xbin = id4->FindBin(   2.7500000000000000      );
  id4 -> SetBinContent( xbin,    844041152.58990383      );
  id4 -> SetBinError( xbin,    26896656.197898988      );
   int xbin = id4->FindBin(   3.2500000000000000      );
  id4 -> SetBinContent( xbin,    984296454.13776863      );
  id4 -> SetBinError( xbin,    33260311.299471121      );
   int xbin = id4->FindBin(   3.7500000000000000      );
  id4 -> SetBinContent( xbin,    1176797221.4805095      );
  id4 -> SetBinError( xbin,    38460685.903884605      );
   int xbin = id4->FindBin(   4.2500000000000000      );
  id4 -> SetBinContent( xbin,    1361760131.5675075      );
  id4 -> SetBinError( xbin,    44004952.159632489      );
   int xbin = id4->FindBin(   4.7500000000000000      );
  id4 -> SetBinContent( xbin,    1220457879.2721729      );
  id4 -> SetBinError( xbin,    43260467.179181963      );
   int xbin = id4->FindBin(   5.2500000000000000      );
  id4 -> SetBinContent( xbin,    1283049463.9126120      );
  id4 -> SetBinError( xbin,    44999957.131820768      );
   int xbin = id4->FindBin(   5.7500000000000000      );
  id4 -> SetBinContent( xbin,    1106219841.3201909      );
  id4 -> SetBinError( xbin,    41972453.286980465      );
   int xbin = id4->FindBin(   6.2500000000000000      );
  id4 -> SetBinContent( xbin,    1070146043.8720616      );
  id4 -> SetBinError( xbin,    40666512.231888004      );
   int xbin = id4->FindBin(   6.7500000000000000      );
  id4 -> SetBinContent( xbin,    947834902.34655464      );
  id4 -> SetBinError( xbin,    37548888.806905985      );
   int xbin = id4->FindBin(   7.2500000000000000      );
  id4 -> SetBinContent( xbin,    872203753.44424844      );
  id4 -> SetBinError( xbin,    35979894.270739861      );
   int xbin = id4->FindBin(   7.7500000000000000      );
  id4 -> SetBinContent( xbin,    743870370.60543108      );
  id4 -> SetBinError( xbin,    32277940.613352623      );
   int xbin = id4->FindBin(   8.2500000000000000      );
  id4 -> SetBinContent( xbin,    639267029.04438758      );
  id4 -> SetBinError( xbin,    28784085.780204453      );
   int xbin = id4->FindBin(   8.7500000000000000      );
  id4 -> SetBinContent( xbin,    523256050.65469837      );
  id4 -> SetBinError( xbin,    25416913.141146190      );
   int xbin = id4->FindBin(   9.2500000000000000      );
  id4 -> SetBinContent( xbin,    532040069.50277072      );
  id4 -> SetBinError( xbin,    24399593.281114839      );
   int xbin = id4->FindBin(   9.7500000000000000      );
  id4 -> SetBinContent( xbin,    439258566.18244195      );
  id4 -> SetBinError( xbin,    21613411.560285818      );
   int xbin = id4->FindBin(   10.250000000000000      );
  id4 -> SetBinContent( xbin,    371646671.56765747      );
  id4 -> SetBinError( xbin,    19554234.239541031      );
   int xbin = id4->FindBin(   11.000000000000000      );
  id4 -> SetBinContent( xbin,    288321278.55939740      );
  id4 -> SetBinError( xbin,    16173978.508901702      );
   int xbin = id4->FindBin(   12.000000000000000      );
  id4 -> SetBinContent( xbin,    241196675.88524824      );
  id4 -> SetBinError( xbin,    13756343.616040356      );
   int xbin = id4->FindBin(   13.250000000000000      );
  id4 -> SetBinContent( xbin,    161023139.24773687      );
  id4 -> SetBinError( xbin,    10309049.816651881      );
   int xbin = id4->FindBin(   15.250000000000000      );
  id4 -> SetBinContent( xbin,    106313541.17769791      );
  id4 -> SetBinError( xbin,    7303849.9535487397      );
   int xbin = id4->FindBin(   20.000000000000000      );
  id4 -> SetBinContent( xbin,    39035590.371107377      );
  id4 -> SetBinError( xbin,    3440986.0589117287      );
   int xbin = id4->FindBin(   31.750000000000000      );
  id4 -> SetBinContent( xbin,    5604944.7554624183      );
  id4 -> SetBinError( xbin,    785265.81300997536      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id5", "pTby", 27,    pt3);

  id5 -> GetXaxis() -> SetTitle("pTby");
  id5 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id5 -> GetYaxis() -> SetTitleOffset(1.2);
  id5 -> SetStats(false);
   int xbin = id5->FindBin(  0.25000000000000000      );
  id5 -> SetBinContent( xbin,    1301602.0652865528      );
  id5 -> SetBinError( xbin,    83040.359499029597      );
   int xbin = id5->FindBin(  0.75000000000000000      );
  id5 -> SetBinContent( xbin,    19869502.199243348      );
  id5 -> SetBinError( xbin,    803986.25787920598      );
   int xbin = id5->FindBin(   1.2500000000000000      );
  id5 -> SetBinContent( xbin,    87747763.105678499      );
  id5 -> SetBinError( xbin,    3301891.3118785229      );
   int xbin = id5->FindBin(   1.7500000000000000      );
  id5 -> SetBinContent( xbin,    250847595.07094094      );
  id5 -> SetBinError( xbin,    9058256.9789616950      );
   int xbin = id5->FindBin(   2.2500000000000000      );
  id5 -> SetBinContent( xbin,    418921275.11521673      );
  id5 -> SetBinError( xbin,    16451514.744098337      );
   int xbin = id5->FindBin(   2.7500000000000000      );
  id5 -> SetBinContent( xbin,    756471721.96826351      );
  id5 -> SetBinError( xbin,    27230173.753012951      );
   int xbin = id5->FindBin(   3.2500000000000000      );
  id5 -> SetBinContent( xbin,    970414238.64227486      );
  id5 -> SetBinError( xbin,    37680676.069832534      );
   int xbin = id5->FindBin(   3.7500000000000000      );
  id5 -> SetBinContent( xbin,    1047727235.0546216      );
  id5 -> SetBinError( xbin,    36293043.894473732      );
   int xbin = id5->FindBin(   4.2500000000000000      );
  id5 -> SetBinContent( xbin,    981288488.61421192      );
  id5 -> SetBinError( xbin,    37362506.595698208      );
   int xbin = id5->FindBin(   4.7500000000000000      );
  id5 -> SetBinContent( xbin,    1089894516.4082506      );
  id5 -> SetBinError( xbin,    38791384.730201118      );
   int xbin = id5->FindBin(   5.2500000000000000      );
  id5 -> SetBinContent( xbin,    1041943988.6353083      );
  id5 -> SetBinError( xbin,    38013700.523868039      );
   int xbin = id5->FindBin(   5.7500000000000000      );
  id5 -> SetBinContent( xbin,    845601920.56367826      );
  id5 -> SetBinError( xbin,    34468774.581884690      );
   int xbin = id5->FindBin(   6.2500000000000000      );
  id5 -> SetBinContent( xbin,    747220805.20302296      );
  id5 -> SetBinError( xbin,    32687003.280352063      );
   int xbin = id5->FindBin(   6.7500000000000000      );
  id5 -> SetBinContent( xbin,    716631752.80182457      );
  id5 -> SetBinError( xbin,    31131352.440480731      );
   int xbin = id5->FindBin(   7.2500000000000000      );
  id5 -> SetBinContent( xbin,    606885707.89130461      );
  id5 -> SetBinError( xbin,    28955633.440891195      );
   int xbin = id5->FindBin(   7.7500000000000000      );
  id5 -> SetBinContent( xbin,    604063471.77070129      );
  id5 -> SetBinError( xbin,    27032962.216457170      );
   int xbin = id5->FindBin(   8.2500000000000000      );
  id5 -> SetBinContent( xbin,    475557371.82549214      );
  id5 -> SetBinError( xbin,    23392354.223310679      );
   int xbin = id5->FindBin(   8.7500000000000000      );
  id5 -> SetBinContent( xbin,    423287759.62590742      );
  id5 -> SetBinError( xbin,    21524517.876361437      );
   int xbin = id5->FindBin(   9.2500000000000000      );
  id5 -> SetBinContent( xbin,    382148572.04904234      );
  id5 -> SetBinError( xbin,    19605105.106040474      );
   int xbin = id5->FindBin(   9.7500000000000000      );
  id5 -> SetBinContent( xbin,    310497727.46649635      );
  id5 -> SetBinError( xbin,    16829535.851360843      );
   int xbin = id5->FindBin(   10.250000000000000      );
  id5 -> SetBinContent( xbin,    241075819.36419693      );
  id5 -> SetBinError( xbin,    14474395.087586004      );
   int xbin = id5->FindBin(   11.000000000000000      );
  id5 -> SetBinContent( xbin,    227974859.91893321      );
  id5 -> SetBinError( xbin,    13428325.263143310      );
   int xbin = id5->FindBin(   12.000000000000000      );
  id5 -> SetBinContent( xbin,    170286873.97841740      );
  id5 -> SetBinError( xbin,    10792643.109414928      );
   int xbin = id5->FindBin(   13.250000000000000      );
  id5 -> SetBinContent( xbin,    122169229.58585656      );
  id5 -> SetBinError( xbin,    8314210.8454198334      );
   int xbin = id5->FindBin(   15.250000000000000      );
  id5 -> SetBinContent( xbin,    73073000.431724042      );
  id5 -> SetBinError( xbin,    5635685.0734045710      );
   int xbin = id5->FindBin(   20.000000000000000      );
  id5 -> SetBinContent( xbin,    24736725.354064628      );
  id5 -> SetBinError( xbin,    2500055.2340518027      );
   int xbin = id5->FindBin(   31.750000000000000      );
  id5 -> SetBinContent( xbin,    3228558.0954463226      );
  id5 -> SetBinError( xbin,    531034.75772222283      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id6", "pTby", 27,    pt3);

  id6 -> GetXaxis() -> SetTitle("pTby");
  id6 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id6 -> GetYaxis() -> SetTitleOffset(1.2);
  id6 -> SetStats(false);
   int xbin = id6->FindBin(  0.25000000000000000      );
  id6 -> SetBinContent( xbin,    1045079.1360838030      );
  id6 -> SetBinError( xbin,    58152.051695716043      );
   int xbin = id6->FindBin(  0.75000000000000000      );
  id6 -> SetBinContent( xbin,    16652661.842369972      );
  id6 -> SetBinError( xbin,    822713.39408204088      );
   int xbin = id6->FindBin(   1.2500000000000000      );
  id6 -> SetBinContent( xbin,    79019250.659464166      );
  id6 -> SetBinError( xbin,    3763362.8593182233      );
   int xbin = id6->FindBin(   1.7500000000000000      );
  id6 -> SetBinContent( xbin,    213645709.69506842      );
  id6 -> SetBinError( xbin,    9381934.3460074719      );
   int xbin = id6->FindBin(   2.2500000000000000      );
  id6 -> SetBinContent( xbin,    372894177.74594826      );
  id6 -> SetBinError( xbin,    14508787.660677742      );
   int xbin = id6->FindBin(   2.7500000000000000      );
  id6 -> SetBinContent( xbin,    538574531.16506708      );
  id6 -> SetBinError( xbin,    21129558.698927049      );
   int xbin = id6->FindBin(   3.2500000000000000      );
  id6 -> SetBinContent( xbin,    672908353.39365339      );
  id6 -> SetBinError( xbin,    24963620.360854208      );
   int xbin = id6->FindBin(   3.7500000000000000      );
  id6 -> SetBinContent( xbin,    819137755.04851282      );
  id6 -> SetBinError( xbin,    32106064.608261026      );
   int xbin = id6->FindBin(   4.2500000000000000      );
  id6 -> SetBinContent( xbin,    823594538.34531868      );
  id6 -> SetBinError( xbin,    34206723.512398884      );
   int xbin = id6->FindBin(   4.7500000000000000      );
  id6 -> SetBinContent( xbin,    796119867.13886356      );
  id6 -> SetBinError( xbin,    31553449.067416370      );
   int xbin = id6->FindBin(   5.2500000000000000      );
  id6 -> SetBinContent( xbin,    728098414.08866000      );
  id6 -> SetBinError( xbin,    30828637.000678115      );
   int xbin = id6->FindBin(   5.7500000000000000      );
  id6 -> SetBinContent( xbin,    675578520.64871562      );
  id6 -> SetBinError( xbin,    29848357.929111101      );
   int xbin = id6->FindBin(   6.2500000000000000      );
  id6 -> SetBinContent( xbin,    587035995.72805381      );
  id6 -> SetBinError( xbin,    27760245.692542605      );
   int xbin = id6->FindBin(   6.7500000000000000      );
  id6 -> SetBinContent( xbin,    520658675.83245099      );
  id6 -> SetBinError( xbin,    24433854.608045466      );
   int xbin = id6->FindBin(   7.2500000000000000      );
  id6 -> SetBinContent( xbin,    466648157.12797529      );
  id6 -> SetBinError( xbin,    23208949.817045286      );
   int xbin = id6->FindBin(   7.7500000000000000      );
  id6 -> SetBinContent( xbin,    381115229.33448201      );
  id6 -> SetBinError( xbin,    19618089.370207123      );
   int xbin = id6->FindBin(   8.2500000000000000      );
  id6 -> SetBinContent( xbin,    335574294.25949758      );
  id6 -> SetBinError( xbin,    18063814.369979441      );
   int xbin = id6->FindBin(   8.7500000000000000      );
  id6 -> SetBinContent( xbin,    323020487.22183907      );
  id6 -> SetBinError( xbin,    17863149.766490202      );
   int xbin = id6->FindBin(   9.2500000000000000      );
  id6 -> SetBinContent( xbin,    233432222.35385105      );
  id6 -> SetBinError( xbin,    14148373.217529854      );
   int xbin = id6->FindBin(   9.7500000000000000      );
  id6 -> SetBinContent( xbin,    218321978.09548146      );
  id6 -> SetBinError( xbin,    13504507.162660725      );
   int xbin = id6->FindBin(   10.250000000000000      );
  id6 -> SetBinContent( xbin,    198365597.84909686      );
  id6 -> SetBinError( xbin,    11769018.518639686      );
   int xbin = id6->FindBin(   11.000000000000000      );
  id6 -> SetBinContent( xbin,    144119381.26531869      );
  id6 -> SetBinError( xbin,    9515275.1888943538      );
   int xbin = id6->FindBin(   12.000000000000000      );
  id6 -> SetBinContent( xbin,    96632196.124536216      );
  id6 -> SetBinError( xbin,    7190958.7094340511      );
   int xbin = id6->FindBin(   13.250000000000000      );
  id6 -> SetBinContent( xbin,    72715226.704956993      );
  id6 -> SetBinError( xbin,    5667343.7430997202      );
   int xbin = id6->FindBin(   15.250000000000000      );
  id6 -> SetBinContent( xbin,    42624524.215266995      );
  id6 -> SetBinError( xbin,    3839469.7942229086      );
   int xbin = id6->FindBin(   20.000000000000000      );
  id6 -> SetBinContent( xbin,    14510865.242606848      );
  id6 -> SetBinError( xbin,    1659361.6257277331      );
   int xbin = id6->FindBin(   31.750000000000000      );
  id6 -> SetBinContent( xbin,    1518005.3643043647      );
  id6 -> SetBinError( xbin,    309270.95482221211      );
  histos -> Add(hist); 
 
 

  mcfmhisto -> cd();
  TH1D *hist = new TH1D( "id7", "pTby", 27,    pt3);

  id7 -> GetXaxis() -> SetTitle("pTby");
  id7 -> GetYaxis() -> SetTitle(" d#sigma/dpTby [fb]");

  id7 -> GetYaxis() -> SetTitleOffset(1.2);
  id7 -> SetStats(false);
   int xbin = id7->FindBin(  0.25000000000000000      );
  id7 -> SetBinContent( xbin,    802900.30869881855      );
  id7 -> SetBinError( xbin,    89836.530200361187      );
   int xbin = id7->FindBin(  0.75000000000000000      );
  id7 -> SetBinContent( xbin,    11735052.424783316      );
  id7 -> SetBinError( xbin,    549678.42177617282      );
   int xbin = id7->FindBin(   1.2500000000000000      );
  id7 -> SetBinContent( xbin,    58817378.687917784      );
  id7 -> SetBinError( xbin,    2616247.7116786069      );
   int xbin = id7->FindBin(   1.7500000000000000      );
  id7 -> SetBinContent( xbin,    135593675.28005487      );
  id7 -> SetBinError( xbin,    5925759.7761323918      );
   int xbin = id7->FindBin(   2.2500000000000000      );
  id7 -> SetBinContent( xbin,    275573628.35104960      );
  id7 -> SetBinError( xbin,    11891522.262186147      );
   int xbin = id7->FindBin(   2.7500000000000000      );
  id7 -> SetBinContent( xbin,    374171571.45533109      );
  id7 -> SetBinError( xbin,    15324037.653369036      );
   int xbin = id7->FindBin(   3.2500000000000000      );
  id7 -> SetBinContent( xbin,    528048811.41965991      );
  id7 -> SetBinError( xbin,    22178414.519110382      );
   int xbin = id7->FindBin(   3.7500000000000000      );
  id7 -> SetBinContent( xbin,    602117020.56981421      );
  id7 -> SetBinError( xbin,    24054676.246411670      );
   int xbin = id7->FindBin(   4.2500000000000000      );
  id7 -> SetBinContent( xbin,    548258392.06023300      );
  id7 -> SetBinError( xbin,    29068623.038961399      );
   int xbin = id7->FindBin(   4.7500000000000000      );
  id7 -> SetBinContent( xbin,    544248989.52661693      );
  id7 -> SetBinError( xbin,    24756666.009550020      );
   int xbin = id7->FindBin(   5.2500000000000000      );
  id7 -> SetBinContent( xbin,    506358815.52160895      );
  id7 -> SetBinError( xbin,    25143114.619676240      );
   int xbin = id7->FindBin(   5.7500000000000000      );
  id7 -> SetBinContent( xbin,    429555751.12631512      );
  id7 -> SetBinError( xbin,    20846831.545855027      );
   int xbin = id7->FindBin(   6.2500000000000000      );
  id7 -> SetBinContent( xbin,    335242642.12654203      );
  id7 -> SetBinError( xbin,    18770861.202600550      );
   int xbin = id7->FindBin(   6.7500000000000000      );
  id7 -> SetBinContent( xbin,    345333249.28004003      );
  id7 -> SetBinError( xbin,    18774776.667423643      );
   int xbin = id7->FindBin(   7.2500000000000000      );
  id7 -> SetBinContent( xbin,    288744404.14722461      );
  id7 -> SetBinError( xbin,    16551441.519272331      );
   int xbin = id7->FindBin(   7.7500000000000000      );
  id7 -> SetBinContent( xbin,    244322526.69755602      );
  id7 -> SetBinError( xbin,    15420178.787145324      );
   int xbin = id7->FindBin(   8.2500000000000000      );
  id7 -> SetBinContent( xbin,    206866398.92166898      );
  id7 -> SetBinError( xbin,    13697355.188079726      );
   int xbin = id7->FindBin(   8.7500000000000000      );
  id7 -> SetBinContent( xbin,    163829548.30766228      );
  id7 -> SetBinError( xbin,    11240806.043521730      );
   int xbin = id7->FindBin(   9.2500000000000000      );
  id7 -> SetBinContent( xbin,    151080755.57743344      );
  id7 -> SetBinError( xbin,    10762882.134395700      );
   int xbin = id7->FindBin(   9.7500000000000000      );
  id7 -> SetBinContent( xbin,    105404527.24948144      );
  id7 -> SetBinError( xbin,    7896253.5608648183      );
   int xbin = id7->FindBin(   10.250000000000000      );
  id7 -> SetBinContent( xbin,    89901510.017955884      );
  id7 -> SetBinError( xbin,    7018846.1934017809      );
   int xbin = id7->FindBin(   11.000000000000000      );
  id7 -> SetBinContent( xbin,    82803048.958569348      );
  id7 -> SetBinError( xbin,    6653104.7849417552      );
   int xbin = id7->FindBin(   12.000000000000000      );
  id7 -> SetBinContent( xbin,    61040032.256420970      );
  id7 -> SetBinError( xbin,    5036598.8233674774      );
   int xbin = id7->FindBin(   13.250000000000000      );
  id7 -> SetBinContent( xbin,    35458183.270684689      );
  id7 -> SetBinError( xbin,    3338855.6595377671      );
   int xbin = id7->FindBin(   15.250000000000000      );
  id7 -> SetBinContent( xbin,    20664722.214105427      );
  id7 -> SetBinError( xbin,    2209600.2179231304      );
   int xbin = id7->FindBin(   20.000000000000000      );
  id7 -> SetBinContent( xbin,    5543780.9262940586      );
  id7 -> SetBinError( xbin,    880830.64353600307      );
   int xbin = id7->FindBin(   31.750000000000000      );
  id7 -> SetBinContent( xbin,    559072.51890028629      );
  id7 -> SetBinError( xbin,    159408.51495049408      );
  histos -> Add(hist); 
 
 
  mcfmhisto -> cd();
  if (histos -> GetEntries() > 0 ) then  {
   histos->Write();
   mcfmhisto -> Close();
  }
 }
