#!/bin/bash

if [[ $1 == "" ]]; then
echo "generate_root.sh DIR"

else

for Cfile in *.C
do
cd $1

echo $Cfile

sed -i 's/0.00000,   40.00000/pt3/g' $Cfile
sed -i 's/9,    0.00000,    4.50000/5,    2.00000,    4.50000/g' $Cfile
sed -i 's/TH1F/TH1D/g' $Cfile
sed -i '162s/.*/double pt3[]={0.0,0.5,1.0,1.5,2.0,2.5,3.0,3.5,4.0,4.5,5.0,5.5,6.0,6.5,7.0,7.5,8.0,8.5,9.0,9.5,10.0,10.5,11.5,12.5,14.0,16.5,23.5,40.0};/g' $Cfile

cd ..
root -l -q $1/$Cfile
done

./plotter/plotFEFC $1
fi
