#!/bin/bash

DIR=LHCbBX

PDF=CT18NNLO

PDFlist=("" "_sub" "_res" "")
partlist=(lord lord lord tota)
namelist=(FE SB RS FC)
proclist=(703 703 703 158)

for id in {0..3}
do

PDFname=${PDF}${PDFlist[$id]}

procID=${proclist[$id]}
partID=${partlist[$id]}
runname=LHCb${namelist[$id]}


sed -e "s#procID#$procID#;s#partID#$partID#;s#runname#$runname#;s#PDFname#$PDFname#;" $DIR/input_tmp.DAT > $DIR/input.DAT
./mcfm $DIR

done
