      subroutine scaleset_ET3(p,mu0)
c--- subroutine to calculate dynamic scale equal to
c--- partonic MT (i.e. scalar sum of particle pt's, whether or not they pass cuts)
      implicit none
      include 'constants.f'
      include 'npart.f'
      include 'process.f'
      include 'masses.f'
      integer j
      double precision p(mxpart,4),mu0,pt
      double precision HT3, HT4

      mu0=0d0
      do j=3,npart+2
      mu0=mu0+dsqrt(p(j,4)**2-p(j,3)**2)
      enddo

      if (case.eq.'bfbf5f')then
c        write(*,*) mb
        HT3=dsqrt(p(3,1)**2+p(3,2)**2+mb**2)
        mu0=HT3
c        write(*,*)mb,p(3,1),p(3,2),mu0
      endif

      return
      end 
